// java wrapper for vtkCell object
//

package vtk;
import vtk.*;

public class vtkCell extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native vtkCell MakeObject_2();
  public vtkCell MakeObject()
    { return MakeObject_2(); }

  private native void ShallowCopy_3(vtkCell id0);
  public void ShallowCopy(vtkCell id0)
    { ShallowCopy_3(id0); }

  private native void DeepCopy_4(vtkCell id0);
  public void DeepCopy(vtkCell id0)
    { DeepCopy_4(id0); }

  private native int GetCellType_5();
  public int GetCellType()
    { return GetCellType_5(); }

  private native int GetCellDimension_6();
  public int GetCellDimension()
    { return GetCellDimension_6(); }

  private native int GetInterpolationOrder_7();
  public int GetInterpolationOrder()
    { return GetInterpolationOrder_7(); }

  private native vtkPoints GetPoints_8();
  public vtkPoints GetPoints()
    { return GetPoints_8(); }

  private native int GetNumberOfPoints_9();
  public int GetNumberOfPoints()
    { return GetNumberOfPoints_9(); }

  private native int GetNumberOfEdges_10();
  public int GetNumberOfEdges()
    { return GetNumberOfEdges_10(); }

  private native int GetNumberOfFaces_11();
  public int GetNumberOfFaces()
    { return GetNumberOfFaces_11(); }

  private native vtkIdList GetPointIds_12();
  public vtkIdList GetPointIds()
    { return GetPointIds_12(); }

  private native int GetPointId_13(int id0);
  public int GetPointId(int id0)
    { return GetPointId_13(id0); }

  private native vtkCell GetEdge_14(int id0);
  public vtkCell GetEdge(int id0)
    { return GetEdge_14(id0); }

  private native vtkCell GetFace_15(int id0);
  public vtkCell GetFace(int id0)
    { return GetFace_15(id0); }

  private native int CellBoundary_16(int id0,double id1[],vtkIdList id2);
  public int CellBoundary(int id0,double id1[],vtkIdList id2)
    { return CellBoundary_16(id0,id1,id2); }

  private native void Contour_17(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkCellArray id4,vtkCellArray id5,vtkPointData id6,vtkPointData id7,vtkCellData id8,int id9,vtkCellData id10);
  public void Contour(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkCellArray id4,vtkCellArray id5,vtkPointData id6,vtkPointData id7,vtkCellData id8,int id9,vtkCellData id10)
    { Contour_17(id0,id1,id2,id3,id4,id5,id6,id7,id8,id9,id10); }

  private native void Clip_18(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkPointData id4,vtkPointData id5,vtkCellData id6,int id7,vtkCellData id8,int id9);
  public void Clip(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkPointData id4,vtkPointData id5,vtkCellData id6,int id7,vtkCellData id8,int id9)
    { Clip_18(id0,id1,id2,id3,id4,id5,id6,id7,id8,id9); }

  private native int Triangulate_19(int id0,vtkIdList id1,vtkPoints id2);
  public int Triangulate(int id0,vtkIdList id1,vtkPoints id2)
    { return Triangulate_19(id0,id1,id2); }

  private native void GetBounds_20(double id0[]);
  public void GetBounds(double id0[])
    { GetBounds_20(id0); }

  private native double[] GetBounds_21();
  public double[] GetBounds()
    { return GetBounds_21(); }

  private native double GetLength2_22();
  public double GetLength2()
    { return GetLength2_22(); }

  private native int GetParametricCenter_23(double id0[]);
  public int GetParametricCenter(double id0[])
    { return GetParametricCenter_23(id0); }

  public vtkCell() { super(); };

  protected vtkCell(int dmy) { super(dmy); };
  protected native void   VTKCastInit();

}
