// java wrapper for vtkCellArray object
//

package vtk;
import vtk.*;

public class vtkCellArray extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native int Allocate_2(int id0,int id1);
  public int Allocate(int id0,int id1)
    { return Allocate_2(id0,id1); }

  private native void Initialize_3();
  public void Initialize()
    { Initialize_3(); }

  private native int GetNumberOfCells_4();
  public int GetNumberOfCells()
    { return GetNumberOfCells_4(); }

  private native int EstimateSize_5(int id0,int id1);
  public int EstimateSize(int id0,int id1)
    { return EstimateSize_5(id0,id1); }

  private native void InitTraversal_6();
  public void InitTraversal()
    { InitTraversal_6(); }

  private native int GetSize_7();
  public int GetSize()
    { return GetSize_7(); }

  private native int GetNumberOfConnectivityEntries_8();
  public int GetNumberOfConnectivityEntries()
    { return GetNumberOfConnectivityEntries_8(); }

  private native int InsertNextCell_9(vtkCell id0);
  public int InsertNextCell(vtkCell id0)
    { return InsertNextCell_9(id0); }

  private native int InsertNextCell_10(vtkIdList id0);
  public int InsertNextCell(vtkIdList id0)
    { return InsertNextCell_10(id0); }

  private native int InsertNextCell_11(int id0);
  public int InsertNextCell(int id0)
    { return InsertNextCell_11(id0); }

  private native void InsertCellPoint_12(int id0);
  public void InsertCellPoint(int id0)
    { InsertCellPoint_12(id0); }

  private native void UpdateCellCount_13(int id0);
  public void UpdateCellCount(int id0)
    { UpdateCellCount_13(id0); }

  private native int GetInsertLocation_14(int id0);
  public int GetInsertLocation(int id0)
    { return GetInsertLocation_14(id0); }

  private native int GetTraversalLocation_15();
  public int GetTraversalLocation()
    { return GetTraversalLocation_15(); }

  private native void SetTraversalLocation_16(int id0);
  public void SetTraversalLocation(int id0)
    { SetTraversalLocation_16(id0); }

  private native int GetTraversalLocation_17(int id0);
  public int GetTraversalLocation(int id0)
    { return GetTraversalLocation_17(id0); }

  private native void ReverseCell_18(int id0);
  public void ReverseCell(int id0)
    { ReverseCell_18(id0); }

  private native int GetMaxCellSize_19();
  public int GetMaxCellSize()
    { return GetMaxCellSize_19(); }

  private native void SetCells_20(int id0,vtkIdTypeArray id1);
  public void SetCells(int id0,vtkIdTypeArray id1)
    { SetCells_20(id0,id1); }

  private native void DeepCopy_21(vtkCellArray id0);
  public void DeepCopy(vtkCellArray id0)
    { DeepCopy_21(id0); }

  private native vtkDataArray GetData_22();
  public vtkDataArray GetData()
    { return GetData_22(); }

  private native void Reset_23();
  public void Reset()
    { Reset_23(); }

  private native void Squeeze_24();
  public void Squeeze()
    { Squeeze_24(); }

  private native int GetActualMemorySize_25();
  public int GetActualMemorySize()
    { return GetActualMemorySize_25(); }

  public vtkCellArray() { super(); };

  protected vtkCellArray(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
