// java wrapper for vtkCompositeManager object
//

package vtk;
import vtk.*;

public class vtkCompositeManager extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native vtkRenderWindow GetRenderWindow_2();
  public vtkRenderWindow GetRenderWindow()
    { return GetRenderWindow_2(); }

  private native void SetRenderWindow_3(vtkRenderWindow id0);
  public void SetRenderWindow(vtkRenderWindow id0)
    { SetRenderWindow_3(id0); }

  private native void InitializePieces_4();
  public void InitializePieces()
    { InitializePieces_4(); }

  private native void InitializeOffScreen_5();
  public void InitializeOffScreen()
    { InitializeOffScreen_5(); }

  private native void StartInteractor_6();
  public void StartInteractor()
    { StartInteractor_6(); }

  private native void ExitInteractor_7();
  public void ExitInteractor()
    { ExitInteractor_7(); }

  private native void StartRender_8();
  public void StartRender()
    { StartRender_8(); }

  private native void EndRender_9();
  public void EndRender()
    { EndRender_9(); }

  private native void RenderRMI_10();
  public void RenderRMI()
    { RenderRMI_10(); }

  private native void ResetCamera_11(vtkRenderer id0);
  public void ResetCamera(vtkRenderer id0)
    { ResetCamera_11(id0); }

  private native void ResetCameraClippingRange_12(vtkRenderer id0);
  public void ResetCameraClippingRange(vtkRenderer id0)
    { ResetCameraClippingRange_12(id0); }

  private native void ComputeVisiblePropBoundsRMI_13();
  public void ComputeVisiblePropBoundsRMI()
    { ComputeVisiblePropBoundsRMI_13(); }

  private native void InitializeRMIs_14();
  public void InitializeRMIs()
    { InitializeRMIs_14(); }

  private native void SetReductionFactor_15(int id0);
  public void SetReductionFactor(int id0)
    { SetReductionFactor_15(id0); }

  private native int GetReductionFactor_16();
  public int GetReductionFactor()
    { return GetReductionFactor_16(); }

  private native void SetUseChar_17(int id0);
  public void SetUseChar(int id0)
    { SetUseChar_17(id0); }

  private native int GetUseChar_18();
  public int GetUseChar()
    { return GetUseChar_18(); }

  private native void UseCharOn_19();
  public void UseCharOn()
    { UseCharOn_19(); }

  private native void UseCharOff_20();
  public void UseCharOff()
    { UseCharOff_20(); }

  private native void SetUseCompositing_21(int id0);
  public void SetUseCompositing(int id0)
    { SetUseCompositing_21(id0); }

  private native int GetUseCompositing_22();
  public int GetUseCompositing()
    { return GetUseCompositing_22(); }

  private native void UseCompositingOn_23();
  public void UseCompositingOn()
    { UseCompositingOn_23(); }

  private native void UseCompositingOff_24();
  public void UseCompositingOff()
    { UseCompositingOff_24(); }

  private native double GetGetBuffersTime_25();
  public double GetGetBuffersTime()
    { return GetGetBuffersTime_25(); }

  private native double GetSetBuffersTime_26();
  public double GetSetBuffersTime()
    { return GetSetBuffersTime_26(); }

  private native double GetCompositeTime_27();
  public double GetCompositeTime()
    { return GetCompositeTime_27(); }

  private native double GetMaxRenderTime_28();
  public double GetMaxRenderTime()
    { return GetMaxRenderTime_28(); }

  private native double GetZ_29(int id0,int id1);
  public double GetZ(int id0,int id1)
    { return GetZ_29(id0,id1); }

  private native void SetController_30(vtkMultiProcessController id0);
  public void SetController(vtkMultiProcessController id0)
    { SetController_30(id0); }

  private native vtkMultiProcessController GetController_31();
  public vtkMultiProcessController GetController()
    { return GetController_31(); }

  public vtkCompositeManager() { super(); };

  protected vtkCompositeManager(int dmy) { super(dmy); };
  protected native void   VTKCastInit();

}
