// java wrapper for vtkDataReader object
//

package vtk;
import vtk.*;

public class vtkDataReader extends vtkSource
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetFileName_2(String id0);
  public void SetFileName(String id0)
    { SetFileName_2(id0); }

  private native String GetFileName_3();
  public String GetFileName()
    { return GetFileName_3(); }

  private native int IsFileValid_4(String id0);
  public int IsFileValid(String id0)
    { return IsFileValid_4(id0); }

  private native int IsFileStructuredPoints_5();
  public int IsFileStructuredPoints()
    { return IsFileStructuredPoints_5(); }

  private native int IsFilePolyData_6();
  public int IsFilePolyData()
    { return IsFilePolyData_6(); }

  private native int IsFileStructuredGrid_7();
  public int IsFileStructuredGrid()
    { return IsFileStructuredGrid_7(); }

  private native int IsFileUnstructuredGrid_8();
  public int IsFileUnstructuredGrid()
    { return IsFileUnstructuredGrid_8(); }

  private native int IsFileRectilinearGrid_9();
  public int IsFileRectilinearGrid()
    { return IsFileRectilinearGrid_9(); }

  private native void SetInputString_10(String id0);
  public void SetInputString(String id0)
    { SetInputString_10(id0); }

  private native String GetInputString_11();
  public String GetInputString()
    { return GetInputString_11(); }

  private native void SetInputString_12(String id0,int id1);
  public void SetInputString(String id0,int id1)
    { SetInputString_12(id0,id1); }

  private native int GetInputStringLength_13();
  public int GetInputStringLength()
    { return GetInputStringLength_13(); }

  private native void SetBinaryInputString_14(byte id0[],int id1);

  public void SetBinaryInputString(byte id0[],int id1)
    { SetBinaryInputString_14(id0,id1); }

  private native String GetHeader_15();
  public String GetHeader()
    { return GetHeader_15(); }

  private native void SetReadFromInputString_16(int id0);
  public void SetReadFromInputString(int id0)
    { SetReadFromInputString_16(id0); }

  private native int GetReadFromInputString_17();
  public int GetReadFromInputString()
    { return GetReadFromInputString_17(); }

  private native void ReadFromInputStringOn_18();
  public void ReadFromInputStringOn()
    { ReadFromInputStringOn_18(); }

  private native void ReadFromInputStringOff_19();
  public void ReadFromInputStringOff()
    { ReadFromInputStringOff_19(); }

  private native int GetFileType_20();
  public int GetFileType()
    { return GetFileType_20(); }

  private native int GetNumberOfScalarsInFile_21();
  public int GetNumberOfScalarsInFile()
    { return GetNumberOfScalarsInFile_21(); }

  private native int GetNumberOfVectorsInFile_22();
  public int GetNumberOfVectorsInFile()
    { return GetNumberOfVectorsInFile_22(); }

  private native int GetNumberOfTensorsInFile_23();
  public int GetNumberOfTensorsInFile()
    { return GetNumberOfTensorsInFile_23(); }

  private native int GetNumberOfNormalsInFile_24();
  public int GetNumberOfNormalsInFile()
    { return GetNumberOfNormalsInFile_24(); }

  private native int GetNumberOfTCoordsInFile_25();
  public int GetNumberOfTCoordsInFile()
    { return GetNumberOfTCoordsInFile_25(); }

  private native int GetNumberOfFieldDataInFile_26();
  public int GetNumberOfFieldDataInFile()
    { return GetNumberOfFieldDataInFile_26(); }

  private native String GetScalarsNameInFile_27(int id0);
  public String GetScalarsNameInFile(int id0)
    { return GetScalarsNameInFile_27(id0); }

  private native String GetVectorsNameInFile_28(int id0);
  public String GetVectorsNameInFile(int id0)
    { return GetVectorsNameInFile_28(id0); }

  private native String GetTensorsNameInFile_29(int id0);
  public String GetTensorsNameInFile(int id0)
    { return GetTensorsNameInFile_29(id0); }

  private native String GetNormalsNameInFile_30(int id0);
  public String GetNormalsNameInFile(int id0)
    { return GetNormalsNameInFile_30(id0); }

  private native String GetTCoordsNameInFile_31(int id0);
  public String GetTCoordsNameInFile(int id0)
    { return GetTCoordsNameInFile_31(id0); }

  private native String GetFieldDataNameInFile_32(int id0);
  public String GetFieldDataNameInFile(int id0)
    { return GetFieldDataNameInFile_32(id0); }

  private native void SetScalarsName_33(String id0);
  public void SetScalarsName(String id0)
    { SetScalarsName_33(id0); }

  private native String GetScalarsName_34();
  public String GetScalarsName()
    { return GetScalarsName_34(); }

  private native void SetVectorsName_35(String id0);
  public void SetVectorsName(String id0)
    { SetVectorsName_35(id0); }

  private native String GetVectorsName_36();
  public String GetVectorsName()
    { return GetVectorsName_36(); }

  private native void SetTensorsName_37(String id0);
  public void SetTensorsName(String id0)
    { SetTensorsName_37(id0); }

  private native String GetTensorsName_38();
  public String GetTensorsName()
    { return GetTensorsName_38(); }

  private native void SetNormalsName_39(String id0);
  public void SetNormalsName(String id0)
    { SetNormalsName_39(id0); }

  private native String GetNormalsName_40();
  public String GetNormalsName()
    { return GetNormalsName_40(); }

  private native void SetTCoordsName_41(String id0);
  public void SetTCoordsName(String id0)
    { SetTCoordsName_41(id0); }

  private native String GetTCoordsName_42();
  public String GetTCoordsName()
    { return GetTCoordsName_42(); }

  private native void SetLookupTableName_43(String id0);
  public void SetLookupTableName(String id0)
    { SetLookupTableName_43(id0); }

  private native String GetLookupTableName_44();
  public String GetLookupTableName()
    { return GetLookupTableName_44(); }

  private native void SetFieldDataName_45(String id0);
  public void SetFieldDataName(String id0)
    { SetFieldDataName_45(id0); }

  private native String GetFieldDataName_46();
  public String GetFieldDataName()
    { return GetFieldDataName_46(); }

  private native int OpenVTKFile_47();
  public int OpenVTKFile()
    { return OpenVTKFile_47(); }

  private native int ReadHeader_48();
  public int ReadHeader()
    { return ReadHeader_48(); }

  private native int ReadCellData_49(vtkDataSet id0,int id1);
  public int ReadCellData(vtkDataSet id0,int id1)
    { return ReadCellData_49(id0,id1); }

  private native int ReadPointData_50(vtkDataSet id0,int id1);
  public int ReadPointData(vtkDataSet id0,int id1)
    { return ReadPointData_50(id0,id1); }

  private native int ReadPoints_51(vtkPointSet id0,int id1);
  public int ReadPoints(vtkPointSet id0,int id1)
    { return ReadPoints_51(id0,id1); }

  private native int ReadCoordinates_52(vtkRectilinearGrid id0,int id1,int id2);
  public int ReadCoordinates(vtkRectilinearGrid id0,int id1,int id2)
    { return ReadCoordinates_52(id0,id1,id2); }

  private native vtkDataArray ReadArray_53(String id0,int id1,int id2);
  public vtkDataArray ReadArray(String id0,int id1,int id2)
    { return ReadArray_53(id0,id1,id2); }

  private native vtkFieldData ReadFieldData_54();
  public vtkFieldData ReadFieldData()
    { return ReadFieldData_54(); }

  private native int Read_55(String id0);
  public int Read(String id0)
    { return Read_55(id0); }

  private native void CloseVTKFile_56();
  public void CloseVTKFile()
    { CloseVTKFile_56(); }

  public vtkDataReader() { super(); };

  protected vtkDataReader(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
