// java wrapper for vtkExtractTensorComponents object
//

package vtk;
import vtk.*;

public class vtkExtractTensorComponents extends vtkDataSetToDataSetFilter
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetPassTensorsToOutput_2(int id0);
  public void SetPassTensorsToOutput(int id0)
    { SetPassTensorsToOutput_2(id0); }

  private native int GetPassTensorsToOutput_3();
  public int GetPassTensorsToOutput()
    { return GetPassTensorsToOutput_3(); }

  private native void PassTensorsToOutputOn_4();
  public void PassTensorsToOutputOn()
    { PassTensorsToOutputOn_4(); }

  private native void PassTensorsToOutputOff_5();
  public void PassTensorsToOutputOff()
    { PassTensorsToOutputOff_5(); }

  private native void SetExtractScalars_6(int id0);
  public void SetExtractScalars(int id0)
    { SetExtractScalars_6(id0); }

  private native int GetExtractScalars_7();
  public int GetExtractScalars()
    { return GetExtractScalars_7(); }

  private native void ExtractScalarsOn_8();
  public void ExtractScalarsOn()
    { ExtractScalarsOn_8(); }

  private native void ExtractScalarsOff_9();
  public void ExtractScalarsOff()
    { ExtractScalarsOff_9(); }

  private native void SetScalarComponents_10(int id0,int id1);
  public void SetScalarComponents(int id0,int id1)
    { SetScalarComponents_10(id0,id1); }

  private native void SetScalarComponents_11(int id0[]);
  public void SetScalarComponents(int id0[])
    { SetScalarComponents_11(id0); }

  private native int[]  GetScalarComponents_12();
  public int[]  GetScalarComponents()
    { return GetScalarComponents_12(); }

  private native void SetScalarMode_13(int id0);
  public void SetScalarMode(int id0)
    { SetScalarMode_13(id0); }

  private native int GetScalarMode_14();
  public int GetScalarMode()
    { return GetScalarMode_14(); }

  private native void ScalarIsComponent_15();
  public void ScalarIsComponent()
    { ScalarIsComponent_15(); }

  private native void ScalarIsEffectiveStress_16();
  public void ScalarIsEffectiveStress()
    { ScalarIsEffectiveStress_16(); }

  private native void ScalarIsDeterminant_17();
  public void ScalarIsDeterminant()
    { ScalarIsDeterminant_17(); }

  private native void SetExtractVectors_18(int id0);
  public void SetExtractVectors(int id0)
    { SetExtractVectors_18(id0); }

  private native int GetExtractVectors_19();
  public int GetExtractVectors()
    { return GetExtractVectors_19(); }

  private native void ExtractVectorsOn_20();
  public void ExtractVectorsOn()
    { ExtractVectorsOn_20(); }

  private native void ExtractVectorsOff_21();
  public void ExtractVectorsOff()
    { ExtractVectorsOff_21(); }

  private native void SetVectorComponents_22(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetVectorComponents(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetVectorComponents_22(id0,id1,id2,id3,id4,id5); }

  private native void SetVectorComponents_23(int id0[]);
  public void SetVectorComponents(int id0[])
    { SetVectorComponents_23(id0); }

  private native int[]  GetVectorComponents_24();
  public int[]  GetVectorComponents()
    { return GetVectorComponents_24(); }

  private native void SetExtractNormals_25(int id0);
  public void SetExtractNormals(int id0)
    { SetExtractNormals_25(id0); }

  private native int GetExtractNormals_26();
  public int GetExtractNormals()
    { return GetExtractNormals_26(); }

  private native void ExtractNormalsOn_27();
  public void ExtractNormalsOn()
    { ExtractNormalsOn_27(); }

  private native void ExtractNormalsOff_28();
  public void ExtractNormalsOff()
    { ExtractNormalsOff_28(); }

  private native void SetNormalizeNormals_29(int id0);
  public void SetNormalizeNormals(int id0)
    { SetNormalizeNormals_29(id0); }

  private native int GetNormalizeNormals_30();
  public int GetNormalizeNormals()
    { return GetNormalizeNormals_30(); }

  private native void NormalizeNormalsOn_31();
  public void NormalizeNormalsOn()
    { NormalizeNormalsOn_31(); }

  private native void NormalizeNormalsOff_32();
  public void NormalizeNormalsOff()
    { NormalizeNormalsOff_32(); }

  private native void SetNormalComponents_33(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetNormalComponents(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetNormalComponents_33(id0,id1,id2,id3,id4,id5); }

  private native void SetNormalComponents_34(int id0[]);
  public void SetNormalComponents(int id0[])
    { SetNormalComponents_34(id0); }

  private native int[]  GetNormalComponents_35();
  public int[]  GetNormalComponents()
    { return GetNormalComponents_35(); }

  private native void SetExtractTCoords_36(int id0);
  public void SetExtractTCoords(int id0)
    { SetExtractTCoords_36(id0); }

  private native int GetExtractTCoords_37();
  public int GetExtractTCoords()
    { return GetExtractTCoords_37(); }

  private native void ExtractTCoordsOn_38();
  public void ExtractTCoordsOn()
    { ExtractTCoordsOn_38(); }

  private native void ExtractTCoordsOff_39();
  public void ExtractTCoordsOff()
    { ExtractTCoordsOff_39(); }

  private native void SetNumberOfTCoords_40(int id0);
  public void SetNumberOfTCoords(int id0)
    { SetNumberOfTCoords_40(id0); }

  private native int GetNumberOfTCoordsMinValue_41();
  public int GetNumberOfTCoordsMinValue()
    { return GetNumberOfTCoordsMinValue_41(); }

  private native int GetNumberOfTCoordsMaxValue_42();
  public int GetNumberOfTCoordsMaxValue()
    { return GetNumberOfTCoordsMaxValue_42(); }

  private native int GetNumberOfTCoords_43();
  public int GetNumberOfTCoords()
    { return GetNumberOfTCoords_43(); }

  private native void SetTCoordComponents_44(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetTCoordComponents(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetTCoordComponents_44(id0,id1,id2,id3,id4,id5); }

  private native void SetTCoordComponents_45(int id0[]);
  public void SetTCoordComponents(int id0[])
    { SetTCoordComponents_45(id0); }

  private native int[]  GetTCoordComponents_46();
  public int[]  GetTCoordComponents()
    { return GetTCoordComponents_46(); }

  public vtkExtractTensorComponents() { super(); };

  protected vtkExtractTensorComponents(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
