// java wrapper for vtkFieldData object
//

package vtk;
import vtk.*;

public class vtkFieldData extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void Initialize_2();
  public void Initialize()
    { Initialize_2(); }

  private native int Allocate_3(int id0,int id1);
  public int Allocate(int id0,int id1)
    { return Allocate_3(id0,id1); }

  private native vtkFieldData MakeObject_4();
  public vtkFieldData MakeObject()
    { return MakeObject_4(); }

  private native void AllocateArrays_5(int id0);
  public void AllocateArrays(int id0)
    { AllocateArrays_5(id0); }

  private native void SetNumberOfArrays_6(int id0);
  public void SetNumberOfArrays(int id0)
    { SetNumberOfArrays_6(id0); }

  private native int GetNumberOfArrays_7();
  public int GetNumberOfArrays()
    { return GetNumberOfArrays_7(); }

  private native int AddArray_8(vtkDataArray id0);
  public int AddArray(vtkDataArray id0)
    { return AddArray_8(id0); }

  private native void RemoveArray_9(String id0);
  public void RemoveArray(String id0)
    { RemoveArray_9(id0); }

  private native vtkDataArray GetArray_10(int id0);
  public vtkDataArray GetArray(int id0)
    { return GetArray_10(id0); }

  private native vtkDataArray GetArray_11(String id0);
  public vtkDataArray GetArray(String id0)
    { return GetArray_11(id0); }

  private native String GetArrayName_12(int id0);
  public String GetArrayName(int id0)
    { return GetArrayName_12(id0); }

  private native void PassData_13(vtkFieldData id0);
  public void PassData(vtkFieldData id0)
    { PassData_13(id0); }

  private native void CopyFieldOn_14(String id0);
  public void CopyFieldOn(String id0)
    { CopyFieldOn_14(id0); }

  private native void CopyFieldOff_15(String id0);
  public void CopyFieldOff(String id0)
    { CopyFieldOff_15(id0); }

  private native void CopyAllOn_16();
  public void CopyAllOn()
    { CopyAllOn_16(); }

  private native void CopyAllOff_17();
  public void CopyAllOff()
    { CopyAllOff_17(); }

  private native void DeepCopy_18(vtkFieldData id0);
  public void DeepCopy(vtkFieldData id0)
    { DeepCopy_18(id0); }

  private native void ShallowCopy_19(vtkFieldData id0);
  public void ShallowCopy(vtkFieldData id0)
    { ShallowCopy_19(id0); }

  private native void Squeeze_20();
  public void Squeeze()
    { Squeeze_20(); }

  private native void Reset_21();
  public void Reset()
    { Reset_21(); }

  private native int GetActualMemorySize_22();
  public int GetActualMemorySize()
    { return GetActualMemorySize_22(); }

  private native int GetMTime_23();
  public int GetMTime()
    { return GetMTime_23(); }

  private native void GetField_24(vtkIdList id0,vtkFieldData id1);
  public void GetField(vtkIdList id0,vtkFieldData id1)
    { GetField_24(id0,id1); }

  private native int GetNumberOfComponents_25();
  public int GetNumberOfComponents()
    { return GetNumberOfComponents_25(); }

  private native int GetNumberOfTuples_26();
  public int GetNumberOfTuples()
    { return GetNumberOfTuples_26(); }

  private native void SetNumberOfTuples_27(int id0);
  public void SetNumberOfTuples(int id0)
    { SetNumberOfTuples_27(id0); }

  private native double GetComponent_28(int id0,int id1);
  public double GetComponent(int id0,int id1)
    { return GetComponent_28(id0,id1); }

  private native void SetComponent_29(int id0,int id1,double id2);
  public void SetComponent(int id0,int id1,double id2)
    { SetComponent_29(id0,id1,id2); }

  private native void InsertComponent_30(int id0,int id1,double id2);
  public void InsertComponent(int id0,int id1,double id2)
    { InsertComponent_30(id0,id1,id2); }

  public vtkFieldData() { super(); };

  protected vtkFieldData(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
