// java wrapper for vtkHyperStreamline object
//

package vtk;
import vtk.*;

public class vtkHyperStreamline extends vtkDataSetToPolyDataFilter
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetStartLocation_2(int id0,int id1,double id2[]);
  public void SetStartLocation(int id0,int id1,double id2[])
    { SetStartLocation_2(id0,id1,id2); }

  private native void SetStartLocation_3(int id0,int id1,double id2,double id3,double id4);
  public void SetStartLocation(int id0,int id1,double id2,double id3,double id4)
    { SetStartLocation_3(id0,id1,id2,id3,id4); }

  private native void SetStartPosition_4(double id0[]);
  public void SetStartPosition(double id0[])
    { SetStartPosition_4(id0); }

  private native void SetStartPosition_5(double id0,double id1,double id2);
  public void SetStartPosition(double id0,double id1,double id2)
    { SetStartPosition_5(id0,id1,id2); }

  private native double[] GetStartPosition_6();
  public double[] GetStartPosition()
    { return GetStartPosition_6(); }

  private native void SetMaximumPropagationDistance_7(double id0);
  public void SetMaximumPropagationDistance(double id0)
    { SetMaximumPropagationDistance_7(id0); }

  private native double GetMaximumPropagationDistanceMinValue_8();
  public double GetMaximumPropagationDistanceMinValue()
    { return GetMaximumPropagationDistanceMinValue_8(); }

  private native double GetMaximumPropagationDistanceMaxValue_9();
  public double GetMaximumPropagationDistanceMaxValue()
    { return GetMaximumPropagationDistanceMaxValue_9(); }

  private native double GetMaximumPropagationDistance_10();
  public double GetMaximumPropagationDistance()
    { return GetMaximumPropagationDistance_10(); }

  private native void IntegrateMajorEigenvector_11();
  public void IntegrateMajorEigenvector()
    { IntegrateMajorEigenvector_11(); }

  private native void IntegrateMediumEigenvector_12();
  public void IntegrateMediumEigenvector()
    { IntegrateMediumEigenvector_12(); }

  private native void IntegrateMinorEigenvector_13();
  public void IntegrateMinorEigenvector()
    { IntegrateMinorEigenvector_13(); }

  private native void SetIntegrationStepLength_14(double id0);
  public void SetIntegrationStepLength(double id0)
    { SetIntegrationStepLength_14(id0); }

  private native double GetIntegrationStepLengthMinValue_15();
  public double GetIntegrationStepLengthMinValue()
    { return GetIntegrationStepLengthMinValue_15(); }

  private native double GetIntegrationStepLengthMaxValue_16();
  public double GetIntegrationStepLengthMaxValue()
    { return GetIntegrationStepLengthMaxValue_16(); }

  private native double GetIntegrationStepLength_17();
  public double GetIntegrationStepLength()
    { return GetIntegrationStepLength_17(); }

  private native void SetStepLength_18(double id0);
  public void SetStepLength(double id0)
    { SetStepLength_18(id0); }

  private native double GetStepLengthMinValue_19();
  public double GetStepLengthMinValue()
    { return GetStepLengthMinValue_19(); }

  private native double GetStepLengthMaxValue_20();
  public double GetStepLengthMaxValue()
    { return GetStepLengthMaxValue_20(); }

  private native double GetStepLength_21();
  public double GetStepLength()
    { return GetStepLength_21(); }

  private native void SetIntegrationDirection_22(int id0);
  public void SetIntegrationDirection(int id0)
    { SetIntegrationDirection_22(id0); }

  private native int GetIntegrationDirectionMinValue_23();
  public int GetIntegrationDirectionMinValue()
    { return GetIntegrationDirectionMinValue_23(); }

  private native int GetIntegrationDirectionMaxValue_24();
  public int GetIntegrationDirectionMaxValue()
    { return GetIntegrationDirectionMaxValue_24(); }

  private native int GetIntegrationDirection_25();
  public int GetIntegrationDirection()
    { return GetIntegrationDirection_25(); }

  private native void SetIntegrationDirectionToForward_26();
  public void SetIntegrationDirectionToForward()
    { SetIntegrationDirectionToForward_26(); }

  private native void SetIntegrationDirectionToBackward_27();
  public void SetIntegrationDirectionToBackward()
    { SetIntegrationDirectionToBackward_27(); }

  private native void SetIntegrationDirectionToIntegrateBothDirections_28();
  public void SetIntegrationDirectionToIntegrateBothDirections()
    { SetIntegrationDirectionToIntegrateBothDirections_28(); }

  private native void SetTerminalEigenvalue_29(double id0);
  public void SetTerminalEigenvalue(double id0)
    { SetTerminalEigenvalue_29(id0); }

  private native double GetTerminalEigenvalueMinValue_30();
  public double GetTerminalEigenvalueMinValue()
    { return GetTerminalEigenvalueMinValue_30(); }

  private native double GetTerminalEigenvalueMaxValue_31();
  public double GetTerminalEigenvalueMaxValue()
    { return GetTerminalEigenvalueMaxValue_31(); }

  private native double GetTerminalEigenvalue_32();
  public double GetTerminalEigenvalue()
    { return GetTerminalEigenvalue_32(); }

  private native void SetNumberOfSides_33(int id0);
  public void SetNumberOfSides(int id0)
    { SetNumberOfSides_33(id0); }

  private native int GetNumberOfSidesMinValue_34();
  public int GetNumberOfSidesMinValue()
    { return GetNumberOfSidesMinValue_34(); }

  private native int GetNumberOfSidesMaxValue_35();
  public int GetNumberOfSidesMaxValue()
    { return GetNumberOfSidesMaxValue_35(); }

  private native int GetNumberOfSides_36();
  public int GetNumberOfSides()
    { return GetNumberOfSides_36(); }

  private native void SetRadius_37(double id0);
  public void SetRadius(double id0)
    { SetRadius_37(id0); }

  private native double GetRadiusMinValue_38();
  public double GetRadiusMinValue()
    { return GetRadiusMinValue_38(); }

  private native double GetRadiusMaxValue_39();
  public double GetRadiusMaxValue()
    { return GetRadiusMaxValue_39(); }

  private native double GetRadius_40();
  public double GetRadius()
    { return GetRadius_40(); }

  private native void SetLogScaling_41(int id0);
  public void SetLogScaling(int id0)
    { SetLogScaling_41(id0); }

  private native int GetLogScaling_42();
  public int GetLogScaling()
    { return GetLogScaling_42(); }

  private native void LogScalingOn_43();
  public void LogScalingOn()
    { LogScalingOn_43(); }

  private native void LogScalingOff_44();
  public void LogScalingOff()
    { LogScalingOff_44(); }

  public vtkHyperStreamline() { super(); };

  protected vtkHyperStreamline(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
