// java wrapper for vtkImageMandelbrotSource object
//

package vtk;
import vtk.*;

public class vtkImageMandelbrotSource extends vtkImageSource
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetWholeExtent_2(int id0[]);
  public void SetWholeExtent(int id0[])
    { SetWholeExtent_2(id0); }

  private native void SetWholeExtent_3(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetWholeExtent(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetWholeExtent_3(id0,id1,id2,id3,id4,id5); }

  private native int[]  GetWholeExtent_4();
  public int[]  GetWholeExtent()
    { return GetWholeExtent_4(); }

  private native void SetProjectionAxes_5(int id0,int id1,int id2);
  public void SetProjectionAxes(int id0,int id1,int id2)
    { SetProjectionAxes_5(id0,id1,id2); }

  private native void SetProjectionAxes_6(int id0[]);
  public void SetProjectionAxes(int id0[])
    { SetProjectionAxes_6(id0); }

  private native int[]  GetProjectionAxes_7();
  public int[]  GetProjectionAxes()
    { return GetProjectionAxes_7(); }

  private native void SetOriginCX_8(double id0,double id1,double id2,double id3);
  public void SetOriginCX(double id0,double id1,double id2,double id3)
    { SetOriginCX_8(id0,id1,id2,id3); }

  private native void SetOriginCX_9(double id0[]);
  public void SetOriginCX(double id0[])
    { SetOriginCX_9(id0); }

  private native double[] GetOriginCX_10();
  public double[] GetOriginCX()
    { return GetOriginCX_10(); }

  private native void SetSampleCX_11(double id0,double id1,double id2,double id3);
  public void SetSampleCX(double id0,double id1,double id2,double id3)
    { SetSampleCX_11(id0,id1,id2,id3); }

  private native void SetSampleCX_12(double id0[]);
  public void SetSampleCX(double id0[])
    { SetSampleCX_12(id0); }

  private native double[] GetSampleCX_13();
  public double[] GetSampleCX()
    { return GetSampleCX_13(); }

  private native void SetMaximumNumberOfIterations_14(int id0);
  public void SetMaximumNumberOfIterations(int id0)
    { SetMaximumNumberOfIterations_14(id0); }

  private native int GetMaximumNumberOfIterationsMinValue_15();
  public int GetMaximumNumberOfIterationsMinValue()
    { return GetMaximumNumberOfIterationsMinValue_15(); }

  private native int GetMaximumNumberOfIterationsMaxValue_16();
  public int GetMaximumNumberOfIterationsMaxValue()
    { return GetMaximumNumberOfIterationsMaxValue_16(); }

  private native int GetMaximumNumberOfIterations_17();
  public int GetMaximumNumberOfIterations()
    { return GetMaximumNumberOfIterations_17(); }

  private native void Zoom_18(double id0);
  public void Zoom(double id0)
    { Zoom_18(id0); }

  private native void Pan_19(double id0,double id1,double id2);
  public void Pan(double id0,double id1,double id2)
    { Pan_19(id0,id1,id2); }

  private native void CopyOriginAndSample_20(vtkImageMandelbrotSource id0);
  public void CopyOriginAndSample(vtkImageMandelbrotSource id0)
    { CopyOriginAndSample_20(id0); }

  private native void SetSample_21(double id0);
  public void SetSample(double id0)
    { SetSample_21(id0); }

  public vtkImageMandelbrotSource() { super(); };

  protected vtkImageMandelbrotSource(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
