// java wrapper for vtkImplicitModeller object
//

package vtk;
import vtk.*;

public class vtkImplicitModeller extends vtkDataSetToStructuredPointsFilter
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native double ComputeModelBounds_2(vtkDataSet id0);
  public double ComputeModelBounds(vtkDataSet id0)
    { return ComputeModelBounds_2(id0); }

  private native int[]  GetSampleDimensions_3();
  public int[]  GetSampleDimensions()
    { return GetSampleDimensions_3(); }

  private native void SetSampleDimensions_4(int id0,int id1,int id2);
  public void SetSampleDimensions(int id0,int id1,int id2)
    { SetSampleDimensions_4(id0,id1,id2); }

  private native void SetSampleDimensions_5(int id0[]);
  public void SetSampleDimensions(int id0[])
    { SetSampleDimensions_5(id0); }

  private native void SetMaximumDistance_6(double id0);
  public void SetMaximumDistance(double id0)
    { SetMaximumDistance_6(id0); }

  private native double GetMaximumDistanceMinValue_7();
  public double GetMaximumDistanceMinValue()
    { return GetMaximumDistanceMinValue_7(); }

  private native double GetMaximumDistanceMaxValue_8();
  public double GetMaximumDistanceMaxValue()
    { return GetMaximumDistanceMaxValue_8(); }

  private native double GetMaximumDistance_9();
  public double GetMaximumDistance()
    { return GetMaximumDistance_9(); }

  private native void SetModelBounds_10(double id0,double id1,double id2,double id3,double id4,double id5);
  public void SetModelBounds(double id0,double id1,double id2,double id3,double id4,double id5)
    { SetModelBounds_10(id0,id1,id2,id3,id4,id5); }

  private native void SetModelBounds_11(double id0[]);
  public void SetModelBounds(double id0[])
    { SetModelBounds_11(id0); }

  private native double[] GetModelBounds_12();
  public double[] GetModelBounds()
    { return GetModelBounds_12(); }

  private native void SetAdjustBounds_13(int id0);
  public void SetAdjustBounds(int id0)
    { SetAdjustBounds_13(id0); }

  private native int GetAdjustBounds_14();
  public int GetAdjustBounds()
    { return GetAdjustBounds_14(); }

  private native void AdjustBoundsOn_15();
  public void AdjustBoundsOn()
    { AdjustBoundsOn_15(); }

  private native void AdjustBoundsOff_16();
  public void AdjustBoundsOff()
    { AdjustBoundsOff_16(); }

  private native void SetAdjustDistance_17(double id0);
  public void SetAdjustDistance(double id0)
    { SetAdjustDistance_17(id0); }

  private native double GetAdjustDistanceMinValue_18();
  public double GetAdjustDistanceMinValue()
    { return GetAdjustDistanceMinValue_18(); }

  private native double GetAdjustDistanceMaxValue_19();
  public double GetAdjustDistanceMaxValue()
    { return GetAdjustDistanceMaxValue_19(); }

  private native double GetAdjustDistance_20();
  public double GetAdjustDistance()
    { return GetAdjustDistance_20(); }

  private native void SetCapping_21(int id0);
  public void SetCapping(int id0)
    { SetCapping_21(id0); }

  private native int GetCapping_22();
  public int GetCapping()
    { return GetCapping_22(); }

  private native void CappingOn_23();
  public void CappingOn()
    { CappingOn_23(); }

  private native void CappingOff_24();
  public void CappingOff()
    { CappingOff_24(); }

  private native void SetCapValue_25(double id0);
  public void SetCapValue(double id0)
    { SetCapValue_25(id0); }

  private native double GetCapValue_26();
  public double GetCapValue()
    { return GetCapValue_26(); }

  private native void SetProcessMode_27(int id0);
  public void SetProcessMode(int id0)
    { SetProcessMode_27(id0); }

  private native int GetProcessModeMinValue_28();
  public int GetProcessModeMinValue()
    { return GetProcessModeMinValue_28(); }

  private native int GetProcessModeMaxValue_29();
  public int GetProcessModeMaxValue()
    { return GetProcessModeMaxValue_29(); }

  private native int GetProcessMode_30();
  public int GetProcessMode()
    { return GetProcessMode_30(); }

  private native void SetProcessModeToPerVoxel_31();
  public void SetProcessModeToPerVoxel()
    { SetProcessModeToPerVoxel_31(); }

  private native void SetProcessModeToPerCell_32();
  public void SetProcessModeToPerCell()
    { SetProcessModeToPerCell_32(); }

  private native String GetProcessModeAsString_33();
  public String GetProcessModeAsString()
    { return GetProcessModeAsString_33(); }

  private native void SetLocatorMaxLevel_34(int id0);
  public void SetLocatorMaxLevel(int id0)
    { SetLocatorMaxLevel_34(id0); }

  private native int GetLocatorMaxLevel_35();
  public int GetLocatorMaxLevel()
    { return GetLocatorMaxLevel_35(); }

  private native void SetNumberOfThreads_36(int id0);
  public void SetNumberOfThreads(int id0)
    { SetNumberOfThreads_36(id0); }

  private native int GetNumberOfThreads_37();
  public int GetNumberOfThreads()
    { return GetNumberOfThreads_37(); }

  private native void StartAppend_38();
  public void StartAppend()
    { StartAppend_38(); }

  private native void Append_39(vtkDataSet id0);
  public void Append(vtkDataSet id0)
    { Append_39(id0); }

  private native void EndAppend_40();
  public void EndAppend()
    { EndAppend_40(); }

  private native void UpdateData_41(vtkDataObject id0);
  public void UpdateData(vtkDataObject id0)
    { UpdateData_41(id0); }

  public vtkImplicitModeller() { super(); };

  protected vtkImplicitModeller(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
