// java wrapper for vtkLegendBoxActor object
//

package vtk;
import vtk.*;

public class vtkLegendBoxActor extends vtkActor2D
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetNumberOfEntries_2(int id0);
  public void SetNumberOfEntries(int id0)
    { SetNumberOfEntries_2(id0); }

  private native int GetNumberOfEntries_3();
  public int GetNumberOfEntries()
    { return GetNumberOfEntries_3(); }

  private native void SetEntry_4(int id0,vtkPolyData id1,String id2,double id3[]);
  public void SetEntry(int id0,vtkPolyData id1,String id2,double id3[])
    { SetEntry_4(id0,id1,id2,id3); }

  private native void SetEntrySymbol_5(int id0,vtkPolyData id1);
  public void SetEntrySymbol(int id0,vtkPolyData id1)
    { SetEntrySymbol_5(id0,id1); }

  private native void SetEntryString_6(int id0,String id1);
  public void SetEntryString(int id0,String id1)
    { SetEntryString_6(id0,id1); }

  private native void SetEntryColor_7(int id0,double id1[]);
  public void SetEntryColor(int id0,double id1[])
    { SetEntryColor_7(id0,id1); }

  private native void SetEntryColor_8(int id0,double id1,double id2,double id3);
  public void SetEntryColor(int id0,double id1,double id2,double id3)
    { SetEntryColor_8(id0,id1,id2,id3); }

  private native vtkPolyData GetEntrySymbol_9(int id0);
  public vtkPolyData GetEntrySymbol(int id0)
    { return GetEntrySymbol_9(id0); }

  private native String GetEntryString_10(int id0);
  public String GetEntryString(int id0)
    { return GetEntryString_10(id0); }

  private native double[] GetEntryColor_11(int id0);
  public double[] GetEntryColor(int id0)
    { return GetEntryColor_11(id0); }

  private native void SetBold_12(int id0);
  public void SetBold(int id0)
    { SetBold_12(id0); }

  private native int GetBold_13();
  public int GetBold()
    { return GetBold_13(); }

  private native void BoldOn_14();
  public void BoldOn()
    { BoldOn_14(); }

  private native void BoldOff_15();
  public void BoldOff()
    { BoldOff_15(); }

  private native void SetItalic_16(int id0);
  public void SetItalic(int id0)
    { SetItalic_16(id0); }

  private native int GetItalic_17();
  public int GetItalic()
    { return GetItalic_17(); }

  private native void ItalicOn_18();
  public void ItalicOn()
    { ItalicOn_18(); }

  private native void ItalicOff_19();
  public void ItalicOff()
    { ItalicOff_19(); }

  private native void SetShadow_20(int id0);
  public void SetShadow(int id0)
    { SetShadow_20(id0); }

  private native int GetShadow_21();
  public int GetShadow()
    { return GetShadow_21(); }

  private native void ShadowOn_22();
  public void ShadowOn()
    { ShadowOn_22(); }

  private native void ShadowOff_23();
  public void ShadowOff()
    { ShadowOff_23(); }

  private native void SetFontFamily_24(int id0);
  public void SetFontFamily(int id0)
    { SetFontFamily_24(id0); }

  private native int GetFontFamily_25();
  public int GetFontFamily()
    { return GetFontFamily_25(); }

  private native void SetFontFamilyToArial_26();
  public void SetFontFamilyToArial()
    { SetFontFamilyToArial_26(); }

  private native void SetFontFamilyToCourier_27();
  public void SetFontFamilyToCourier()
    { SetFontFamilyToCourier_27(); }

  private native void SetFontFamilyToTimes_28();
  public void SetFontFamilyToTimes()
    { SetFontFamilyToTimes_28(); }

  private native void SetBorder_29(int id0);
  public void SetBorder(int id0)
    { SetBorder_29(id0); }

  private native int GetBorder_30();
  public int GetBorder()
    { return GetBorder_30(); }

  private native void BorderOn_31();
  public void BorderOn()
    { BorderOn_31(); }

  private native void BorderOff_32();
  public void BorderOff()
    { BorderOff_32(); }

  private native void SetLockBorder_33(int id0);
  public void SetLockBorder(int id0)
    { SetLockBorder_33(id0); }

  private native int GetLockBorder_34();
  public int GetLockBorder()
    { return GetLockBorder_34(); }

  private native void LockBorderOn_35();
  public void LockBorderOn()
    { LockBorderOn_35(); }

  private native void LockBorderOff_36();
  public void LockBorderOff()
    { LockBorderOff_36(); }

  private native void SetPadding_37(int id0);
  public void SetPadding(int id0)
    { SetPadding_37(id0); }

  private native int GetPaddingMinValue_38();
  public int GetPaddingMinValue()
    { return GetPaddingMinValue_38(); }

  private native int GetPaddingMaxValue_39();
  public int GetPaddingMaxValue()
    { return GetPaddingMaxValue_39(); }

  private native int GetPadding_40();
  public int GetPadding()
    { return GetPadding_40(); }

  private native void SetScalarVisibility_41(int id0);
  public void SetScalarVisibility(int id0)
    { SetScalarVisibility_41(id0); }

  private native int GetScalarVisibility_42();
  public int GetScalarVisibility()
    { return GetScalarVisibility_42(); }

  private native void ScalarVisibilityOn_43();
  public void ScalarVisibilityOn()
    { ScalarVisibilityOn_43(); }

  private native void ScalarVisibilityOff_44();
  public void ScalarVisibilityOff()
    { ScalarVisibilityOff_44(); }

  private native void ShallowCopy_45(vtkProp id0);
  public void ShallowCopy(vtkProp id0)
    { ShallowCopy_45(id0); }

  public vtkLegendBoxActor() { super(); };

  protected vtkLegendBoxActor(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
