// java wrapper for vtkLightKit object
//

package vtk;
import vtk.*;

public class vtkLightKit extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetKeyLightIntensity_2(double id0);
  public void SetKeyLightIntensity(double id0)
    { SetKeyLightIntensity_2(id0); }

  private native double GetKeyLightIntensity_3();
  public double GetKeyLightIntensity()
    { return GetKeyLightIntensity_3(); }

  private native void SetKeyToFillRatio_4(double id0);
  public void SetKeyToFillRatio(double id0)
    { SetKeyToFillRatio_4(id0); }

  private native double GetKeyToFillRatioMinValue_5();
  public double GetKeyToFillRatioMinValue()
    { return GetKeyToFillRatioMinValue_5(); }

  private native double GetKeyToFillRatioMaxValue_6();
  public double GetKeyToFillRatioMaxValue()
    { return GetKeyToFillRatioMaxValue_6(); }

  private native double GetKeyToFillRatio_7();
  public double GetKeyToFillRatio()
    { return GetKeyToFillRatio_7(); }

  private native void SetKeyToHeadRatio_8(double id0);
  public void SetKeyToHeadRatio(double id0)
    { SetKeyToHeadRatio_8(id0); }

  private native double GetKeyToHeadRatioMinValue_9();
  public double GetKeyToHeadRatioMinValue()
    { return GetKeyToHeadRatioMinValue_9(); }

  private native double GetKeyToHeadRatioMaxValue_10();
  public double GetKeyToHeadRatioMaxValue()
    { return GetKeyToHeadRatioMaxValue_10(); }

  private native double GetKeyToHeadRatio_11();
  public double GetKeyToHeadRatio()
    { return GetKeyToHeadRatio_11(); }

  private native void SetKeyLightWarmth_12(double id0);
  public void SetKeyLightWarmth(double id0)
    { SetKeyLightWarmth_12(id0); }

  private native double GetKeyLightWarmth_13();
  public double GetKeyLightWarmth()
    { return GetKeyLightWarmth_13(); }

  private native void SetFillLightWarmth_14(double id0);
  public void SetFillLightWarmth(double id0)
    { SetFillLightWarmth_14(id0); }

  private native double GetFillLightWarmth_15();
  public double GetFillLightWarmth()
    { return GetFillLightWarmth_15(); }

  private native void SetHeadlightWarmth_16(double id0);
  public void SetHeadlightWarmth(double id0)
    { SetHeadlightWarmth_16(id0); }

  private native double GetHeadlightWarmth_17();
  public double GetHeadlightWarmth()
    { return GetHeadlightWarmth_17(); }

  private native double[] GetKeyLightColor_18();
  public double[] GetKeyLightColor()
    { return GetKeyLightColor_18(); }

  private native double[] GetFillLightColor_19();
  public double[] GetFillLightColor()
    { return GetFillLightColor_19(); }

  private native double[] GetHeadlightColor_20();
  public double[] GetHeadlightColor()
    { return GetHeadlightColor_20(); }

  private native void MaintainLuminanceOn_21();
  public void MaintainLuminanceOn()
    { MaintainLuminanceOn_21(); }

  private native void MaintainLuminanceOff_22();
  public void MaintainLuminanceOff()
    { MaintainLuminanceOff_22(); }

  private native int GetMaintainLuminance_23();
  public int GetMaintainLuminance()
    { return GetMaintainLuminance_23(); }

  private native void SetMaintainLuminance_24(int id0);
  public void SetMaintainLuminance(int id0)
    { SetMaintainLuminance_24(id0); }

  private native void SetKeyLightAngle_25(double id0,double id1);
  public void SetKeyLightAngle(double id0,double id1)
    { SetKeyLightAngle_25(id0,id1); }

  private native void SetKeyLightAngle_26(double id0[]);
  public void SetKeyLightAngle(double id0[])
    { SetKeyLightAngle_26(id0); }

  private native void SetKeyLightElevation_27(double id0);
  public void SetKeyLightElevation(double id0)
    { SetKeyLightElevation_27(id0); }

  private native void SetKeyLightAzimuth_28(double id0);
  public void SetKeyLightAzimuth(double id0)
    { SetKeyLightAzimuth_28(id0); }

  private native double[] GetKeyLightAngle_29();
  public double[] GetKeyLightAngle()
    { return GetKeyLightAngle_29(); }

  private native double GetKeyLightElevation_30();
  public double GetKeyLightElevation()
    { return GetKeyLightElevation_30(); }

  private native double GetKeyLightAzimuth_31();
  public double GetKeyLightAzimuth()
    { return GetKeyLightAzimuth_31(); }

  private native void SetFillLightAngle_32(double id0,double id1);
  public void SetFillLightAngle(double id0,double id1)
    { SetFillLightAngle_32(id0,id1); }

  private native void SetFillLightAngle_33(double id0[]);
  public void SetFillLightAngle(double id0[])
    { SetFillLightAngle_33(id0); }

  private native void SetFillLightElevation_34(double id0);
  public void SetFillLightElevation(double id0)
    { SetFillLightElevation_34(id0); }

  private native void SetFillLightAzimuth_35(double id0);
  public void SetFillLightAzimuth(double id0)
    { SetFillLightAzimuth_35(id0); }

  private native double[] GetFillLightAngle_36();
  public double[] GetFillLightAngle()
    { return GetFillLightAngle_36(); }

  private native double GetFillLightElevation_37();
  public double GetFillLightElevation()
    { return GetFillLightElevation_37(); }

  private native double GetFillLightAzimuth_38();
  public double GetFillLightAzimuth()
    { return GetFillLightAzimuth_38(); }

  private native void AddLightsToRenderer_39(vtkRenderer id0);
  public void AddLightsToRenderer(vtkRenderer id0)
    { AddLightsToRenderer_39(id0); }

  private native void RemoveLightsFromRenderer_40(vtkRenderer id0);
  public void RemoveLightsFromRenderer(vtkRenderer id0)
    { RemoveLightsFromRenderer_40(id0); }

  private native void DeepCopy_41(vtkLightKit id0);
  public void DeepCopy(vtkLightKit id0)
    { DeepCopy_41(id0); }

  private native void Modified_42();
  public void Modified()
    { Modified_42(); }

  private native void Update_43();
  public void Update()
    { Update_43(); }

  public vtkLightKit() { super(); };

  protected vtkLightKit(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
