// java wrapper for vtkMultiProcessController object
//

package vtk;
import vtk.*;

public class vtkMultiProcessController extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void Finalize_2();
  public void Finalize()
    { Finalize_2(); }

  private native void SetNumberOfProcesses_3(int id0);
  public void SetNumberOfProcesses(int id0)
    { SetNumberOfProcesses_3(id0); }

  private native int GetNumberOfProcesses_4();
  public int GetNumberOfProcesses()
    { return GetNumberOfProcesses_4(); }

  private native void SingleMethodExecute_5();
  public void SingleMethodExecute()
    { SingleMethodExecute_5(); }

  private native void MultipleMethodExecute_6();
  public void MultipleMethodExecute()
    { MultipleMethodExecute_6(); }

  private native int GetLocalProcessId_7();
  public int GetLocalProcessId()
    { return GetLocalProcessId_7(); }

  private native vtkMultiProcessController GetGlobalController_8();
  public vtkMultiProcessController GetGlobalController()
    { return GetGlobalController_8(); }

  private native void CreateOutputWindow_9();
  public void CreateOutputWindow()
    { CreateOutputWindow_9(); }

  private native void SetForceDeepCopy_10(int id0);
  public void SetForceDeepCopy(int id0)
    { SetForceDeepCopy_10(id0); }

  private native int GetForceDeepCopy_11();
  public int GetForceDeepCopy()
    { return GetForceDeepCopy_11(); }

  private native void ForceDeepCopyOn_12();
  public void ForceDeepCopyOn()
    { ForceDeepCopyOn_12(); }

  private native void ForceDeepCopyOff_13();
  public void ForceDeepCopyOff()
    { ForceDeepCopyOff_13(); }

  private native void TriggerRMI_14(int id0,String id1,int id2);
  public void TriggerRMI(int id0,String id1,int id2)
    { TriggerRMI_14(id0,id1,id2); }

  private native void TriggerRMI_15(int id0,int id1);
  public void TriggerRMI(int id0,int id1)
    { TriggerRMI_15(id0,id1); }

  private native void ProcessRMIs_16();
  public void ProcessRMIs()
    { ProcessRMIs_16(); }

  private native void SetBreakFlag_17(int id0);
  public void SetBreakFlag(int id0)
    { SetBreakFlag_17(id0); }

  private native int GetBreakFlag_18();
  public int GetBreakFlag()
    { return GetBreakFlag_18(); }

  private native vtkCommunicator GetCommunicator_19();
  public vtkCommunicator GetCommunicator()
    { return GetCommunicator_19(); }

  private native void Barrier_20();
  public void Barrier()
    { Barrier_20(); }

  private native void SetGlobalController_21(vtkMultiProcessController id0);
  public void SetGlobalController(vtkMultiProcessController id0)
    { SetGlobalController_21(id0); }

  private native int Send_22(String id0,int id1,int id2,int id3);
  public int Send(String id0,int id1,int id2,int id3)
    { return Send_22(id0,id1,id2,id3); }

  private native int Send_23(vtkDataObject id0,int id1,int id2);
  public int Send(vtkDataObject id0,int id1,int id2)
    { return Send_23(id0,id1,id2); }

  private native int Send_24(vtkDataArray id0,int id1,int id2);
  public int Send(vtkDataArray id0,int id1,int id2)
    { return Send_24(id0,id1,id2); }

  private native int Receive_25(String id0,int id1,int id2,int id3);
  public int Receive(String id0,int id1,int id2,int id3)
    { return Receive_25(id0,id1,id2,id3); }

  private native int Receive_26(vtkDataObject id0,int id1,int id2);
  public int Receive(vtkDataObject id0,int id1,int id2)
    { return Receive_26(id0,id1,id2); }

  private native int Receive_27(vtkDataArray id0,int id1,int id2);
  public int Receive(vtkDataArray id0,int id1,int id2)
    { return Receive_27(id0,id1,id2); }

  public vtkMultiProcessController() { super(); };

  protected vtkMultiProcessController(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
