// java wrapper for vtkObjectFactory object
//

package vtk;
import vtk.*;

public class vtkObjectFactory extends vtkObject
{

  private native vtkObject CreateInstance_0(String id0);
  public vtkObject CreateInstance(String id0)
    { return CreateInstance_0(id0); }

  private native void ReHash_1();
  public void ReHash()
    { ReHash_1(); }

  private native void RegisterFactory_2(vtkObjectFactory id0);
  public void RegisterFactory(vtkObjectFactory id0)
    { RegisterFactory_2(id0); }

  private native void UnRegisterFactory_3(vtkObjectFactory id0);
  public void UnRegisterFactory(vtkObjectFactory id0)
    { UnRegisterFactory_3(id0); }

  private native void UnRegisterAllFactories_4();
  public void UnRegisterAllFactories()
    { UnRegisterAllFactories_4(); }

  private native vtkObjectFactoryCollection GetRegisteredFactories_5();
  public vtkObjectFactoryCollection GetRegisteredFactories()
    { return GetRegisteredFactories_5(); }

  private native int HasOverrideAny_6(String id0);
  public int HasOverrideAny(String id0)
    { return HasOverrideAny_6(id0); }

  private native void GetOverrideInformation_7(String id0,vtkOverrideInformationCollection id1);
  public void GetOverrideInformation(String id0,vtkOverrideInformationCollection id1)
    { GetOverrideInformation_7(id0,id1); }

  private native void SetAllEnableFlags_8(int id0,String id1);
  public void SetAllEnableFlags(int id0,String id1)
    { SetAllEnableFlags_8(id0,id1); }

  private native void SetAllEnableFlags_9(int id0,String id1,String id2);
  public void SetAllEnableFlags(int id0,String id1,String id2)
    { SetAllEnableFlags_9(id0,id1,id2); }

  private native String GetClassName_10();
  public String GetClassName()
    { return GetClassName_10(); }

  private native int IsA_11(String id0);
  public int IsA(String id0)
    { return IsA_11(id0); }

  private native String GetVTKSourceVersion_12();
  public String GetVTKSourceVersion()
    { return GetVTKSourceVersion_12(); }

  private native String GetDescription_13();
  public String GetDescription()
    { return GetDescription_13(); }

  private native int GetNumberOfOverrides_14();
  public int GetNumberOfOverrides()
    { return GetNumberOfOverrides_14(); }

  private native String GetClassOverrideName_15(int id0);
  public String GetClassOverrideName(int id0)
    { return GetClassOverrideName_15(id0); }

  private native String GetClassOverrideWithName_16(int id0);
  public String GetClassOverrideWithName(int id0)
    { return GetClassOverrideWithName_16(id0); }

  private native int GetEnableFlag_17(int id0);
  public int GetEnableFlag(int id0)
    { return GetEnableFlag_17(id0); }

  private native String GetOverrideDescription_18(int id0);
  public String GetOverrideDescription(int id0)
    { return GetOverrideDescription_18(id0); }

  private native void SetEnableFlag_19(int id0,String id1,String id2);
  public void SetEnableFlag(int id0,String id1,String id2)
    { SetEnableFlag_19(id0,id1,id2); }

  private native int GetEnableFlag_20(String id0,String id1);
  public int GetEnableFlag(String id0,String id1)
    { return GetEnableFlag_20(id0,id1); }

  private native int HasOverride_21(String id0);
  public int HasOverride(String id0)
    { return HasOverride_21(id0); }

  private native int HasOverride_22(String id0,String id1);
  public int HasOverride(String id0,String id1)
    { return HasOverride_22(id0,id1); }

  private native void Disable_23(String id0);
  public void Disable(String id0)
    { Disable_23(id0); }

  private native String GetLibraryPath_24();
  public String GetLibraryPath()
    { return GetLibraryPath_24(); }

  public vtkObjectFactory() { super(); };

  protected vtkObjectFactory(int dmy) { super(dmy); };
  protected native void   VTKCastInit();

}
