// java wrapper for vtkPointLocator2D object
//

package vtk;
import vtk.*;

public class vtkPointLocator2D extends vtkLocator
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetDivisions_2(int id0,int id1);
  public void SetDivisions(int id0,int id1)
    { SetDivisions_2(id0,id1); }

  private native void SetDivisions_3(int id0[]);
  public void SetDivisions(int id0[])
    { SetDivisions_3(id0); }

  private native int[]  GetDivisions_4();
  public int[]  GetDivisions()
    { return GetDivisions_4(); }

  private native void SetNumberOfPointsPerBucket_5(int id0);
  public void SetNumberOfPointsPerBucket(int id0)
    { SetNumberOfPointsPerBucket_5(id0); }

  private native int GetNumberOfPointsPerBucketMinValue_6();
  public int GetNumberOfPointsPerBucketMinValue()
    { return GetNumberOfPointsPerBucketMinValue_6(); }

  private native int GetNumberOfPointsPerBucketMaxValue_7();
  public int GetNumberOfPointsPerBucketMaxValue()
    { return GetNumberOfPointsPerBucketMaxValue_7(); }

  private native int GetNumberOfPointsPerBucket_8();
  public int GetNumberOfPointsPerBucket()
    { return GetNumberOfPointsPerBucket_8(); }

  private native int FindClosestPoint_9(double id0[]);
  public int FindClosestPoint(double id0[])
    { return FindClosestPoint_9(id0); }

  private native int IsInsertedPoint_10(double id0[]);
  public int IsInsertedPoint(double id0[])
    { return IsInsertedPoint_10(id0); }

  private native void FindClosestNPoints_11(int id0,double id1[],vtkIdList id2);
  public void FindClosestNPoints(int id0,double id1[],vtkIdList id2)
    { FindClosestNPoints_11(id0,id1,id2); }

  private native void FindClosestNPoints_12(int id0,double id1,double id2,vtkIdList id3);
  public void FindClosestNPoints(int id0,double id1,double id2,vtkIdList id3)
    { FindClosestNPoints_12(id0,id1,id2,id3); }

  private native void FindDistributedPoints_13(int id0,double id1[],vtkIdList id2,int id3);
  public void FindDistributedPoints(int id0,double id1[],vtkIdList id2,int id3)
    { FindDistributedPoints_13(id0,id1,id2,id3); }

  private native void FindDistributedPoints_14(int id0,double id1,double id2,vtkIdList id3,int id4);
  public void FindDistributedPoints(int id0,double id1,double id2,vtkIdList id3,int id4)
    { FindDistributedPoints_14(id0,id1,id2,id3,id4); }

  private native void FindPointsWithinRadius_15(double id0,double id1[],vtkIdList id2);
  public void FindPointsWithinRadius(double id0,double id1[],vtkIdList id2)
    { FindPointsWithinRadius_15(id0,id1,id2); }

  private native void FindPointsWithinRadius_16(double id0,double id1,double id2,vtkIdList id3);
  public void FindPointsWithinRadius(double id0,double id1,double id2,vtkIdList id3)
    { FindPointsWithinRadius_16(id0,id1,id2,id3); }

  private native void Initialize_17();
  public void Initialize()
    { Initialize_17(); }

  private native void FreeSearchStructure_18();
  public void FreeSearchStructure()
    { FreeSearchStructure_18(); }

  private native void BuildLocator_19();
  public void BuildLocator()
    { BuildLocator_19(); }

  private native void GenerateRepresentation_20(int id0,vtkPolyData id1);
  public void GenerateRepresentation(int id0,vtkPolyData id1)
    { GenerateRepresentation_20(id0,id1); }

  private native void SetPoints_21(vtkPoints id0);
  public void SetPoints(vtkPoints id0)
    { SetPoints_21(id0); }

  private native vtkPoints GetPoints_22();
  public vtkPoints GetPoints()
    { return GetPoints_22(); }

  public vtkPointLocator2D() { super(); };

  protected vtkPointLocator2D(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
