// java wrapper for vtkPyramid object
//

package vtk;
import vtk.*;

public class vtkPyramid extends vtkCell3D
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native vtkCell MakeObject_2();
  public vtkCell MakeObject()
    { return MakeObject_2(); }

  private native int GetCellType_3();
  public int GetCellType()
    { return GetCellType_3(); }

  private native int GetCellDimension_4();
  public int GetCellDimension()
    { return GetCellDimension_4(); }

  private native int GetNumberOfEdges_5();
  public int GetNumberOfEdges()
    { return GetNumberOfEdges_5(); }

  private native int GetNumberOfFaces_6();
  public int GetNumberOfFaces()
    { return GetNumberOfFaces_6(); }

  private native vtkCell GetEdge_7(int id0);
  public vtkCell GetEdge(int id0)
    { return GetEdge_7(id0); }

  private native vtkCell GetFace_8(int id0);
  public vtkCell GetFace(int id0)
    { return GetFace_8(id0); }

  private native int CellBoundary_9(int id0,double id1[],vtkIdList id2);
  public int CellBoundary(int id0,double id1[],vtkIdList id2)
    { return CellBoundary_9(id0,id1,id2); }

  private native void Contour_10(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkCellArray id4,vtkCellArray id5,vtkPointData id6,vtkPointData id7,vtkCellData id8,int id9,vtkCellData id10);
  public void Contour(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkCellArray id4,vtkCellArray id5,vtkPointData id6,vtkPointData id7,vtkCellData id8,int id9,vtkCellData id10)
    { Contour_10(id0,id1,id2,id3,id4,id5,id6,id7,id8,id9,id10); }

  private native int Triangulate_11(int id0,vtkIdList id1,vtkPoints id2);
  public int Triangulate(int id0,vtkIdList id1,vtkPoints id2)
    { return Triangulate_11(id0,id1,id2); }

  private native int GetParametricCenter_12(double id0[]);
  public int GetParametricCenter(double id0[])
    { return GetParametricCenter_12(id0); }

  private native void InterpolationFunctions_13(double id0[],double id1[]);
  public void InterpolationFunctions(double id0[],double id1[])
    { InterpolationFunctions_13(id0,id1); }

  private native void InterpolationDerivs_14(double id0[],double id1[]);
  public void InterpolationDerivs(double id0[],double id1[])
    { InterpolationDerivs_14(id0,id1); }

  public vtkPyramid() { super(); };

  protected vtkPyramid(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
