// java wrapper for vtkRayCaster object
//

package vtk;
import vtk.*;

public class vtkRayCaster extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void GetViewRaysSize_2(int id0[]);
  public void GetViewRaysSize(int id0[])
    { GetViewRaysSize_2(id0); }

  private native double[] GetParallelStartPosition_3();
  public double[] GetParallelStartPosition()
    { return GetParallelStartPosition_3(); }

  private native double[] GetParallelIncrements_4();
  public double[] GetParallelIncrements()
    { return GetParallelIncrements_4(); }

  private native void SetImageScale_5(int id0,double id1);
  public void SetImageScale(int id0,double id1)
    { SetImageScale_5(id0,id1); }

  private native double GetImageScale_6(int id0);
  public double GetImageScale(int id0)
    { return GetImageScale_6(id0); }

  private native int GetImageScaleCount_7();
  public int GetImageScaleCount()
    { return GetImageScaleCount_7(); }

  private native void SetSelectedImageScaleIndex_8(int id0,double id1);
  public void SetSelectedImageScaleIndex(int id0,double id1)
    { SetSelectedImageScaleIndex_8(id0,id1); }

  private native double GetSelectedImageScaleIndex_9(int id0);
  public double GetSelectedImageScaleIndex(int id0)
    { return GetSelectedImageScaleIndex_9(id0); }

  private native void SetViewRaysStepSize_10(int id0,double id1);
  public void SetViewRaysStepSize(int id0,double id1)
    { SetViewRaysStepSize_10(id0,id1); }

  private native double GetViewRaysStepSize_11(int id0);
  public double GetViewRaysStepSize(int id0)
    { return GetViewRaysStepSize_11(id0); }

  private native int GetAutomaticScaleAdjustment_12();
  public int GetAutomaticScaleAdjustment()
    { return GetAutomaticScaleAdjustment_12(); }

  private native void AutomaticScaleAdjustmentOn_13();
  public void AutomaticScaleAdjustmentOn()
    { AutomaticScaleAdjustmentOn_13(); }

  private native void AutomaticScaleAdjustmentOff_14();
  public void AutomaticScaleAdjustmentOff()
    { AutomaticScaleAdjustmentOff_14(); }

  private native void SetAutomaticScaleLowerLimit_15(double id0);
  public void SetAutomaticScaleLowerLimit(double id0)
    { SetAutomaticScaleLowerLimit_15(id0); }

  private native double GetAutomaticScaleLowerLimit_16();
  public double GetAutomaticScaleLowerLimit()
    { return GetAutomaticScaleLowerLimit_16(); }

  private native void SetBilinearImageZoom_17(int id0);
  public void SetBilinearImageZoom(int id0)
    { SetBilinearImageZoom_17(id0); }

  private native int GetBilinearImageZoom_18();
  public int GetBilinearImageZoom()
    { return GetBilinearImageZoom_18(); }

  private native void BilinearImageZoomOn_19();
  public void BilinearImageZoomOn()
    { BilinearImageZoomOn_19(); }

  private native void BilinearImageZoomOff_20();
  public void BilinearImageZoomOff()
    { BilinearImageZoomOff_20(); }

  private native double GetTotalRenderTime_21();
  public double GetTotalRenderTime()
    { return GetTotalRenderTime_21(); }

  private native void SetNumberOfThreads_22(int id0);
  public void SetNumberOfThreads(int id0)
    { SetNumberOfThreads_22(id0); }

  private native int GetNumberOfThreads_23();
  public int GetNumberOfThreads()
    { return GetNumberOfThreads_23(); }

  private native int GetNumberOfSamplesTaken_24();
  public int GetNumberOfSamplesTaken()
    { return GetNumberOfSamplesTaken_24(); }

  public vtkRayCaster() { super(); };

  protected vtkRayCaster(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
