// java wrapper for vtkRectilinearGrid object
//

package vtk;
import vtk.*;

public class vtkRectilinearGrid extends vtkDataSet
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native vtkDataObject MakeObject_2();
  public vtkDataObject MakeObject()
    { return MakeObject_2(); }

  private native int GetDataObjectType_3();
  public int GetDataObjectType()
    { return GetDataObjectType_3(); }

  private native void CopyStructure_4(vtkDataSet id0);
  public void CopyStructure(vtkDataSet id0)
    { CopyStructure_4(id0); }

  private native void Initialize_5();
  public void Initialize()
    { Initialize_5(); }

  private native int GetNumberOfCells_6();
  public int GetNumberOfCells()
    { return GetNumberOfCells_6(); }

  private native int GetNumberOfPoints_7();
  public int GetNumberOfPoints()
    { return GetNumberOfPoints_7(); }

  private native double[] GetPoint_8(int id0);
  public double[] GetPoint(int id0)
    { return GetPoint_8(id0); }

  private native void GetPoint_9(int id0,double id1[]);
  public void GetPoint(int id0,double id1[])
    { GetPoint_9(id0,id1); }

  private native vtkCell GetCell_10(int id0);
  public vtkCell GetCell(int id0)
    { return GetCell_10(id0); }

  private native void GetCell_11(int id0,vtkGenericCell id1);
  public void GetCell(int id0,vtkGenericCell id1)
    { GetCell_11(id0,id1); }

  private native void GetCellBounds_12(int id0,double id1[]);
  public void GetCellBounds(int id0,double id1[])
    { GetCellBounds_12(id0,id1); }

  private native int FindPoint_13(double id0,double id1,double id2);
  public int FindPoint(double id0,double id1,double id2)
    { return FindPoint_13(id0,id1,id2); }

  private native int FindPoint_14(double id0[]);
  public int FindPoint(double id0[])
    { return FindPoint_14(id0); }

  private native int GetCellType_15(int id0);
  public int GetCellType(int id0)
    { return GetCellType_15(id0); }

  private native void GetCellPoints_16(int id0,vtkIdList id1);
  public void GetCellPoints(int id0,vtkIdList id1)
    { GetCellPoints_16(id0,id1); }

  private native void GetPointCells_17(int id0,vtkIdList id1);
  public void GetPointCells(int id0,vtkIdList id1)
    { GetPointCells_17(id0,id1); }

  private native void ComputeBounds_18();
  public void ComputeBounds()
    { ComputeBounds_18(); }

  private native int GetMaxCellSize_19();
  public int GetMaxCellSize()
    { return GetMaxCellSize_19(); }

  private native void GetCellNeighbors_20(int id0,vtkIdList id1,vtkIdList id2);
  public void GetCellNeighbors(int id0,vtkIdList id1,vtkIdList id2)
    { GetCellNeighbors_20(id0,id1,id2); }

  private native void SetDimensions_21(int id0,int id1,int id2);
  public void SetDimensions(int id0,int id1,int id2)
    { SetDimensions_21(id0,id1,id2); }

  private native void SetDimensions_22(int id0[]);
  public void SetDimensions(int id0[])
    { SetDimensions_22(id0); }

  private native int[]  GetDimensions_23();
  public int[]  GetDimensions()
    { return GetDimensions_23(); }

  private native int GetDataDimension_24();
  public int GetDataDimension()
    { return GetDataDimension_24(); }

  private native int ComputeStructuredCoordinates_25(double id0[],int id1[],double id2[]);
  public int ComputeStructuredCoordinates(double id0[],int id1[],double id2[])
    { return ComputeStructuredCoordinates_25(id0,id1,id2); }

  private native int ComputePointId_26(int id0[]);
  public int ComputePointId(int id0[])
    { return ComputePointId_26(id0); }

  private native int ComputeCellId_27(int id0[]);
  public int ComputeCellId(int id0[])
    { return ComputeCellId_27(id0); }

  private native void SetXCoordinates_28(vtkDataArray id0);
  public void SetXCoordinates(vtkDataArray id0)
    { SetXCoordinates_28(id0); }

  private native vtkDataArray GetXCoordinates_29();
  public vtkDataArray GetXCoordinates()
    { return GetXCoordinates_29(); }

  private native void SetYCoordinates_30(vtkDataArray id0);
  public void SetYCoordinates(vtkDataArray id0)
    { SetYCoordinates_30(id0); }

  private native vtkDataArray GetYCoordinates_31();
  public vtkDataArray GetYCoordinates()
    { return GetYCoordinates_31(); }

  private native void SetZCoordinates_32(vtkDataArray id0);
  public void SetZCoordinates(vtkDataArray id0)
    { SetZCoordinates_32(id0); }

  private native vtkDataArray GetZCoordinates_33();
  public vtkDataArray GetZCoordinates()
    { return GetZCoordinates_33(); }

  private native void SetUpdateExtent_34(int id0,int id1,int id2);
  public void SetUpdateExtent(int id0,int id1,int id2)
    { SetUpdateExtent_34(id0,id1,id2); }

  private native void SetUpdateExtent_35(int id0,int id1);
  public void SetUpdateExtent(int id0,int id1)
    { SetUpdateExtent_35(id0,id1); }

  private native void SetUpdateExtent_36(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetUpdateExtent(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetUpdateExtent_36(id0,id1,id2,id3,id4,id5); }

  private native void SetUpdateExtent_37(int id0[]);
  public void SetUpdateExtent(int id0[])
    { SetUpdateExtent_37(id0); }

  private native void SetExtent_38(int id0[]);
  public void SetExtent(int id0[])
    { SetExtent_38(id0); }

  private native void SetExtent_39(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetExtent(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetExtent_39(id0,id1,id2,id3,id4,id5); }

  private native int[]  GetExtent_40();
  public int[]  GetExtent()
    { return GetExtent_40(); }

  private native int GetActualMemorySize_41();
  public int GetActualMemorySize()
    { return GetActualMemorySize_41(); }

  private native void ShallowCopy_42(vtkDataObject id0);
  public void ShallowCopy(vtkDataObject id0)
    { ShallowCopy_42(id0); }

  private native void DeepCopy_43(vtkDataObject id0);
  public void DeepCopy(vtkDataObject id0)
    { DeepCopy_43(id0); }

  public vtkRectilinearGrid() { super(); };

  protected vtkRectilinearGrid(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
