// java wrapper for vtkRenderer object
//

package vtk;
import vtk.*;

public class vtkRenderer extends vtkViewport
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void AddLight_2(vtkLight id0);
  public void AddLight(vtkLight id0)
    { AddLight_2(id0); }

  private native void AddActor_3(vtkProp id0);
  public void AddActor(vtkProp id0)
    { AddActor_3(id0); }

  private native void AddVolume_4(vtkProp id0);
  public void AddVolume(vtkProp id0)
    { AddVolume_4(id0); }

  private native void RemoveActor_5(vtkProp id0);
  public void RemoveActor(vtkProp id0)
    { RemoveActor_5(id0); }

  private native void RemoveVolume_6(vtkProp id0);
  public void RemoveVolume(vtkProp id0)
    { RemoveVolume_6(id0); }

  private native void RemoveLight_7(vtkLight id0);
  public void RemoveLight(vtkLight id0)
    { RemoveLight_7(id0); }

  private native vtkLightCollection GetLights_8();
  public vtkLightCollection GetLights()
    { return GetLights_8(); }

  private native vtkVolumeCollection GetVolumes_9();
  public vtkVolumeCollection GetVolumes()
    { return GetVolumes_9(); }

  private native vtkActorCollection GetActors_10();
  public vtkActorCollection GetActors()
    { return GetActors_10(); }

  private native void SetActiveCamera_11(vtkCamera id0);
  public void SetActiveCamera(vtkCamera id0)
    { SetActiveCamera_11(id0); }

  private native vtkCamera GetActiveCamera_12();
  public vtkCamera GetActiveCamera()
    { return GetActiveCamera_12(); }

  private native vtkCamera MakeCamera_13();
  public vtkCamera MakeCamera()
    { return MakeCamera_13(); }

  private native void AddCuller_14(vtkCuller id0);
  public void AddCuller(vtkCuller id0)
    { AddCuller_14(id0); }

  private native void RemoveCuller_15(vtkCuller id0);
  public void RemoveCuller(vtkCuller id0)
    { RemoveCuller_15(id0); }

  private native vtkCullerCollection GetCullers_16();
  public vtkCullerCollection GetCullers()
    { return GetCullers_16(); }

  private native void SetAmbient_17(double id0,double id1,double id2);
  public void SetAmbient(double id0,double id1,double id2)
    { SetAmbient_17(id0,id1,id2); }

  private native void SetAmbient_18(double id0[]);
  public void SetAmbient(double id0[])
    { SetAmbient_18(id0); }

  private native double[] GetAmbient_19();
  public double[] GetAmbient()
    { return GetAmbient_19(); }

  private native void SetAllocatedRenderTime_20(double id0);
  public void SetAllocatedRenderTime(double id0)
    { SetAllocatedRenderTime_20(id0); }

  private native double GetAllocatedRenderTime_21();
  public double GetAllocatedRenderTime()
    { return GetAllocatedRenderTime_21(); }

  private native double GetTimeFactor_22();
  public double GetTimeFactor()
    { return GetTimeFactor_22(); }

  private native void Render_23();
  public void Render()
    { Render_23(); }

  private native void DeviceRender_24();
  public void DeviceRender()
    { DeviceRender_24(); }

  private native void Clear_25();
  public void Clear()
    { Clear_25(); }

  private native int VisibleActorCount_26();
  public int VisibleActorCount()
    { return VisibleActorCount_26(); }

  private native int VisibleVolumeCount_27();
  public int VisibleVolumeCount()
    { return VisibleVolumeCount_27(); }

  private native void CreateLight_28();
  public void CreateLight()
    { CreateLight_28(); }

  private native vtkLight MakeLight_29();
  public vtkLight MakeLight()
    { return MakeLight_29(); }

  private native void ComputeVisiblePropBounds_30(double id0[]);
  public void ComputeVisiblePropBounds(double id0[])
    { ComputeVisiblePropBounds_30(id0); }

  private native void ResetCameraClippingRange_31();
  public void ResetCameraClippingRange()
    { ResetCameraClippingRange_31(); }

  private native void ResetCameraClippingRange_32(double id0[]);
  public void ResetCameraClippingRange(double id0[])
    { ResetCameraClippingRange_32(id0); }

  private native void ResetCameraClippingRange_33(double id0,double id1,double id2,double id3,double id4,double id5);
  public void ResetCameraClippingRange(double id0,double id1,double id2,double id3,double id4,double id5)
    { ResetCameraClippingRange_33(id0,id1,id2,id3,id4,id5); }

  private native void ResetCamera_34();
  public void ResetCamera()
    { ResetCamera_34(); }

  private native void ResetCamera_35(double id0[]);
  public void ResetCamera(double id0[])
    { ResetCamera_35(id0); }

  private native void ResetCamera_36(double id0,double id1,double id2,double id3,double id4,double id5);
  public void ResetCamera(double id0,double id1,double id2,double id3,double id4,double id5)
    { ResetCamera_36(id0,id1,id2,id3,id4,id5); }

  private native void SetRenderWindow_37(vtkRenderWindow id0);
  public void SetRenderWindow(vtkRenderWindow id0)
    { SetRenderWindow_37(id0); }

  private native vtkRenderWindow GetRenderWindow_38();
  public vtkRenderWindow GetRenderWindow()
    { return GetRenderWindow_38(); }

  private native vtkWindow GetVTKWindow_39();
  public vtkWindow GetVTKWindow()
    { return GetVTKWindow_39(); }

  private native int GetTwoSidedLighting_40();
  public int GetTwoSidedLighting()
    { return GetTwoSidedLighting_40(); }

  private native void SetTwoSidedLighting_41(int id0);
  public void SetTwoSidedLighting(int id0)
    { SetTwoSidedLighting_41(id0); }

  private native void TwoSidedLightingOn_42();
  public void TwoSidedLightingOn()
    { TwoSidedLightingOn_42(); }

  private native void TwoSidedLightingOff_43();
  public void TwoSidedLightingOff()
    { TwoSidedLightingOff_43(); }

  private native void SetBackingStore_44(int id0);
  public void SetBackingStore(int id0)
    { SetBackingStore_44(id0); }

  private native int GetBackingStore_45();
  public int GetBackingStore()
    { return GetBackingStore_45(); }

  private native void BackingStoreOn_46();
  public void BackingStoreOn()
    { BackingStoreOn_46(); }

  private native void BackingStoreOff_47();
  public void BackingStoreOff()
    { BackingStoreOff_47(); }

  private native void SetInteractive_48(int id0);
  public void SetInteractive(int id0)
    { SetInteractive_48(id0); }

  private native int GetInteractive_49();
  public int GetInteractive()
    { return GetInteractive_49(); }

  private native void InteractiveOn_50();
  public void InteractiveOn()
    { InteractiveOn_50(); }

  private native void InteractiveOff_51();
  public void InteractiveOff()
    { InteractiveOff_51(); }

  private native void SetLayer_52(int id0);
  public void SetLayer(int id0)
    { SetLayer_52(id0); }

  private native int GetLayer_53();
  public int GetLayer()
    { return GetLayer_53(); }

  private native int Transparent_54();
  public int Transparent()
    { return Transparent_54(); }

  private native void WorldToView_55();
  public void WorldToView()
    { WorldToView_55(); }

  private native void ViewToWorld_56();
  public void ViewToWorld()
    { ViewToWorld_56(); }

  private native double GetZ_57(int id0,int id1);
  public double GetZ(int id0,int id1)
    { return GetZ_57(id0,id1); }

  private native void RenderOverlay_58();
  public void RenderOverlay()
    { RenderOverlay_58(); }

  private native int GetMTime_59();
  public int GetMTime()
    { return GetMTime_59(); }

  private native double GetLastRenderTimeInSeconds_60();
  public double GetLastRenderTimeInSeconds()
    { return GetLastRenderTimeInSeconds_60(); }

  private native int GetNumberOfPropsRenderedAsGeometry_61();
  public int GetNumberOfPropsRenderedAsGeometry()
    { return GetNumberOfPropsRenderedAsGeometry_61(); }

  private native vtkAssemblyPath PickProp_62(double id0,double id1);
  public vtkAssemblyPath PickProp(double id0,double id1)
    { return PickProp_62(id0,id1); }

  private native void SetLightFollowCamera_63(int id0);
  public void SetLightFollowCamera(int id0)
    { SetLightFollowCamera_63(id0); }

  private native int GetLightFollowCamera_64();
  public int GetLightFollowCamera()
    { return GetLightFollowCamera_64(); }

  private native void LightFollowCameraOn_65();
  public void LightFollowCameraOn()
    { LightFollowCameraOn_65(); }

  private native void LightFollowCameraOff_66();
  public void LightFollowCameraOff()
    { LightFollowCameraOff_66(); }

  private native vtkRayCaster GetRayCaster_67();
  public vtkRayCaster GetRayCaster()
    { return GetRayCaster_67(); }

  public vtkRenderer() { super(); };

  protected vtkRenderer(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
