// java wrapper for vtkStructuredGrid object
//

package vtk;
import vtk.*;

public class vtkStructuredGrid extends vtkPointSet
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native int GetDataObjectType_2();
  public int GetDataObjectType()
    { return GetDataObjectType_2(); }

  private native vtkDataObject MakeObject_3();
  public vtkDataObject MakeObject()
    { return MakeObject_3(); }

  private native void CopyStructure_4(vtkDataSet id0);
  public void CopyStructure(vtkDataSet id0)
    { CopyStructure_4(id0); }

  private native int GetNumberOfPoints_5();
  public int GetNumberOfPoints()
    { return GetNumberOfPoints_5(); }

  private native double[] GetPoint_6(int id0);
  public double[] GetPoint(int id0)
    { return GetPoint_6(id0); }

  private native void GetPoint_7(int id0,double id1[]);
  public void GetPoint(int id0,double id1[])
    { GetPoint_7(id0,id1); }

  private native vtkCell GetCell_8(int id0);
  public vtkCell GetCell(int id0)
    { return GetCell_8(id0); }

  private native void GetCell_9(int id0,vtkGenericCell id1);
  public void GetCell(int id0,vtkGenericCell id1)
    { GetCell_9(id0,id1); }

  private native void GetCellBounds_10(int id0,double id1[]);
  public void GetCellBounds(int id0,double id1[])
    { GetCellBounds_10(id0,id1); }

  private native int GetCellType_11(int id0);
  public int GetCellType(int id0)
    { return GetCellType_11(id0); }

  private native int GetNumberOfCells_12();
  public int GetNumberOfCells()
    { return GetNumberOfCells_12(); }

  private native void GetCellPoints_13(int id0,vtkIdList id1);
  public void GetCellPoints(int id0,vtkIdList id1)
    { GetCellPoints_13(id0,id1); }

  private native void GetPointCells_14(int id0,vtkIdList id1);
  public void GetPointCells(int id0,vtkIdList id1)
    { GetPointCells_14(id0,id1); }

  private native void Initialize_15();
  public void Initialize()
    { Initialize_15(); }

  private native int GetMaxCellSize_16();
  public int GetMaxCellSize()
    { return GetMaxCellSize_16(); }

  private native void GetCellNeighbors_17(int id0,vtkIdList id1,vtkIdList id2);
  public void GetCellNeighbors(int id0,vtkIdList id1,vtkIdList id2)
    { GetCellNeighbors_17(id0,id1,id2); }

  private native void GetScalarRange_18(double id0[]);
  public void GetScalarRange(double id0[])
    { GetScalarRange_18(id0); }

  private native double[] GetScalarRange_19();
  public double[] GetScalarRange()
    { return GetScalarRange_19(); }

  private native void SetDimensions_20(int id0,int id1,int id2);
  public void SetDimensions(int id0,int id1,int id2)
    { SetDimensions_20(id0,id1,id2); }

  private native void SetDimensions_21(int id0[]);
  public void SetDimensions(int id0[])
    { SetDimensions_21(id0); }

  private native int[]  GetDimensions_22();
  public int[]  GetDimensions()
    { return GetDimensions_22(); }

  private native void GetDimensions_23(int id0[]);
  public void GetDimensions(int id0[])
    { GetDimensions_23(id0); }

  private native int GetDataDimension_24();
  public int GetDataDimension()
    { return GetDataDimension_24(); }

  private native void SetBlanking_25(int id0);
  public void SetBlanking(int id0)
    { SetBlanking_25(id0); }

  private native int GetBlanking_26();
  public int GetBlanking()
    { return GetBlanking_26(); }

  private native void BlankingOn_27();
  public void BlankingOn()
    { BlankingOn_27(); }

  private native void BlankingOff_28();
  public void BlankingOff()
    { BlankingOff_28(); }

  private native void BlankPoint_29(int id0);
  public void BlankPoint(int id0)
    { BlankPoint_29(id0); }

  private native void UnBlankPoint_30(int id0);
  public void UnBlankPoint(int id0)
    { UnBlankPoint_30(id0); }

  private native vtkUnsignedCharArray GetPointVisibility_31();
  public vtkUnsignedCharArray GetPointVisibility()
    { return GetPointVisibility_31(); }

  private native void SetPointVisibility_32(vtkUnsignedCharArray id0);
  public void SetPointVisibility(vtkUnsignedCharArray id0)
    { SetPointVisibility_32(id0); }

  private native int IsPointVisible_33(int id0);
  public int IsPointVisible(int id0)
    { return IsPointVisible_33(id0); }

  private native int IsCellVisible_34(int id0);
  public int IsCellVisible(int id0)
    { return IsCellVisible_34(id0); }

  private native void SetUpdateExtent_35(int id0,int id1,int id2);
  public void SetUpdateExtent(int id0,int id1,int id2)
    { SetUpdateExtent_35(id0,id1,id2); }

  private native void SetUpdateExtent_36(int id0,int id1);
  public void SetUpdateExtent(int id0,int id1)
    { SetUpdateExtent_36(id0,id1); }

  private native void SetUpdateExtent_37(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetUpdateExtent(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetUpdateExtent_37(id0,id1,id2,id3,id4,id5); }

  private native void SetUpdateExtent_38(int id0[]);
  public void SetUpdateExtent(int id0[])
    { SetUpdateExtent_38(id0); }

  private native void SetExtent_39(int id0[]);
  public void SetExtent(int id0[])
    { SetExtent_39(id0); }

  private native void SetExtent_40(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetExtent(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetExtent_40(id0,id1,id2,id3,id4,id5); }

  private native int[]  GetExtent_41();
  public int[]  GetExtent()
    { return GetExtent_41(); }

  private native int GetActualMemorySize_42();
  public int GetActualMemorySize()
    { return GetActualMemorySize_42(); }

  private native void ShallowCopy_43(vtkDataObject id0);
  public void ShallowCopy(vtkDataObject id0)
    { ShallowCopy_43(id0); }

  private native void DeepCopy_44(vtkDataObject id0);
  public void DeepCopy(vtkDataObject id0)
    { DeepCopy_44(id0); }

  public vtkStructuredGrid() { super(); };

  protected vtkStructuredGrid(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
