// java wrapper for vtkTextMapper object
//

package vtk;
import vtk.*;

public class vtkTextMapper extends vtkMapper2D
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void GetSize_2(vtkViewport id0,int id1[]);
  public void GetSize(vtkViewport id0,int id1[])
    { GetSize_2(id0,id1); }

  private native int GetWidth_3(vtkViewport id0);
  public int GetWidth(vtkViewport id0)
    { return GetWidth_3(id0); }

  private native int GetHeight_4(vtkViewport id0);
  public int GetHeight(vtkViewport id0)
    { return GetHeight_4(id0); }

  private native void SetInput_5(String id0);
  public void SetInput(String id0)
    { SetInput_5(id0); }

  private native String GetInput_6();
  public String GetInput()
    { return GetInput_6(); }

  private native void SetFontSize_7(int id0);
  public void SetFontSize(int id0)
    { SetFontSize_7(id0); }

  private native int GetFontSize_8();
  public int GetFontSize()
    { return GetFontSize_8(); }

  private native void SetBold_9(int id0);
  public void SetBold(int id0)
    { SetBold_9(id0); }

  private native int GetBold_10();
  public int GetBold()
    { return GetBold_10(); }

  private native void BoldOn_11();
  public void BoldOn()
    { BoldOn_11(); }

  private native void BoldOff_12();
  public void BoldOff()
    { BoldOff_12(); }

  private native void SetItalic_13(int id0);
  public void SetItalic(int id0)
    { SetItalic_13(id0); }

  private native int GetItalic_14();
  public int GetItalic()
    { return GetItalic_14(); }

  private native void ItalicOn_15();
  public void ItalicOn()
    { ItalicOn_15(); }

  private native void ItalicOff_16();
  public void ItalicOff()
    { ItalicOff_16(); }

  private native void SetShadow_17(int id0);
  public void SetShadow(int id0)
    { SetShadow_17(id0); }

  private native int GetShadow_18();
  public int GetShadow()
    { return GetShadow_18(); }

  private native void ShadowOn_19();
  public void ShadowOn()
    { ShadowOn_19(); }

  private native void ShadowOff_20();
  public void ShadowOff()
    { ShadowOff_20(); }

  private native void SetFontFamily_21(int id0);
  public void SetFontFamily(int id0)
    { SetFontFamily_21(id0); }

  private native int GetFontFamily_22();
  public int GetFontFamily()
    { return GetFontFamily_22(); }

  private native void SetFontFamilyToArial_23();
  public void SetFontFamilyToArial()
    { SetFontFamilyToArial_23(); }

  private native void SetFontFamilyToCourier_24();
  public void SetFontFamilyToCourier()
    { SetFontFamilyToCourier_24(); }

  private native void SetFontFamilyToTimes_25();
  public void SetFontFamilyToTimes()
    { SetFontFamilyToTimes_25(); }

  private native void SetJustification_26(int id0);
  public void SetJustification(int id0)
    { SetJustification_26(id0); }

  private native int GetJustificationMinValue_27();
  public int GetJustificationMinValue()
    { return GetJustificationMinValue_27(); }

  private native int GetJustificationMaxValue_28();
  public int GetJustificationMaxValue()
    { return GetJustificationMaxValue_28(); }

  private native int GetJustification_29();
  public int GetJustification()
    { return GetJustification_29(); }

  private native void SetJustificationToLeft_30();
  public void SetJustificationToLeft()
    { SetJustificationToLeft_30(); }

  private native void SetJustificationToCentered_31();
  public void SetJustificationToCentered()
    { SetJustificationToCentered_31(); }

  private native void SetJustificationToRight_32();
  public void SetJustificationToRight()
    { SetJustificationToRight_32(); }

  private native void SetVerticalJustification_33(int id0);
  public void SetVerticalJustification(int id0)
    { SetVerticalJustification_33(id0); }

  private native int GetVerticalJustificationMinValue_34();
  public int GetVerticalJustificationMinValue()
    { return GetVerticalJustificationMinValue_34(); }

  private native int GetVerticalJustificationMaxValue_35();
  public int GetVerticalJustificationMaxValue()
    { return GetVerticalJustificationMaxValue_35(); }

  private native int GetVerticalJustification_36();
  public int GetVerticalJustification()
    { return GetVerticalJustification_36(); }

  private native void SetVerticalJustificationToBottom_37();
  public void SetVerticalJustificationToBottom()
    { SetVerticalJustificationToBottom_37(); }

  private native void SetVerticalJustificationToCentered_38();
  public void SetVerticalJustificationToCentered()
    { SetVerticalJustificationToCentered_38(); }

  private native void SetVerticalJustificationToTop_39();
  public void SetVerticalJustificationToTop()
    { SetVerticalJustificationToTop_39(); }

  private native void SetLineOffset_40(double id0);
  public void SetLineOffset(double id0)
    { SetLineOffset_40(id0); }

  private native double GetLineOffset_41();
  public double GetLineOffset()
    { return GetLineOffset_41(); }

  private native void SetLineSpacing_42(double id0);
  public void SetLineSpacing(double id0)
    { SetLineSpacing_42(id0); }

  private native double GetLineSpacing_43();
  public double GetLineSpacing()
    { return GetLineSpacing_43(); }

  private native int GetNumberOfLines_44();
  public int GetNumberOfLines()
    { return GetNumberOfLines_44(); }

  private native void ShallowCopy_45(vtkTextMapper id0);
  public void ShallowCopy(vtkTextMapper id0)
    { ShallowCopy_45(id0); }

  private native int GetNumberOfLines_46(String id0);
  public int GetNumberOfLines(String id0)
    { return GetNumberOfLines_46(id0); }

  public vtkTextMapper() { super(); };

  protected vtkTextMapper(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
