// java wrapper for vtkTriangle object
//

package vtk;
import vtk.*;

public class vtkTriangle extends vtkCell
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native vtkCell MakeObject_2();
  public vtkCell MakeObject()
    { return MakeObject_2(); }

  private native vtkCell GetEdge_3(int id0);
  public vtkCell GetEdge(int id0)
    { return GetEdge_3(id0); }

  private native int GetCellType_4();
  public int GetCellType()
    { return GetCellType_4(); }

  private native int GetCellDimension_5();
  public int GetCellDimension()
    { return GetCellDimension_5(); }

  private native int GetNumberOfEdges_6();
  public int GetNumberOfEdges()
    { return GetNumberOfEdges_6(); }

  private native int GetNumberOfFaces_7();
  public int GetNumberOfFaces()
    { return GetNumberOfFaces_7(); }

  private native vtkCell GetFace_8(int id0);
  public vtkCell GetFace(int id0)
    { return GetFace_8(id0); }

  private native int CellBoundary_9(int id0,double id1[],vtkIdList id2);
  public int CellBoundary(int id0,double id1[],vtkIdList id2)
    { return CellBoundary_9(id0,id1,id2); }

  private native void Contour_10(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkCellArray id4,vtkCellArray id5,vtkPointData id6,vtkPointData id7,vtkCellData id8,int id9,vtkCellData id10);
  public void Contour(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkCellArray id4,vtkCellArray id5,vtkPointData id6,vtkPointData id7,vtkCellData id8,int id9,vtkCellData id10)
    { Contour_10(id0,id1,id2,id3,id4,id5,id6,id7,id8,id9,id10); }

  private native int Triangulate_11(int id0,vtkIdList id1,vtkPoints id2);
  public int Triangulate(int id0,vtkIdList id1,vtkPoints id2)
    { return Triangulate_11(id0,id1,id2); }

  private native void Clip_12(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkPointData id4,vtkPointData id5,vtkCellData id6,int id7,vtkCellData id8,int id9);
  public void Clip(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkPointData id4,vtkPointData id5,vtkCellData id6,int id7,vtkCellData id8,int id9)
    { Clip_12(id0,id1,id2,id3,id4,id5,id6,id7,id8,id9); }

  private native int GetParametricCenter_13(double id0[]);
  public int GetParametricCenter(double id0[])
    { return GetParametricCenter_13(id0); }

  private native void TriangleCenter_14(double id0[],double id1[],double id2[],double id3[]);
  public void TriangleCenter(double id0[],double id1[],double id2[],double id3[])
    { TriangleCenter_14(id0,id1,id2,id3); }

  private native double TriangleArea_15(double id0[],double id1[],double id2[]);
  public double TriangleArea(double id0[],double id1[],double id2[])
    { return TriangleArea_15(id0,id1,id2); }

  private native double Circumcircle_16(double id0[],double id1[],double id2[],double id3[]);
  public double Circumcircle(double id0[],double id1[],double id2[],double id3[])
    { return Circumcircle_16(id0,id1,id2,id3); }

  private native int BarycentricCoords_17(double id0[],double id1[],double id2[],double id3[],double id4[]);
  public int BarycentricCoords(double id0[],double id1[],double id2[],double id3[],double id4[])
    { return BarycentricCoords_17(id0,id1,id2,id3,id4); }

  private native int ProjectTo2D_18(double id0[],double id1[],double id2[],double id3[],double id4[],double id5[]);
  public int ProjectTo2D(double id0[],double id1[],double id2[],double id3[],double id4[],double id5[])
    { return ProjectTo2D_18(id0,id1,id2,id3,id4,id5); }

  private native void ComputeNormal_19(double id0[],double id1[],double id2[],double id3[]);
  public void ComputeNormal(double id0[],double id1[],double id2[],double id3[])
    { ComputeNormal_19(id0,id1,id2,id3); }

  private native void ComputeNormalDirection_20(double id0[],double id1[],double id2[],double id3[]);
  public void ComputeNormalDirection(double id0[],double id1[],double id2[],double id3[])
    { ComputeNormalDirection_20(id0,id1,id2,id3); }

  private native int PointInTriangle_21(double id0[],double id1[],double id2[],double id3[],double id4);
  public int PointInTriangle(double id0[],double id1[],double id2[],double id3[],double id4)
    { return PointInTriangle_21(id0,id1,id2,id3,id4); }

  private native void ComputeQuadric_22(double id0[],double id1[],double id2[],vtkQuadric id3);
  public void ComputeQuadric(double id0[],double id1[],double id2[],vtkQuadric id3)
    { ComputeQuadric_22(id0,id1,id2,id3); }

  public vtkTriangle() { super(); };

  protected vtkTriangle(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
