// java wrapper for vtkUnstructuredGrid object
//

package vtk;
import vtk.*;

public class vtkUnstructuredGrid extends vtkPointSet
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native int GetDataObjectType_2();
  public int GetDataObjectType()
    { return GetDataObjectType_2(); }

  private native void Allocate_3(int id0,int id1);
  public void Allocate(int id0,int id1)
    { Allocate_3(id0,id1); }

  private native int InsertNextCell_4(int id0,vtkIdList id1);
  public int InsertNextCell(int id0,vtkIdList id1)
    { return InsertNextCell_4(id0,id1); }

  private native void Reset_5();
  public void Reset()
    { Reset_5(); }

  private native void SetCells_6(vtkUnsignedCharArray id0,vtkIntArray id1,vtkCellArray id2);
  public void SetCells(vtkUnsignedCharArray id0,vtkIntArray id1,vtkCellArray id2)
    { SetCells_6(id0,id1,id2); }

  private native vtkCellArray GetCells_7();
  public vtkCellArray GetCells()
    { return GetCells_7(); }

  private native vtkDataObject MakeObject_8();
  public vtkDataObject MakeObject()
    { return MakeObject_8(); }

  private native void CopyStructure_9(vtkDataSet id0);
  public void CopyStructure(vtkDataSet id0)
    { CopyStructure_9(id0); }

  private native int GetNumberOfCells_10();
  public int GetNumberOfCells()
    { return GetNumberOfCells_10(); }

  private native vtkCell GetCell_11(int id0);
  public vtkCell GetCell(int id0)
    { return GetCell_11(id0); }

  private native void GetCell_12(int id0,vtkGenericCell id1);
  public void GetCell(int id0,vtkGenericCell id1)
    { GetCell_12(id0,id1); }

  private native void GetCellBounds_13(int id0,double id1[]);
  public void GetCellBounds(int id0,double id1[])
    { GetCellBounds_13(id0,id1); }

  private native void GetCellPoints_14(int id0,vtkIdList id1);
  public void GetCellPoints(int id0,vtkIdList id1)
    { GetCellPoints_14(id0,id1); }

  private native void GetPointCells_15(int id0,vtkIdList id1);
  public void GetPointCells(int id0,vtkIdList id1)
    { GetPointCells_15(id0,id1); }

  private native int GetCellType_16(int id0);
  public int GetCellType(int id0)
    { return GetCellType_16(id0); }

  private native void Squeeze_17();
  public void Squeeze()
    { Squeeze_17(); }

  private native void Initialize_18();
  public void Initialize()
    { Initialize_18(); }

  private native int GetMaxCellSize_19();
  public int GetMaxCellSize()
    { return GetMaxCellSize_19(); }

  private native void BuildLinks_20();
  public void BuildLinks()
    { BuildLinks_20(); }

  private native vtkCellLinks GetCellLinks_21();
  public vtkCellLinks GetCellLinks()
    { return GetCellLinks_21(); }

  private native void RemoveReferenceToCell_22(int id0,int id1);
  public void RemoveReferenceToCell(int id0,int id1)
    { RemoveReferenceToCell_22(id0,id1); }

  private native void AddReferenceToCell_23(int id0,int id1);
  public void AddReferenceToCell(int id0,int id1)
    { AddReferenceToCell_23(id0,id1); }

  private native void ResizeCellList_24(int id0,int id1);
  public void ResizeCellList(int id0,int id1)
    { ResizeCellList_24(id0,id1); }

  private native void GetCellNeighbors_25(int id0,vtkIdList id1,vtkIdList id2);
  public void GetCellNeighbors(int id0,vtkIdList id1,vtkIdList id2)
    { GetCellNeighbors_25(id0,id1,id2); }

  private native void SetUpdateExtent_26(int id0,int id1,int id2);
  public void SetUpdateExtent(int id0,int id1,int id2)
    { SetUpdateExtent_26(id0,id1,id2); }

  private native void SetUpdateExtent_27(int id0,int id1);
  public void SetUpdateExtent(int id0,int id1)
    { SetUpdateExtent_27(id0,id1); }

  private native int[]  GetUpdateExtent_28();
  public int[]  GetUpdateExtent()
    { return GetUpdateExtent_28(); }

  private native void SetUpdateExtent_29(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetUpdateExtent(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetUpdateExtent_29(id0,id1,id2,id3,id4,id5); }

  private native void SetUpdateExtent_30(int id0[]);
  public void SetUpdateExtent(int id0[])
    { SetUpdateExtent_30(id0); }

  private native int GetPiece_31();
  public int GetPiece()
    { return GetPiece_31(); }

  private native int GetNumberOfPieces_32();
  public int GetNumberOfPieces()
    { return GetNumberOfPieces_32(); }

  private native int GetGhostLevel_33();
  public int GetGhostLevel()
    { return GetGhostLevel_33(); }

  private native int GetActualMemorySize_34();
  public int GetActualMemorySize()
    { return GetActualMemorySize_34(); }

  private native void ShallowCopy_35(vtkDataObject id0);
  public void ShallowCopy(vtkDataObject id0)
    { ShallowCopy_35(id0); }

  private native void DeepCopy_36(vtkDataObject id0);
  public void DeepCopy(vtkDataObject id0)
    { DeepCopy_36(id0); }

  private native void GetListOfUniqueCellTypes_37(vtkUnsignedCharArray id0);
  public void GetListOfUniqueCellTypes(vtkUnsignedCharArray id0)
    { GetListOfUniqueCellTypes_37(id0); }

  private native void GetIdsOfCellsOfType_38(int id0,vtkIntArray id1);
  public void GetIdsOfCellsOfType(int id0,vtkIntArray id1)
    { GetIdsOfCellsOfType_38(id0,id1); }

  private native int IsHomogeneous_39();
  public int IsHomogeneous()
    { return IsHomogeneous_39(); }

  public vtkUnstructuredGrid() { super(); };

  protected vtkUnstructuredGrid(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
