// java wrapper for vtkViewport object
//

package vtk;
import vtk.*;

public class vtkViewport extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void AddProp_2(vtkProp id0);
  public void AddProp(vtkProp id0)
    { AddProp_2(id0); }

  private native vtkPropCollection GetProps_3();
  public vtkPropCollection GetProps()
    { return GetProps_3(); }

  private native void RemoveProp_4(vtkProp id0);
  public void RemoveProp(vtkProp id0)
    { RemoveProp_4(id0); }

  private native void AddActor2D_5(vtkProp id0);
  public void AddActor2D(vtkProp id0)
    { AddActor2D_5(id0); }

  private native void RemoveActor2D_6(vtkProp id0);
  public void RemoveActor2D(vtkProp id0)
    { RemoveActor2D_6(id0); }

  private native vtkActor2DCollection GetActors2D_7();
  public vtkActor2DCollection GetActors2D()
    { return GetActors2D_7(); }

  private native void SetBackground_8(double id0,double id1,double id2);
  public void SetBackground(double id0,double id1,double id2)
    { SetBackground_8(id0,id1,id2); }

  private native void SetBackground_9(double id0[]);
  public void SetBackground(double id0[])
    { SetBackground_9(id0); }

  private native double[] GetBackground_10();
  public double[] GetBackground()
    { return GetBackground_10(); }

  private native void SetAspect_11(double id0,double id1);
  public void SetAspect(double id0,double id1)
    { SetAspect_11(id0,id1); }

  private native void SetAspect_12(double id0[]);
  public void SetAspect(double id0[])
    { SetAspect_12(id0); }

  private native double[] GetAspect_13();
  public double[] GetAspect()
    { return GetAspect_13(); }

  private native void ComputeAspect_14();
  public void ComputeAspect()
    { ComputeAspect_14(); }

  private native void SetPixelAspect_15(double id0,double id1);
  public void SetPixelAspect(double id0,double id1)
    { SetPixelAspect_15(id0,id1); }

  private native void SetPixelAspect_16(double id0[]);
  public void SetPixelAspect(double id0[])
    { SetPixelAspect_16(id0); }

  private native double[] GetPixelAspect_17();
  public double[] GetPixelAspect()
    { return GetPixelAspect_17(); }

  private native void SetViewport_18(double id0,double id1,double id2,double id3);
  public void SetViewport(double id0,double id1,double id2,double id3)
    { SetViewport_18(id0,id1,id2,id3); }

  private native void SetViewport_19(double id0[]);
  public void SetViewport(double id0[])
    { SetViewport_19(id0); }

  private native double[] GetViewport_20();
  public double[] GetViewport()
    { return GetViewport_20(); }

  private native void SetDisplayPoint_21(double id0,double id1,double id2);
  public void SetDisplayPoint(double id0,double id1,double id2)
    { SetDisplayPoint_21(id0,id1,id2); }

  private native void SetDisplayPoint_22(double id0[]);
  public void SetDisplayPoint(double id0[])
    { SetDisplayPoint_22(id0); }

  private native double[] GetDisplayPoint_23();
  public double[] GetDisplayPoint()
    { return GetDisplayPoint_23(); }

  private native void SetViewPoint_24(double id0,double id1,double id2);
  public void SetViewPoint(double id0,double id1,double id2)
    { SetViewPoint_24(id0,id1,id2); }

  private native void SetViewPoint_25(double id0[]);
  public void SetViewPoint(double id0[])
    { SetViewPoint_25(id0); }

  private native double[] GetViewPoint_26();
  public double[] GetViewPoint()
    { return GetViewPoint_26(); }

  private native void SetWorldPoint_27(double id0,double id1,double id2,double id3);
  public void SetWorldPoint(double id0,double id1,double id2,double id3)
    { SetWorldPoint_27(id0,id1,id2,id3); }

  private native void SetWorldPoint_28(double id0[]);
  public void SetWorldPoint(double id0[])
    { SetWorldPoint_28(id0); }

  private native double[] GetWorldPoint_29();
  public double[] GetWorldPoint()
    { return GetWorldPoint_29(); }

  private native double[] GetCenter_30();
  public double[] GetCenter()
    { return GetCenter_30(); }

  private native int IsInViewport_31(int id0,int id1);
  public int IsInViewport(int id0,int id1)
    { return IsInViewport_31(id0,id1); }

  private native vtkWindow GetVTKWindow_32();
  public vtkWindow GetVTKWindow()
    { return GetVTKWindow_32(); }

  private native void SetStartRenderMethod_33(Object id0, String id1);
  public void SetStartRenderMethod(Object id0, String id1)
    { SetStartRenderMethod_33(id0,id1); }

  private native void SetEndRenderMethod_34(Object id0, String id1);
  public void SetEndRenderMethod(Object id0, String id1)
    { SetEndRenderMethod_34(id0,id1); }

  private native void DisplayToView_35();
  public void DisplayToView()
    { DisplayToView_35(); }

  private native void ViewToDisplay_36();
  public void ViewToDisplay()
    { ViewToDisplay_36(); }

  private native void WorldToView_37();
  public void WorldToView()
    { WorldToView_37(); }

  private native void ViewToWorld_38();
  public void ViewToWorld()
    { ViewToWorld_38(); }

  private native void DisplayToWorld_39();
  public void DisplayToWorld()
    { DisplayToWorld_39(); }

  private native void WorldToDisplay_40();
  public void WorldToDisplay()
    { WorldToDisplay_40(); }

  private native int[]  GetSize_41();
  public int[]  GetSize()
    { return GetSize_41(); }

  private native int[]  GetOrigin_42();
  public int[]  GetOrigin()
    { return GetOrigin_42(); }

  private native vtkAssemblyPath PickProp_43(double id0,double id1);
  public vtkAssemblyPath PickProp(double id0,double id1)
    { return PickProp_43(id0,id1); }

  private native vtkAssemblyPath PickPropFrom_44(double id0,double id1,vtkPropCollection id2);
  public vtkAssemblyPath PickPropFrom(double id0,double id1,vtkPropCollection id2)
    { return PickPropFrom_44(id0,id1,id2); }

  private native double GetPickX_45();
  public double GetPickX()
    { return GetPickX_45(); }

  private native double GetPickY_46();
  public double GetPickY()
    { return GetPickY_46(); }

  private native int GetIsPicking_47();
  public int GetIsPicking()
    { return GetIsPicking_47(); }

  private native double GetPickedZ_48();
  public double GetPickedZ()
    { return GetPickedZ_48(); }

  public vtkViewport() { super(); };

  protected vtkViewport(int dmy) { super(dmy); };
  protected native void   VTKCastInit();

}
