// java wrapper for vtkVolumeMapper object
//

package vtk;
import vtk.*;

public class vtkVolumeMapper extends vtkAbstractMapper3D
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void Update_2();
  public void Update()
    { Update_2(); }

  private native void SetInput_3(vtkImageData id0);
  public void SetInput(vtkImageData id0)
    { SetInput_3(id0); }

  private native vtkImageData GetInput_4();
  public vtkImageData GetInput()
    { return GetInput_4(); }

  private native void SetCropping_5(int id0);
  public void SetCropping(int id0)
    { SetCropping_5(id0); }

  private native int GetCropping_6();
  public int GetCropping()
    { return GetCropping_6(); }

  private native void CroppingOn_7();
  public void CroppingOn()
    { CroppingOn_7(); }

  private native void CroppingOff_8();
  public void CroppingOff()
    { CroppingOff_8(); }

  private native void SetCroppingRegionPlanes_9(double id0,double id1,double id2,double id3,double id4,double id5);
  public void SetCroppingRegionPlanes(double id0,double id1,double id2,double id3,double id4,double id5)
    { SetCroppingRegionPlanes_9(id0,id1,id2,id3,id4,id5); }

  private native void SetCroppingRegionPlanes_10(double id0[]);
  public void SetCroppingRegionPlanes(double id0[])
    { SetCroppingRegionPlanes_10(id0); }

  private native double[] GetCroppingRegionPlanes_11();
  public double[] GetCroppingRegionPlanes()
    { return GetCroppingRegionPlanes_11(); }

  private native double[] GetVoxelCroppingRegionPlanes_12();
  public double[] GetVoxelCroppingRegionPlanes()
    { return GetVoxelCroppingRegionPlanes_12(); }

  private native void SetCroppingRegionFlags_13(int id0);
  public void SetCroppingRegionFlags(int id0)
    { SetCroppingRegionFlags_13(id0); }

  private native int GetCroppingRegionFlagsMinValue_14();
  public int GetCroppingRegionFlagsMinValue()
    { return GetCroppingRegionFlagsMinValue_14(); }

  private native int GetCroppingRegionFlagsMaxValue_15();
  public int GetCroppingRegionFlagsMaxValue()
    { return GetCroppingRegionFlagsMaxValue_15(); }

  private native int GetCroppingRegionFlags_16();
  public int GetCroppingRegionFlags()
    { return GetCroppingRegionFlags_16(); }

  private native void SetCroppingRegionFlagsToSubVolume_17();
  public void SetCroppingRegionFlagsToSubVolume()
    { SetCroppingRegionFlagsToSubVolume_17(); }

  private native void SetCroppingRegionFlagsToFence_18();
  public void SetCroppingRegionFlagsToFence()
    { SetCroppingRegionFlagsToFence_18(); }

  private native void SetCroppingRegionFlagsToInvertedFence_19();
  public void SetCroppingRegionFlagsToInvertedFence()
    { SetCroppingRegionFlagsToInvertedFence_19(); }

  private native void SetCroppingRegionFlagsToCross_20();
  public void SetCroppingRegionFlagsToCross()
    { SetCroppingRegionFlagsToCross_20(); }

  private native void SetCroppingRegionFlagsToInvertedCross_21();
  public void SetCroppingRegionFlagsToInvertedCross()
    { SetCroppingRegionFlagsToInvertedCross_21(); }

  private native void SetRGBTextureInput_22(vtkImageData id0);
  public void SetRGBTextureInput(vtkImageData id0)
    { SetRGBTextureInput_22(id0); }

  private native vtkImageData GetRGBTextureInput_23();
  public vtkImageData GetRGBTextureInput()
    { return GetRGBTextureInput_23(); }

  private native double[] GetBounds_24();
  public double[] GetBounds()
    { return GetBounds_24(); }

  private native void GetBounds_25(double id0[]);
  public void GetBounds(double id0[])
    { GetBounds_25(id0); }

  public vtkVolumeMapper() { super(); };

  protected vtkVolumeMapper(int dmy) { super(dmy); };
  protected native void   VTKCastInit();

}
