// java wrapper for vtkCamera object
//

package vtk;
import vtk.*;

public class vtkCamera extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetPosition_2(double id0,double id1,double id2);
  public void SetPosition(double id0,double id1,double id2)
    { SetPosition_2(id0,id1,id2); }

  private native void SetPosition_3(double id0[]);
  public void SetPosition(double id0[])
    { SetPosition_3(id0); }

  private native double[] GetPosition_4();
  public double[] GetPosition()
    { return GetPosition_4(); }

  private native void GetPosition_5(double id0[]);
  public void GetPosition(double id0[])
    { GetPosition_5(id0); }

  private native void SetFocalPoint_6(double id0,double id1,double id2);
  public void SetFocalPoint(double id0,double id1,double id2)
    { SetFocalPoint_6(id0,id1,id2); }

  private native void SetFocalPoint_7(double id0[]);
  public void SetFocalPoint(double id0[])
    { SetFocalPoint_7(id0); }

  private native double[] GetFocalPoint_8();
  public double[] GetFocalPoint()
    { return GetFocalPoint_8(); }

  private native void GetFocalPoint_9(double id0[]);
  public void GetFocalPoint(double id0[])
    { GetFocalPoint_9(id0); }

  private native void SetViewUp_10(double id0,double id1,double id2);
  public void SetViewUp(double id0,double id1,double id2)
    { SetViewUp_10(id0,id1,id2); }

  private native void SetViewUp_11(double id0[]);
  public void SetViewUp(double id0[])
    { SetViewUp_11(id0); }

  private native double[] GetViewUp_12();
  public double[] GetViewUp()
    { return GetViewUp_12(); }

  private native void GetViewUp_13(double id0[]);
  public void GetViewUp(double id0[])
    { GetViewUp_13(id0); }

  private native void OrthogonalizeViewUp_14();
  public void OrthogonalizeViewUp()
    { OrthogonalizeViewUp_14(); }

  private native void SetDistance_15(double id0);
  public void SetDistance(double id0)
    { SetDistance_15(id0); }

  private native double GetDistance_16();
  public double GetDistance()
    { return GetDistance_16(); }

  private native double[] GetDirectionOfProjection_17();
  public double[] GetDirectionOfProjection()
    { return GetDirectionOfProjection_17(); }

  private native void GetDirectionOfProjection_18(double id0[]);
  public void GetDirectionOfProjection(double id0[])
    { GetDirectionOfProjection_18(id0); }

  private native void Dolly_19(double id0);
  public void Dolly(double id0)
    { Dolly_19(id0); }

  private native void SetRoll_20(double id0);
  public void SetRoll(double id0)
    { SetRoll_20(id0); }

  private native double GetRoll_21();
  public double GetRoll()
    { return GetRoll_21(); }

  private native void Roll_22(double id0);
  public void Roll(double id0)
    { Roll_22(id0); }

  private native void Azimuth_23(double id0);
  public void Azimuth(double id0)
    { Azimuth_23(id0); }

  private native void Yaw_24(double id0);
  public void Yaw(double id0)
    { Yaw_24(id0); }

  private native void Elevation_25(double id0);
  public void Elevation(double id0)
    { Elevation_25(id0); }

  private native void Pitch_26(double id0);
  public void Pitch(double id0)
    { Pitch_26(id0); }

  private native void SetParallelProjection_27(int id0);
  public void SetParallelProjection(int id0)
    { SetParallelProjection_27(id0); }

  private native int GetParallelProjection_28();
  public int GetParallelProjection()
    { return GetParallelProjection_28(); }

  private native void ParallelProjectionOn_29();
  public void ParallelProjectionOn()
    { ParallelProjectionOn_29(); }

  private native void ParallelProjectionOff_30();
  public void ParallelProjectionOff()
    { ParallelProjectionOff_30(); }

  private native void SetViewAngle_31(double id0);
  public void SetViewAngle(double id0)
    { SetViewAngle_31(id0); }

  private native double GetViewAngle_32();
  public double GetViewAngle()
    { return GetViewAngle_32(); }

  private native void SetParallelScale_33(double id0);
  public void SetParallelScale(double id0)
    { SetParallelScale_33(id0); }

  private native double GetParallelScale_34();
  public double GetParallelScale()
    { return GetParallelScale_34(); }

  private native void Zoom_35(double id0);
  public void Zoom(double id0)
    { Zoom_35(id0); }

  private native void SetClippingRange_36(double id0,double id1);
  public void SetClippingRange(double id0,double id1)
    { SetClippingRange_36(id0,id1); }

  private native void SetClippingRange_37(double id0[]);
  public void SetClippingRange(double id0[])
    { SetClippingRange_37(id0); }

  private native double[] GetClippingRange_38();
  public double[] GetClippingRange()
    { return GetClippingRange_38(); }

  private native void GetClippingRange_39(double id0[]);
  public void GetClippingRange(double id0[])
    { GetClippingRange_39(id0); }

  private native void SetThickness_40(double id0);
  public void SetThickness(double id0)
    { SetThickness_40(id0); }

  private native double GetThickness_41();
  public double GetThickness()
    { return GetThickness_41(); }

  private native void SetWindowCenter_42(double id0,double id1);
  public void SetWindowCenter(double id0,double id1)
    { SetWindowCenter_42(id0,id1); }

  private native double[] GetWindowCenter_43();
  public double[] GetWindowCenter()
    { return GetWindowCenter_43(); }

  private native void SetObliqueAngles_44(double id0,double id1);
  public void SetObliqueAngles(double id0,double id1)
    { SetObliqueAngles_44(id0,id1); }

  private native double[] GetViewPlaneNormal_45();
  public double[] GetViewPlaneNormal()
    { return GetViewPlaneNormal_45(); }

  private native void GetViewPlaneNormal_46(double id0[]);
  public void GetViewPlaneNormal(double id0[])
    { GetViewPlaneNormal_46(id0); }

  private native void SetViewShear_47(double id0,double id1,double id2);
  public void SetViewShear(double id0,double id1,double id2)
    { SetViewShear_47(id0,id1,id2); }

  private native void SetViewShear_48(double id0[]);
  public void SetViewShear(double id0[])
    { SetViewShear_48(id0); }

  private native double[] GetViewShear_49();
  public double[] GetViewShear()
    { return GetViewShear_49(); }

  private native void SetEyeAngle_50(double id0);
  public void SetEyeAngle(double id0)
    { SetEyeAngle_50(id0); }

  private native double GetEyeAngle_51();
  public double GetEyeAngle()
    { return GetEyeAngle_51(); }

  private native void SetFocalDisk_52(double id0);
  public void SetFocalDisk(double id0)
    { SetFocalDisk_52(id0); }

  private native double GetFocalDisk_53();
  public double GetFocalDisk()
    { return GetFocalDisk_53(); }

  private native vtkMatrix4x4 GetViewTransformMatrix_54();
  public vtkMatrix4x4 GetViewTransformMatrix()
    { return GetViewTransformMatrix_54(); }

  private native vtkMatrix4x4 GetPerspectiveTransformMatrix_55(double id0,double id1,double id2);
  public vtkMatrix4x4 GetPerspectiveTransformMatrix(double id0,double id1,double id2)
    { return GetPerspectiveTransformMatrix_55(id0,id1,id2); }

  private native vtkMatrix4x4 GetCompositePerspectiveTransformMatrix_56(double id0,double id1,double id2);
  public vtkMatrix4x4 GetCompositePerspectiveTransformMatrix(double id0,double id1,double id2)
    { return GetCompositePerspectiveTransformMatrix_56(id0,id1,id2); }

  private native void Render_57(vtkRenderer id0);
  public void Render(vtkRenderer id0)
    { Render_57(id0); }

  private native int GetViewingRaysMTime_58();
  public int GetViewingRaysMTime()
    { return GetViewingRaysMTime_58(); }

  private native void ViewingRaysModified_59();
  public void ViewingRaysModified()
    { ViewingRaysModified_59(); }

  private native void GetFrustumPlanes_60(double id0,double id1[]);
  public void GetFrustumPlanes(double id0,double id1[])
    { GetFrustumPlanes_60(id0,id1); }

  private native double[] GetOrientation_61();
  public double[] GetOrientation()
    { return GetOrientation_61(); }

  private native double[] GetOrientationWXYZ_62();
  public double[] GetOrientationWXYZ()
    { return GetOrientationWXYZ_62(); }

  private native void SetViewPlaneNormal_63(double id0,double id1,double id2);
  public void SetViewPlaneNormal(double id0,double id1,double id2)
    { SetViewPlaneNormal_63(id0,id1,id2); }

  private native void SetViewPlaneNormal_64(double id0[]);
  public void SetViewPlaneNormal(double id0[])
    { SetViewPlaneNormal_64(id0); }

  private native void ComputeViewPlaneNormal_65();
  public void ComputeViewPlaneNormal()
    { ComputeViewPlaneNormal_65(); }

  private native vtkMatrix4x4 GetCameraLightTransformMatrix_66();
  public vtkMatrix4x4 GetCameraLightTransformMatrix()
    { return GetCameraLightTransformMatrix_66(); }

  private native void UpdateViewport_67(vtkRenderer id0);
  public void UpdateViewport(vtkRenderer id0)
    { UpdateViewport_67(id0); }

  private native vtkMatrix4x4 GetViewTransform_68();
  public vtkMatrix4x4 GetViewTransform()
    { return GetViewTransform_68(); }

  private native vtkMatrix4x4 GetPerspectiveTransform_69(double id0,double id1,double id2);
  public vtkMatrix4x4 GetPerspectiveTransform(double id0,double id1,double id2)
    { return GetPerspectiveTransform_69(id0,id1,id2); }

  private native vtkMatrix4x4 GetCompositePerspectiveTransform_70(double id0,double id1,double id2);
  public vtkMatrix4x4 GetCompositePerspectiveTransform(double id0,double id1,double id2)
    { return GetCompositePerspectiveTransform_70(id0,id1,id2); }

  private native vtkTransform GetViewTransformObject_71();
  public vtkTransform GetViewTransformObject()
    { return GetViewTransformObject_71(); }

  public vtkCamera() { super(); };

  protected vtkCamera(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
