// java wrapper for vtkDataArray object
//

package vtk;
import vtk.*;

public class vtkDataArray extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native int Allocate_2(int id0,int id1);
  public int Allocate(int id0,int id1)
    { return Allocate_2(id0,id1); }

  private native void Initialize_3();
  public void Initialize()
    { Initialize_3(); }

  private native vtkDataArray MakeObject_4();
  public vtkDataArray MakeObject()
    { return MakeObject_4(); }

  private native int GetDataType_5();
  public int GetDataType()
    { return GetDataType_5(); }

  private native void SetNumberOfComponents_6(int id0);
  public void SetNumberOfComponents(int id0)
    { SetNumberOfComponents_6(id0); }

  private native int GetNumberOfComponentsMinValue_7();
  public int GetNumberOfComponentsMinValue()
    { return GetNumberOfComponentsMinValue_7(); }

  private native int GetNumberOfComponentsMaxValue_8();
  public int GetNumberOfComponentsMaxValue()
    { return GetNumberOfComponentsMaxValue_8(); }

  private native int GetNumberOfComponents_9();
  public int GetNumberOfComponents()
    { return GetNumberOfComponents_9(); }

  private native void SetNumberOfTuples_10(int id0);
  public void SetNumberOfTuples(int id0)
    { SetNumberOfTuples_10(id0); }

  private native int GetNumberOfTuples_11();
  public int GetNumberOfTuples()
    { return GetNumberOfTuples_11(); }

  private native double GetTuple1_12(int id0);
  public double GetTuple1(int id0)
    { return GetTuple1_12(id0); }

  private native double[] GetTuple2_13(int id0);
  public double[] GetTuple2(int id0)
    { return GetTuple2_13(id0); }

  private native double[] GetTuple3_14(int id0);
  public double[] GetTuple3(int id0)
    { return GetTuple3_14(id0); }

  private native double[] GetTuple4_15(int id0);
  public double[] GetTuple4(int id0)
    { return GetTuple4_15(id0); }

  private native double[] GetTuple9_16(int id0);
  public double[] GetTuple9(int id0)
    { return GetTuple9_16(id0); }

  private native void GetTuples_17(vtkIdList id0,vtkDataArray id1);
  public void GetTuples(vtkIdList id0,vtkDataArray id1)
    { GetTuples_17(id0,id1); }

  private native void GetTuples_18(int id0,int id1,vtkDataArray id2);
  public void GetTuples(int id0,int id1,vtkDataArray id2)
    { GetTuples_18(id0,id1,id2); }

  private native void SetTuple1_19(int id0,double id1);
  public void SetTuple1(int id0,double id1)
    { SetTuple1_19(id0,id1); }

  private native void SetTuple2_20(int id0,double id1,double id2);
  public void SetTuple2(int id0,double id1,double id2)
    { SetTuple2_20(id0,id1,id2); }

  private native void SetTuple3_21(int id0,double id1,double id2,double id3);
  public void SetTuple3(int id0,double id1,double id2,double id3)
    { SetTuple3_21(id0,id1,id2,id3); }

  private native void SetTuple4_22(int id0,double id1,double id2,double id3,double id4);
  public void SetTuple4(int id0,double id1,double id2,double id3,double id4)
    { SetTuple4_22(id0,id1,id2,id3,id4); }

  private native void SetTuple9_23(int id0,double id1,double id2,double id3,double id4,double id5,double id6,double id7,double id8,double id9);
  public void SetTuple9(int id0,double id1,double id2,double id3,double id4,double id5,double id6,double id7,double id8,double id9)
    { SetTuple9_23(id0,id1,id2,id3,id4,id5,id6,id7,id8,id9); }

  private native void InsertTuple1_24(int id0,double id1);
  public void InsertTuple1(int id0,double id1)
    { InsertTuple1_24(id0,id1); }

  private native void InsertTuple2_25(int id0,double id1,double id2);
  public void InsertTuple2(int id0,double id1,double id2)
    { InsertTuple2_25(id0,id1,id2); }

  private native void InsertTuple3_26(int id0,double id1,double id2,double id3);
  public void InsertTuple3(int id0,double id1,double id2,double id3)
    { InsertTuple3_26(id0,id1,id2,id3); }

  private native void InsertTuple4_27(int id0,double id1,double id2,double id3,double id4);
  public void InsertTuple4(int id0,double id1,double id2,double id3,double id4)
    { InsertTuple4_27(id0,id1,id2,id3,id4); }

  private native void InsertTuple9_28(int id0,double id1,double id2,double id3,double id4,double id5,double id6,double id7,double id8,double id9);
  public void InsertTuple9(int id0,double id1,double id2,double id3,double id4,double id5,double id6,double id7,double id8,double id9)
    { InsertTuple9_28(id0,id1,id2,id3,id4,id5,id6,id7,id8,id9); }

  private native void InsertNextTuple1_29(double id0);
  public void InsertNextTuple1(double id0)
    { InsertNextTuple1_29(id0); }

  private native void InsertNextTuple2_30(double id0,double id1);
  public void InsertNextTuple2(double id0,double id1)
    { InsertNextTuple2_30(id0,id1); }

  private native void InsertNextTuple3_31(double id0,double id1,double id2);
  public void InsertNextTuple3(double id0,double id1,double id2)
    { InsertNextTuple3_31(id0,id1,id2); }

  private native void InsertNextTuple4_32(double id0,double id1,double id2,double id3);
  public void InsertNextTuple4(double id0,double id1,double id2,double id3)
    { InsertNextTuple4_32(id0,id1,id2,id3); }

  private native void InsertNextTuple9_33(double id0,double id1,double id2,double id3,double id4,double id5,double id6,double id7,double id8);
  public void InsertNextTuple9(double id0,double id1,double id2,double id3,double id4,double id5,double id6,double id7,double id8)
    { InsertNextTuple9_33(id0,id1,id2,id3,id4,id5,id6,id7,id8); }

  private native double GetComponent_34(int id0,int id1);
  public double GetComponent(int id0,int id1)
    { return GetComponent_34(id0,id1); }

  private native void SetComponent_35(int id0,int id1,double id2);
  public void SetComponent(int id0,int id1,double id2)
    { SetComponent_35(id0,id1,id2); }

  private native void InsertComponent_36(int id0,int id1,double id2);
  public void InsertComponent(int id0,int id1,double id2)
    { InsertComponent_36(id0,id1,id2); }

  private native void GetData_37(int id0,int id1,int id2,int id3,vtkFloatArray id4);
  public void GetData(int id0,int id1,int id2,int id3,vtkFloatArray id4)
    { GetData_37(id0,id1,id2,id3,id4); }

  private native void DeepCopy_38(vtkDataArray id0);
  public void DeepCopy(vtkDataArray id0)
    { DeepCopy_38(id0); }

  private native void FillComponent_39(int id0,double id1);
  public void FillComponent(int id0,double id1)
    { FillComponent_39(id0,id1); }

  private native void CopyComponent_40(int id0,vtkDataArray id1,int id2);
  public void CopyComponent(int id0,vtkDataArray id1,int id2)
    { CopyComponent_40(id0,id1,id2); }

  private native void Squeeze_41();
  public void Squeeze()
    { Squeeze_41(); }

  private native void Resize_42(int id0);
  public void Resize(int id0)
    { Resize_42(id0); }

  private native void Reset_43();
  public void Reset()
    { Reset_43(); }

  private native int GetSize_44();
  public int GetSize()
    { return GetSize_44(); }

  private native int GetMaxId_45();
  public int GetMaxId()
    { return GetMaxId_45(); }

  private native int GetActualMemorySize_46();
  public int GetActualMemorySize()
    { return GetActualMemorySize_46(); }

  private native void CreateDefaultLookupTable_47();
  public void CreateDefaultLookupTable()
    { CreateDefaultLookupTable_47(); }

  private native void SetLookupTable_48(vtkLookupTable id0);
  public void SetLookupTable(vtkLookupTable id0)
    { SetLookupTable_48(id0); }

  private native vtkLookupTable GetLookupTable_49();
  public vtkLookupTable GetLookupTable()
    { return GetLookupTable_49(); }

  private native void SetName_50(String id0);
  public void SetName(String id0)
    { SetName_50(id0); }

  private native String GetName_51();
  public String GetName()
    { return GetName_51(); }

  private native void GetRange_52(double id0[],int id1);
  public void GetRange(double id0[],int id1)
    { GetRange_52(id0,id1); }

  private native double[] GetRange_53(int id0);
  public double[] GetRange(int id0)
    { return GetRange_53(id0); }

  private native void ComputeRange_54(int id0);
  public void ComputeRange(int id0)
    { ComputeRange_54(id0); }

  private native double[] GetRange_55();
  public double[] GetRange()
    { return GetRange_55(); }

  private native void GetRange_56(double id0[]);
  public void GetRange(double id0[])
    { GetRange_56(id0); }

  private native void GetDataTypeRange_57(double id0[]);
  public void GetDataTypeRange(double id0[])
    { GetDataTypeRange_57(id0); }

  private native double GetDataTypeMin_58();
  public double GetDataTypeMin()
    { return GetDataTypeMin_58(); }

  private native double GetDataTypeMax_59();
  public double GetDataTypeMax()
    { return GetDataTypeMax_59(); }

  private native double GetMaxNorm_60();
  public double GetMaxNorm()
    { return GetMaxNorm_60(); }

  private native vtkDataArray CreateDataArray_61(int id0);
  public vtkDataArray CreateDataArray(int id0)
    { return CreateDataArray_61(id0); }

  public vtkDataArray() { super(); };

  protected vtkDataArray(int dmy) { super(dmy); };
  protected native void   VTKCastInit();

}
