// java wrapper for vtkGenericCell object
//

package vtk;
import vtk.*;

public class vtkGenericCell extends vtkCell
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native vtkCell MakeObject_2();
  public vtkCell MakeObject()
    { return MakeObject_2(); }

  private native void ShallowCopy_3(vtkCell id0);
  public void ShallowCopy(vtkCell id0)
    { ShallowCopy_3(id0); }

  private native void DeepCopy_4(vtkCell id0);
  public void DeepCopy(vtkCell id0)
    { DeepCopy_4(id0); }

  private native int GetCellType_5();
  public int GetCellType()
    { return GetCellType_5(); }

  private native int GetCellDimension_6();
  public int GetCellDimension()
    { return GetCellDimension_6(); }

  private native int GetInterpolationOrder_7();
  public int GetInterpolationOrder()
    { return GetInterpolationOrder_7(); }

  private native int GetNumberOfEdges_8();
  public int GetNumberOfEdges()
    { return GetNumberOfEdges_8(); }

  private native int GetNumberOfFaces_9();
  public int GetNumberOfFaces()
    { return GetNumberOfFaces_9(); }

  private native vtkCell GetEdge_10(int id0);
  public vtkCell GetEdge(int id0)
    { return GetEdge_10(id0); }

  private native vtkCell GetFace_11(int id0);
  public vtkCell GetFace(int id0)
    { return GetFace_11(id0); }

  private native int CellBoundary_12(int id0,double id1[],vtkIdList id2);
  public int CellBoundary(int id0,double id1[],vtkIdList id2)
    { return CellBoundary_12(id0,id1,id2); }

  private native void Contour_13(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkCellArray id4,vtkCellArray id5,vtkPointData id6,vtkPointData id7,vtkCellData id8,int id9,vtkCellData id10);
  public void Contour(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkCellArray id4,vtkCellArray id5,vtkPointData id6,vtkPointData id7,vtkCellData id8,int id9,vtkCellData id10)
    { Contour_13(id0,id1,id2,id3,id4,id5,id6,id7,id8,id9,id10); }

  private native void Clip_14(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkPointData id4,vtkPointData id5,vtkCellData id6,int id7,vtkCellData id8,int id9);
  public void Clip(double id0,vtkDataArray id1,vtkPointLocator id2,vtkCellArray id3,vtkPointData id4,vtkPointData id5,vtkCellData id6,int id7,vtkCellData id8,int id9)
    { Clip_14(id0,id1,id2,id3,id4,id5,id6,id7,id8,id9); }

  private native int Triangulate_15(int id0,vtkIdList id1,vtkPoints id2);
  public int Triangulate(int id0,vtkIdList id1,vtkPoints id2)
    { return Triangulate_15(id0,id1,id2); }

  private native int GetParametricCenter_16(double id0[]);
  public int GetParametricCenter(double id0[])
    { return GetParametricCenter_16(id0); }

  private native void SetCellType_17(int id0);
  public void SetCellType(int id0)
    { SetCellType_17(id0); }

  private native void SetCellTypeToEmptyCell_18();
  public void SetCellTypeToEmptyCell()
    { SetCellTypeToEmptyCell_18(); }

  private native void SetCellTypeToVertex_19();
  public void SetCellTypeToVertex()
    { SetCellTypeToVertex_19(); }

  private native void SetCellTypeToPolyVertex_20();
  public void SetCellTypeToPolyVertex()
    { SetCellTypeToPolyVertex_20(); }

  private native void SetCellTypeToLine_21();
  public void SetCellTypeToLine()
    { SetCellTypeToLine_21(); }

  private native void SetCellTypeToPolyLine_22();
  public void SetCellTypeToPolyLine()
    { SetCellTypeToPolyLine_22(); }

  private native void SetCellTypeToTriangle_23();
  public void SetCellTypeToTriangle()
    { SetCellTypeToTriangle_23(); }

  private native void SetCellTypeToTriangleStrip_24();
  public void SetCellTypeToTriangleStrip()
    { SetCellTypeToTriangleStrip_24(); }

  private native void SetCellTypeToPolygon_25();
  public void SetCellTypeToPolygon()
    { SetCellTypeToPolygon_25(); }

  private native void SetCellTypeToPixel_26();
  public void SetCellTypeToPixel()
    { SetCellTypeToPixel_26(); }

  private native void SetCellTypeToQuad_27();
  public void SetCellTypeToQuad()
    { SetCellTypeToQuad_27(); }

  private native void SetCellTypeToTetra_28();
  public void SetCellTypeToTetra()
    { SetCellTypeToTetra_28(); }

  private native void SetCellTypeToVoxel_29();
  public void SetCellTypeToVoxel()
    { SetCellTypeToVoxel_29(); }

  private native void SetCellTypeToHexahedron_30();
  public void SetCellTypeToHexahedron()
    { SetCellTypeToHexahedron_30(); }

  private native void SetCellTypeToWedge_31();
  public void SetCellTypeToWedge()
    { SetCellTypeToWedge_31(); }

  private native void SetCellTypeToPyramid_32();
  public void SetCellTypeToPyramid()
    { SetCellTypeToPyramid_32(); }

  public vtkGenericCell() { super(); };

  protected vtkGenericCell(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
