// java wrapper for vtkImageData object
//

package vtk;
import vtk.*;

public class vtkImageData extends vtkDataSet
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native vtkDataObject MakeObject_2();
  public vtkDataObject MakeObject()
    { return MakeObject_2(); }

  private native void CopyStructure_3(vtkDataSet id0);
  public void CopyStructure(vtkDataSet id0)
    { CopyStructure_3(id0); }

  private native int GetDataObjectType_4();
  public int GetDataObjectType()
    { return GetDataObjectType_4(); }

  private native void UpdateData_5();
  public void UpdateData()
    { UpdateData_5(); }

  private native int GetNumberOfCells_6();
  public int GetNumberOfCells()
    { return GetNumberOfCells_6(); }

  private native int GetNumberOfPoints_7();
  public int GetNumberOfPoints()
    { return GetNumberOfPoints_7(); }

  private native double[] GetPoint_8(int id0);
  public double[] GetPoint(int id0)
    { return GetPoint_8(id0); }

  private native void GetPoint_9(int id0,double id1[]);
  public void GetPoint(int id0,double id1[])
    { GetPoint_9(id0,id1); }

  private native vtkCell GetCell_10(int id0);
  public vtkCell GetCell(int id0)
    { return GetCell_10(id0); }

  private native void GetCell_11(int id0,vtkGenericCell id1);
  public void GetCell(int id0,vtkGenericCell id1)
    { GetCell_11(id0,id1); }

  private native void GetCellBounds_12(int id0,double id1[]);
  public void GetCellBounds(int id0,double id1[])
    { GetCellBounds_12(id0,id1); }

  private native int FindPoint_13(double id0,double id1,double id2);
  public int FindPoint(double id0,double id1,double id2)
    { return FindPoint_13(id0,id1,id2); }

  private native int FindPoint_14(double id0[]);
  public int FindPoint(double id0[])
    { return FindPoint_14(id0); }

  private native int GetCellType_15(int id0);
  public int GetCellType(int id0)
    { return GetCellType_15(id0); }

  private native void GetCellPoints_16(int id0,vtkIdList id1);
  public void GetCellPoints(int id0,vtkIdList id1)
    { GetCellPoints_16(id0,id1); }

  private native void GetPointCells_17(int id0,vtkIdList id1);
  public void GetPointCells(int id0,vtkIdList id1)
    { GetPointCells_17(id0,id1); }

  private native void ComputeBounds_18();
  public void ComputeBounds()
    { ComputeBounds_18(); }

  private native int GetMaxCellSize_19();
  public int GetMaxCellSize()
    { return GetMaxCellSize_19(); }

  private native void SetDimensions_20(int id0,int id1,int id2);
  public void SetDimensions(int id0,int id1,int id2)
    { SetDimensions_20(id0,id1,id2); }

  private native void SetDimensions_21(int id0[]);
  public void SetDimensions(int id0[])
    { SetDimensions_21(id0); }

  private native int[]  GetDimensions_22();
  public int[]  GetDimensions()
    { return GetDimensions_22(); }

  private native void GetDimensions_23(int id0[]);
  public void GetDimensions(int id0[])
    { GetDimensions_23(id0); }

  private native int ComputeStructuredCoordinates_24(double id0[],int id1[],double id2[]);
  public int ComputeStructuredCoordinates(double id0[],int id1[],double id2[])
    { return ComputeStructuredCoordinates_24(id0,id1,id2); }

  private native void GetVoxelGradient_25(int id0,int id1,int id2,vtkDataArray id3,vtkDataArray id4);
  public void GetVoxelGradient(int id0,int id1,int id2,vtkDataArray id3,vtkDataArray id4)
    { GetVoxelGradient_25(id0,id1,id2,id3,id4); }

  private native void GetPointGradient_26(int id0,int id1,int id2,vtkDataArray id3,double id4[]);
  public void GetPointGradient(int id0,int id1,int id2,vtkDataArray id3,double id4[])
    { GetPointGradient_26(id0,id1,id2,id3,id4); }

  private native int GetDataDimension_27();
  public int GetDataDimension()
    { return GetDataDimension_27(); }

  private native int ComputePointId_28(int id0[]);
  public int ComputePointId(int id0[])
    { return ComputePointId_28(id0); }

  private native int ComputeCellId_29(int id0[]);
  public int ComputeCellId(int id0[])
    { return ComputeCellId_29(id0); }

  private native void SetAxisUpdateExtent_30(int id0,int id1,int id2);
  public void SetAxisUpdateExtent(int id0,int id1,int id2)
    { SetAxisUpdateExtent_30(id0,id1,id2); }

  private native void SetUpdateExtent_31(int id0,int id1,int id2);
  public void SetUpdateExtent(int id0,int id1,int id2)
    { SetUpdateExtent_31(id0,id1,id2); }

  private native void SetUpdateExtent_32(int id0,int id1);
  public void SetUpdateExtent(int id0,int id1)
    { SetUpdateExtent_32(id0,id1); }

  private native void SetUpdateExtent_33(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetUpdateExtent(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetUpdateExtent_33(id0,id1,id2,id3,id4,id5); }

  private native void SetUpdateExtent_34(int id0[]);
  public void SetUpdateExtent(int id0[])
    { SetUpdateExtent_34(id0); }

  private native void SetExtent_35(int id0[]);
  public void SetExtent(int id0[])
    { SetExtent_35(id0); }

  private native void SetExtent_36(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetExtent(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetExtent_36(id0,id1,id2,id3,id4,id5); }

  private native int[]  GetExtent_37();
  public int[]  GetExtent()
    { return GetExtent_37(); }

  private native int GetEstimatedMemorySize_38();
  public int GetEstimatedMemorySize()
    { return GetEstimatedMemorySize_38(); }

  private native double GetScalarTypeMin_39();
  public double GetScalarTypeMin()
    { return GetScalarTypeMin_39(); }

  private native double GetScalarTypeMax_40();
  public double GetScalarTypeMax()
    { return GetScalarTypeMax_40(); }

  private native int GetScalarSize_41();
  public int GetScalarSize()
    { return GetScalarSize_41(); }

  private native int[]  GetIncrements_42();
  public int[]  GetIncrements()
    { return GetIncrements_42(); }

  private native void GetIncrements_43(int id0[]);
  public void GetIncrements(int id0[])
    { GetIncrements_43(id0); }

  private native double GetScalarComponentAsFloat_44(int id0,int id1,int id2,int id3);
  public double GetScalarComponentAsFloat(int id0,int id1,int id2,int id3)
    { return GetScalarComponentAsFloat_44(id0,id1,id2,id3); }

  private native void AllocateScalars_45();
  public void AllocateScalars()
    { AllocateScalars_45(); }

  private native void CopyAndCastFrom_46(vtkImageData id0,int id1[]);
  public void CopyAndCastFrom(vtkImageData id0,int id1[])
    { CopyAndCastFrom_46(id0,id1); }

  private native void CopyAndCastFrom_47(vtkImageData id0,int id1,int id2,int id3,int id4,int id5,int id6);
  public void CopyAndCastFrom(vtkImageData id0,int id1,int id2,int id3,int id4,int id5,int id6)
    { CopyAndCastFrom_47(id0,id1,id2,id3,id4,id5,id6); }

  private native void Crop_48();
  public void Crop()
    { Crop_48(); }

  private native int GetActualMemorySize_49();
  public int GetActualMemorySize()
    { return GetActualMemorySize_49(); }

  private native void SetSpacing_50(double id0,double id1,double id2);
  public void SetSpacing(double id0,double id1,double id2)
    { SetSpacing_50(id0,id1,id2); }

  private native void SetSpacing_51(double id0[]);
  public void SetSpacing(double id0[])
    { SetSpacing_51(id0); }

  private native double[] GetSpacing_52();
  public double[] GetSpacing()
    { return GetSpacing_52(); }

  private native void SetOrigin_53(double id0,double id1,double id2);
  public void SetOrigin(double id0,double id1,double id2)
    { SetOrigin_53(id0,id1,id2); }

  private native void SetOrigin_54(double id0[]);
  public void SetOrigin(double id0[])
    { SetOrigin_54(id0); }

  private native double[] GetOrigin_55();
  public double[] GetOrigin()
    { return GetOrigin_55(); }

  private native void SetScalarTypeToFloat_56();
  public void SetScalarTypeToFloat()
    { SetScalarTypeToFloat_56(); }

  private native void SetScalarTypeToDouble_57();
  public void SetScalarTypeToDouble()
    { SetScalarTypeToDouble_57(); }

  private native void SetScalarTypeToInt_58();
  public void SetScalarTypeToInt()
    { SetScalarTypeToInt_58(); }

  private native void SetScalarTypeToUnsignedInt_59();
  public void SetScalarTypeToUnsignedInt()
    { SetScalarTypeToUnsignedInt_59(); }

  private native void SetScalarTypeToLong_60();
  public void SetScalarTypeToLong()
    { SetScalarTypeToLong_60(); }

  private native void SetScalarTypeToUnsignedLong_61();
  public void SetScalarTypeToUnsignedLong()
    { SetScalarTypeToUnsignedLong_61(); }

  private native void SetScalarTypeToShort_62();
  public void SetScalarTypeToShort()
    { SetScalarTypeToShort_62(); }

  private native void SetScalarTypeToUnsignedShort_63();
  public void SetScalarTypeToUnsignedShort()
    { SetScalarTypeToUnsignedShort_63(); }

  private native void SetScalarTypeToUnsignedChar_64();
  public void SetScalarTypeToUnsignedChar()
    { SetScalarTypeToUnsignedChar_64(); }

  private native void SetScalarTypeToChar_65();
  public void SetScalarTypeToChar()
    { SetScalarTypeToChar_65(); }

  private native void SetScalarType_66(int id0);
  public void SetScalarType(int id0)
    { SetScalarType_66(id0); }

  private native int GetScalarType_67();
  public int GetScalarType()
    { return GetScalarType_67(); }

  private native void SetNumberOfScalarComponents_68(int id0);
  public void SetNumberOfScalarComponents(int id0)
    { SetNumberOfScalarComponents_68(id0); }

  private native int GetNumberOfScalarComponents_69();
  public int GetNumberOfScalarComponents()
    { return GetNumberOfScalarComponents_69(); }

  private native void CopyTypeSpecificInformation_70(vtkDataObject id0);
  public void CopyTypeSpecificInformation(vtkDataObject id0)
    { CopyTypeSpecificInformation_70(id0); }

  private native void PrepareForNewData_71();
  public void PrepareForNewData()
    { PrepareForNewData_71(); }

  private native void ShallowCopy_72(vtkDataObject id0);
  public void ShallowCopy(vtkDataObject id0)
    { ShallowCopy_72(id0); }

  private native void DeepCopy_73(vtkDataObject id0);
  public void DeepCopy(vtkDataObject id0)
    { DeepCopy_73(id0); }

  public vtkImageData() { super(); };

  protected vtkImageData(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
