// java wrapper for vtkImageReader object
//

package vtk;
import vtk.*;

public class vtkImageReader extends vtkImageSource
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetFileName_2(String id0);
  public void SetFileName(String id0)
    { SetFileName_2(id0); }

  private native String GetFileName_3();
  public String GetFileName()
    { return GetFileName_3(); }

  private native void SetFilePrefix_4(String id0);
  public void SetFilePrefix(String id0)
    { SetFilePrefix_4(id0); }

  private native String GetFilePrefix_5();
  public String GetFilePrefix()
    { return GetFilePrefix_5(); }

  private native void SetFilePattern_6(String id0);
  public void SetFilePattern(String id0)
    { SetFilePattern_6(id0); }

  private native String GetFilePattern_7();
  public String GetFilePattern()
    { return GetFilePattern_7(); }

  private native void SetFileNameSliceOffset_8(int id0);
  public void SetFileNameSliceOffset(int id0)
    { SetFileNameSliceOffset_8(id0); }

  private native int GetFileNameSliceOffset_9();
  public int GetFileNameSliceOffset()
    { return GetFileNameSliceOffset_9(); }

  private native void SetFileNameSliceSpacing_10(int id0);
  public void SetFileNameSliceSpacing(int id0)
    { SetFileNameSliceSpacing_10(id0); }

  private native int GetFileNameSliceSpacing_11();
  public int GetFileNameSliceSpacing()
    { return GetFileNameSliceSpacing_11(); }

  private native void SetDataScalarType_12(int id0);
  public void SetDataScalarType(int id0)
    { SetDataScalarType_12(id0); }

  private native void SetDataScalarTypeToFloat_13();
  public void SetDataScalarTypeToFloat()
    { SetDataScalarTypeToFloat_13(); }

  private native void SetDataScalarTypeToDouble_14();
  public void SetDataScalarTypeToDouble()
    { SetDataScalarTypeToDouble_14(); }

  private native void SetDataScalarTypeToInt_15();
  public void SetDataScalarTypeToInt()
    { SetDataScalarTypeToInt_15(); }

  private native void SetDataScalarTypeToShort_16();
  public void SetDataScalarTypeToShort()
    { SetDataScalarTypeToShort_16(); }

  private native void SetDataScalarTypeToUnsignedShort_17();
  public void SetDataScalarTypeToUnsignedShort()
    { SetDataScalarTypeToUnsignedShort_17(); }

  private native void SetDataScalarTypeToUnsignedChar_18();
  public void SetDataScalarTypeToUnsignedChar()
    { SetDataScalarTypeToUnsignedChar_18(); }

  private native int GetDataScalarType_19();
  public int GetDataScalarType()
    { return GetDataScalarType_19(); }

  private native void SetNumberOfScalarComponents_20(int id0);
  public void SetNumberOfScalarComponents(int id0)
    { SetNumberOfScalarComponents_20(id0); }

  private native int GetNumberOfScalarComponents_21();
  public int GetNumberOfScalarComponents()
    { return GetNumberOfScalarComponents_21(); }

  private native void SetDataExtent_22(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetDataExtent(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetDataExtent_22(id0,id1,id2,id3,id4,id5); }

  private native void SetDataExtent_23(int id0[]);
  public void SetDataExtent(int id0[])
    { SetDataExtent_23(id0); }

  private native int[]  GetDataExtent_24();
  public int[]  GetDataExtent()
    { return GetDataExtent_24(); }

  private native void SetDataVOI_25(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetDataVOI(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetDataVOI_25(id0,id1,id2,id3,id4,id5); }

  private native void SetDataVOI_26(int id0[]);
  public void SetDataVOI(int id0[])
    { SetDataVOI_26(id0); }

  private native int[]  GetDataVOI_27();
  public int[]  GetDataVOI()
    { return GetDataVOI_27(); }

  private native void SetFileDimensionality_28(int id0);
  public void SetFileDimensionality(int id0)
    { SetFileDimensionality_28(id0); }

  private native int GetFileDimensionality_29();
  public int GetFileDimensionality()
    { return GetFileDimensionality_29(); }

  private native void SetDataSpacing_30(double id0,double id1,double id2);
  public void SetDataSpacing(double id0,double id1,double id2)
    { SetDataSpacing_30(id0,id1,id2); }

  private native void SetDataSpacing_31(double id0[]);
  public void SetDataSpacing(double id0[])
    { SetDataSpacing_31(id0); }

  private native double[] GetDataSpacing_32();
  public double[] GetDataSpacing()
    { return GetDataSpacing_32(); }

  private native void SetDataOrigin_33(double id0,double id1,double id2);
  public void SetDataOrigin(double id0,double id1,double id2)
    { SetDataOrigin_33(id0,id1,id2); }

  private native void SetDataOrigin_34(double id0[]);
  public void SetDataOrigin(double id0[])
    { SetDataOrigin_34(id0); }

  private native double[] GetDataOrigin_35();
  public double[] GetDataOrigin()
    { return GetDataOrigin_35(); }

  private native int GetHeaderSize_36();
  public int GetHeaderSize()
    { return GetHeaderSize_36(); }

  private native int GetHeaderSize_37(int id0);
  public int GetHeaderSize(int id0)
    { return GetHeaderSize_37(id0); }

  private native void SetHeaderSize_38(int id0);
  public void SetHeaderSize(int id0)
    { SetHeaderSize_38(id0); }

  private native int GetDataMask_39();
  public int GetDataMask()
    { return GetDataMask_39(); }

  private native void SetDataMask_40(int id0);
  public void SetDataMask(int id0)
    { SetDataMask_40(id0); }

  private native void SetTransform_41(vtkTransform id0);
  public void SetTransform(vtkTransform id0)
    { SetTransform_41(id0); }

  private native vtkTransform GetTransform_42();
  public vtkTransform GetTransform()
    { return GetTransform_42(); }

  private native void SetDataByteOrderToBigEndian_43();
  public void SetDataByteOrderToBigEndian()
    { SetDataByteOrderToBigEndian_43(); }

  private native void SetDataByteOrderToLittleEndian_44();
  public void SetDataByteOrderToLittleEndian()
    { SetDataByteOrderToLittleEndian_44(); }

  private native int GetDataByteOrder_45();
  public int GetDataByteOrder()
    { return GetDataByteOrder_45(); }

  private native void SetDataByteOrder_46(int id0);
  public void SetDataByteOrder(int id0)
    { SetDataByteOrder_46(id0); }

  private native String GetDataByteOrderAsString_47();
  public String GetDataByteOrderAsString()
    { return GetDataByteOrderAsString_47(); }

  private native void SetSwapBytes_48(int id0);
  public void SetSwapBytes(int id0)
    { SetSwapBytes_48(id0); }

  private native int GetSwapBytes_49();
  public int GetSwapBytes()
    { return GetSwapBytes_49(); }

  private native void SwapBytesOn_50();
  public void SwapBytesOn()
    { SwapBytesOn_50(); }

  private native void SwapBytesOff_51();
  public void SwapBytesOff()
    { SwapBytesOff_51(); }

  private native void ComputeInverseTransformedExtent_52(int id0[],int id1[]);
  public void ComputeInverseTransformedExtent(int id0[],int id1[])
    { ComputeInverseTransformedExtent_52(id0,id1); }

  private native void ComputeInverseTransformedIncrements_53(int id0[],int id1[]);
  public void ComputeInverseTransformedIncrements(int id0[],int id1[])
    { ComputeInverseTransformedIncrements_53(id0,id1); }

  private native void OpenFile_54();
  public void OpenFile()
    { OpenFile_54(); }

  private native void OpenAndSeekFile_55(int id0[],int id1);
  public void OpenAndSeekFile(int id0[],int id1)
    { OpenAndSeekFile_55(id0,id1); }

  private native void FileLowerLeftOn_56();
  public void FileLowerLeftOn()
    { FileLowerLeftOn_56(); }

  private native void FileLowerLeftOff_57();
  public void FileLowerLeftOff()
    { FileLowerLeftOff_57(); }

  private native int GetFileLowerLeft_58();
  public int GetFileLowerLeft()
    { return GetFileLowerLeft_58(); }

  private native void SetFileLowerLeft_59(int id0);
  public void SetFileLowerLeft(int id0)
    { SetFileLowerLeft_59(id0); }

  private native void ComputeInternalFileName_60(int id0);
  public void ComputeInternalFileName(int id0)
    { ComputeInternalFileName_60(id0); }

  private native String GetInternalFileName_61();
  public String GetInternalFileName()
    { return GetInternalFileName_61(); }

  public vtkImageReader() { super(); };

  protected vtkImageReader(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
