// java wrapper for vtkInteractorStyle object
//

package vtk;
import vtk.*;

public class vtkInteractorStyle extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetInteractor_2(vtkRenderWindowInteractor id0);
  public void SetInteractor(vtkRenderWindowInteractor id0)
    { SetInteractor_2(id0); }

  private native vtkRenderWindowInteractor GetInteractor_3();
  public vtkRenderWindowInteractor GetInteractor()
    { return GetInteractor_3(); }

  private native void SetAutoAdjustCameraClippingRange_4(int id0);
  public void SetAutoAdjustCameraClippingRange(int id0)
    { SetAutoAdjustCameraClippingRange_4(id0); }

  private native int GetAutoAdjustCameraClippingRangeMinValue_5();
  public int GetAutoAdjustCameraClippingRangeMinValue()
    { return GetAutoAdjustCameraClippingRangeMinValue_5(); }

  private native int GetAutoAdjustCameraClippingRangeMaxValue_6();
  public int GetAutoAdjustCameraClippingRangeMaxValue()
    { return GetAutoAdjustCameraClippingRangeMaxValue_6(); }

  private native int GetAutoAdjustCameraClippingRange_7();
  public int GetAutoAdjustCameraClippingRange()
    { return GetAutoAdjustCameraClippingRange_7(); }

  private native void AutoAdjustCameraClippingRangeOn_8();
  public void AutoAdjustCameraClippingRangeOn()
    { AutoAdjustCameraClippingRangeOn_8(); }

  private native void AutoAdjustCameraClippingRangeOff_9();
  public void AutoAdjustCameraClippingRangeOff()
    { AutoAdjustCameraClippingRangeOff_9(); }

  private native void FindPokedCamera_10(int id0,int id1);
  public void FindPokedCamera(int id0,int id1)
    { FindPokedCamera_10(id0,id1); }

  private native void FindPokedRenderer_11(int id0,int id1);
  public void FindPokedRenderer(int id0,int id1)
    { FindPokedRenderer_11(id0,id1); }

  private native void HighlightProp_12(vtkProp id0);
  public void HighlightProp(vtkProp id0)
    { HighlightProp_12(id0); }

  private native void HighlightActor2D_13(vtkActor2D id0);
  public void HighlightActor2D(vtkActor2D id0)
    { HighlightActor2D_13(id0); }

  private native void HighlightProp3D_14(vtkProp3D id0);
  public void HighlightProp3D(vtkProp3D id0)
    { HighlightProp3D_14(id0); }

  private native void SetPickColor_15(double id0,double id1,double id2);
  public void SetPickColor(double id0,double id1,double id2)
    { SetPickColor_15(id0,id1,id2); }

  private native void SetPickColor_16(double id0[]);
  public void SetPickColor(double id0[])
    { SetPickColor_16(id0); }

  private native double[] GetPickColor_17();
  public double[] GetPickColor()
    { return GetPickColor_17(); }

  private native void OnMouseMove_18(int id0,int id1,int id2,int id3);
  public void OnMouseMove(int id0,int id1,int id2,int id3)
    { OnMouseMove_18(id0,id1,id2,id3); }

  private native void OnLeftButtonDown_19(int id0,int id1,int id2,int id3);
  public void OnLeftButtonDown(int id0,int id1,int id2,int id3)
    { OnLeftButtonDown_19(id0,id1,id2,id3); }

  private native void OnLeftButtonUp_20(int id0,int id1,int id2,int id3);
  public void OnLeftButtonUp(int id0,int id1,int id2,int id3)
    { OnLeftButtonUp_20(id0,id1,id2,id3); }

  private native void OnMiddleButtonDown_21(int id0,int id1,int id2,int id3);
  public void OnMiddleButtonDown(int id0,int id1,int id2,int id3)
    { OnMiddleButtonDown_21(id0,id1,id2,id3); }

  private native void OnMiddleButtonUp_22(int id0,int id1,int id2,int id3);
  public void OnMiddleButtonUp(int id0,int id1,int id2,int id3)
    { OnMiddleButtonUp_22(id0,id1,id2,id3); }

  private native void OnRightButtonDown_23(int id0,int id1,int id2,int id3);
  public void OnRightButtonDown(int id0,int id1,int id2,int id3)
    { OnRightButtonDown_23(id0,id1,id2,id3); }

  private native void OnRightButtonUp_24(int id0,int id1,int id2,int id3);
  public void OnRightButtonUp(int id0,int id1,int id2,int id3)
    { OnRightButtonUp_24(id0,id1,id2,id3); }

  private native void OnChar_25(int id0,int id1,char id2,int id3);
  public void OnChar(int id0,int id1,char id2,int id3)
    { OnChar_25(id0,id1,id2,id3); }

  private native void OnKeyDown_26(int id0,int id1,char id2,int id3);
  public void OnKeyDown(int id0,int id1,char id2,int id3)
    { OnKeyDown_26(id0,id1,id2,id3); }

  private native void OnKeyUp_27(int id0,int id1,char id2,int id3);
  public void OnKeyUp(int id0,int id1,char id2,int id3)
    { OnKeyUp_27(id0,id1,id2,id3); }

  private native void OnKeyPress_28(int id0,int id1,char id2,String id3,int id4);
  public void OnKeyPress(int id0,int id1,char id2,String id3,int id4)
    { OnKeyPress_28(id0,id1,id2,id3,id4); }

  private native void OnKeyRelease_29(int id0,int id1,char id2,String id3,int id4);
  public void OnKeyRelease(int id0,int id1,char id2,String id3,int id4)
    { OnKeyRelease_29(id0,id1,id2,id3,id4); }

  private native void OnConfigure_30(int id0,int id1);
  public void OnConfigure(int id0,int id1)
    { OnConfigure_30(id0,id1); }

  private native void OnEnter_31(int id0,int id1,int id2,int id3);
  public void OnEnter(int id0,int id1,int id2,int id3)
    { OnEnter_31(id0,id1,id2,id3); }

  private native void OnLeave_32(int id0,int id1,int id2,int id3);
  public void OnLeave(int id0,int id1,int id2,int id3)
    { OnLeave_32(id0,id1,id2,id3); }

  private native void OnTimer_33();
  public void OnTimer()
    { OnTimer_33(); }

  private native void SetLeftButtonPressMethod_34(Object id0, String id1);
  public void SetLeftButtonPressMethod(Object id0, String id1)
    { SetLeftButtonPressMethod_34(id0,id1); }

  private native void SetLeftButtonReleaseMethod_35(Object id0, String id1);
  public void SetLeftButtonReleaseMethod(Object id0, String id1)
    { SetLeftButtonReleaseMethod_35(id0,id1); }

  private native void SetMiddleButtonPressMethod_36(Object id0, String id1);
  public void SetMiddleButtonPressMethod(Object id0, String id1)
    { SetMiddleButtonPressMethod_36(id0,id1); }

  private native void SetMiddleButtonReleaseMethod_37(Object id0, String id1);
  public void SetMiddleButtonReleaseMethod(Object id0, String id1)
    { SetMiddleButtonReleaseMethod_37(id0,id1); }

  private native void SetRightButtonPressMethod_38(Object id0, String id1);
  public void SetRightButtonPressMethod(Object id0, String id1)
    { SetRightButtonPressMethod_38(id0,id1); }

  private native void SetRightButtonReleaseMethod_39(Object id0, String id1);
  public void SetRightButtonReleaseMethod(Object id0, String id1)
    { SetRightButtonReleaseMethod_39(id0,id1); }

  public vtkInteractorStyle() { super(); };

  protected vtkInteractorStyle(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
