// java wrapper for vtkLODProp3D object
//

package vtk;
import vtk.*;

public class vtkLODProp3D extends vtkProp3D
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native double[] GetBounds_2();
  public double[] GetBounds()
    { return GetBounds_2(); }

  private native void GetBounds_3(double id0[]);
  public void GetBounds(double id0[])
    { GetBounds_3(id0); }

  private native int AddLOD_4(vtkMapper id0,vtkProperty id1,vtkProperty id2,vtkTexture id3,double id4);
  public int AddLOD(vtkMapper id0,vtkProperty id1,vtkProperty id2,vtkTexture id3,double id4)
    { return AddLOD_4(id0,id1,id2,id3,id4); }

  private native int AddLOD_5(vtkMapper id0,vtkProperty id1,vtkTexture id2,double id3);
  public int AddLOD(vtkMapper id0,vtkProperty id1,vtkTexture id2,double id3)
    { return AddLOD_5(id0,id1,id2,id3); }

  private native int AddLOD_6(vtkMapper id0,vtkProperty id1,vtkProperty id2,double id3);
  public int AddLOD(vtkMapper id0,vtkProperty id1,vtkProperty id2,double id3)
    { return AddLOD_6(id0,id1,id2,id3); }

  private native int AddLOD_7(vtkMapper id0,vtkProperty id1,double id2);
  public int AddLOD(vtkMapper id0,vtkProperty id1,double id2)
    { return AddLOD_7(id0,id1,id2); }

  private native int AddLOD_8(vtkMapper id0,vtkTexture id1,double id2);
  public int AddLOD(vtkMapper id0,vtkTexture id1,double id2)
    { return AddLOD_8(id0,id1,id2); }

  private native int AddLOD_9(vtkMapper id0,double id1);
  public int AddLOD(vtkMapper id0,double id1)
    { return AddLOD_9(id0,id1); }

  private native int AddLOD_10(vtkVolumeMapper id0,vtkVolumeProperty id1,double id2);
  public int AddLOD(vtkVolumeMapper id0,vtkVolumeProperty id1,double id2)
    { return AddLOD_10(id0,id1,id2); }

  private native int AddLOD_11(vtkVolumeMapper id0,double id1);
  public int AddLOD(vtkVolumeMapper id0,double id1)
    { return AddLOD_11(id0,id1); }

  private native void RemoveLOD_12(int id0);
  public void RemoveLOD(int id0)
    { RemoveLOD_12(id0); }

  private native void SetLODProperty_13(int id0,vtkProperty id1);
  public void SetLODProperty(int id0,vtkProperty id1)
    { SetLODProperty_13(id0,id1); }

  private native void SetLODProperty_14(int id0,vtkVolumeProperty id1);
  public void SetLODProperty(int id0,vtkVolumeProperty id1)
    { SetLODProperty_14(id0,id1); }

  private native void SetLODMapper_15(int id0,vtkMapper id1);
  public void SetLODMapper(int id0,vtkMapper id1)
    { SetLODMapper_15(id0,id1); }

  private native void SetLODMapper_16(int id0,vtkVolumeMapper id1);
  public void SetLODMapper(int id0,vtkVolumeMapper id1)
    { SetLODMapper_16(id0,id1); }

  private native vtkAbstractMapper3D GetLODMapper_17(int id0);
  public vtkAbstractMapper3D GetLODMapper(int id0)
    { return GetLODMapper_17(id0); }

  private native void SetLODBackfaceProperty_18(int id0,vtkProperty id1);
  public void SetLODBackfaceProperty(int id0,vtkProperty id1)
    { SetLODBackfaceProperty_18(id0,id1); }

  private native void SetLODTexture_19(int id0,vtkTexture id1);
  public void SetLODTexture(int id0,vtkTexture id1)
    { SetLODTexture_19(id0,id1); }

  private native void EnableLOD_20(int id0);
  public void EnableLOD(int id0)
    { EnableLOD_20(id0); }

  private native void DisableLOD_21(int id0);
  public void DisableLOD(int id0)
    { DisableLOD_21(id0); }

  private native void SetLODLevel_22(int id0,double id1);
  public void SetLODLevel(int id0,double id1)
    { SetLODLevel_22(id0,id1); }

  private native double GetLODLevel_23(int id0);
  public double GetLODLevel(int id0)
    { return GetLODLevel_23(id0); }

  private native double GetLODIndexLevel_24(int id0);
  public double GetLODIndexLevel(int id0)
    { return GetLODIndexLevel_24(id0); }

  private native double GetLODEstimatedRenderTime_25(int id0);
  public double GetLODEstimatedRenderTime(int id0)
    { return GetLODEstimatedRenderTime_25(id0); }

  private native double GetLODIndexEstimatedRenderTime_26(int id0);
  public double GetLODIndexEstimatedRenderTime(int id0)
    { return GetLODIndexEstimatedRenderTime_26(id0); }

  private native void SetAutomaticLODSelection_27(int id0);
  public void SetAutomaticLODSelection(int id0)
    { SetAutomaticLODSelection_27(id0); }

  private native int GetAutomaticLODSelectionMinValue_28();
  public int GetAutomaticLODSelectionMinValue()
    { return GetAutomaticLODSelectionMinValue_28(); }

  private native int GetAutomaticLODSelectionMaxValue_29();
  public int GetAutomaticLODSelectionMaxValue()
    { return GetAutomaticLODSelectionMaxValue_29(); }

  private native int GetAutomaticLODSelection_30();
  public int GetAutomaticLODSelection()
    { return GetAutomaticLODSelection_30(); }

  private native void AutomaticLODSelectionOn_31();
  public void AutomaticLODSelectionOn()
    { AutomaticLODSelectionOn_31(); }

  private native void AutomaticLODSelectionOff_32();
  public void AutomaticLODSelectionOff()
    { AutomaticLODSelectionOff_32(); }

  private native void SetSelectedLODID_33(int id0);
  public void SetSelectedLODID(int id0)
    { SetSelectedLODID_33(id0); }

  private native int GetSelectedLODID_34();
  public int GetSelectedLODID()
    { return GetSelectedLODID_34(); }

  private native int GetLastRenderedLODID_35();
  public int GetLastRenderedLODID()
    { return GetLastRenderedLODID_35(); }

  private native int GetPickLODID_36();
  public int GetPickLODID()
    { return GetPickLODID_36(); }

  private native void GetActors_37(vtkPropCollection id0);
  public void GetActors(vtkPropCollection id0)
    { GetActors_37(id0); }

  private native void SetPickMethod_38(Object id0, String id1);
  public void SetPickMethod(Object id0, String id1)
    { SetPickMethod_38(id0,id1); }

  private native void SetSelectedPickLODID_39(int id0);
  public void SetSelectedPickLODID(int id0)
    { SetSelectedPickLODID_39(id0); }

  private native int GetSelectedPickLODID_40();
  public int GetSelectedPickLODID()
    { return GetSelectedPickLODID_40(); }

  private native void SetAutomaticPickLODSelection_41(int id0);
  public void SetAutomaticPickLODSelection(int id0)
    { SetAutomaticPickLODSelection_41(id0); }

  private native int GetAutomaticPickLODSelectionMinValue_42();
  public int GetAutomaticPickLODSelectionMinValue()
    { return GetAutomaticPickLODSelectionMinValue_42(); }

  private native int GetAutomaticPickLODSelectionMaxValue_43();
  public int GetAutomaticPickLODSelectionMaxValue()
    { return GetAutomaticPickLODSelectionMaxValue_43(); }

  private native int GetAutomaticPickLODSelection_44();
  public int GetAutomaticPickLODSelection()
    { return GetAutomaticPickLODSelection_44(); }

  private native void AutomaticPickLODSelectionOn_45();
  public void AutomaticPickLODSelectionOn()
    { AutomaticPickLODSelectionOn_45(); }

  private native void AutomaticPickLODSelectionOff_46();
  public void AutomaticPickLODSelectionOff()
    { AutomaticPickLODSelectionOff_46(); }

  private native void ShallowCopy_47(vtkProp id0);
  public void ShallowCopy(vtkProp id0)
    { ShallowCopy_47(id0); }

  public vtkLODProp3D() { super(); };

  protected vtkLODProp3D(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
