// java wrapper for vtkLabeledDataMapper object
//

package vtk;
import vtk.*;

public class vtkLabeledDataMapper extends vtkMapper2D
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void RenderOpaqueGeometry_2(vtkViewport id0,vtkActor2D id1);
  public void RenderOpaqueGeometry(vtkViewport id0,vtkActor2D id1)
    { RenderOpaqueGeometry_2(id0,id1); }

  private native void RenderOverlay_3(vtkViewport id0,vtkActor2D id1);
  public void RenderOverlay(vtkViewport id0,vtkActor2D id1)
    { RenderOverlay_3(id0,id1); }

  private native void SetInput_4(vtkDataSet id0);
  public void SetInput(vtkDataSet id0)
    { SetInput_4(id0); }

  private native vtkDataSet GetInput_5();
  public vtkDataSet GetInput()
    { return GetInput_5(); }

  private native void ReleaseGraphicsResources_6(vtkWindow id0);
  public void ReleaseGraphicsResources(vtkWindow id0)
    { ReleaseGraphicsResources_6(id0); }

  private native void SetLabelMode_7(int id0);
  public void SetLabelMode(int id0)
    { SetLabelMode_7(id0); }

  private native int GetLabelMode_8();
  public int GetLabelMode()
    { return GetLabelMode_8(); }

  private native void SetLabelModeToLabelIds_9();
  public void SetLabelModeToLabelIds()
    { SetLabelModeToLabelIds_9(); }

  private native void SetLabelModeToLabelScalars_10();
  public void SetLabelModeToLabelScalars()
    { SetLabelModeToLabelScalars_10(); }

  private native void SetLabelModeToLabelVectors_11();
  public void SetLabelModeToLabelVectors()
    { SetLabelModeToLabelVectors_11(); }

  private native void SetLabelModeToLabelNormals_12();
  public void SetLabelModeToLabelNormals()
    { SetLabelModeToLabelNormals_12(); }

  private native void SetLabelModeToLabelTCoords_13();
  public void SetLabelModeToLabelTCoords()
    { SetLabelModeToLabelTCoords_13(); }

  private native void SetLabelModeToLabelTensors_14();
  public void SetLabelModeToLabelTensors()
    { SetLabelModeToLabelTensors_14(); }

  private native void SetLabelModeToLabelFieldData_15();
  public void SetLabelModeToLabelFieldData()
    { SetLabelModeToLabelFieldData_15(); }

  private native void SetFontSize_16(int id0);
  public void SetFontSize(int id0)
    { SetFontSize_16(id0); }

  private native int GetFontSizeMinValue_17();
  public int GetFontSizeMinValue()
    { return GetFontSizeMinValue_17(); }

  private native int GetFontSizeMaxValue_18();
  public int GetFontSizeMaxValue()
    { return GetFontSizeMaxValue_18(); }

  private native int GetFontSize_19();
  public int GetFontSize()
    { return GetFontSize_19(); }

  private native void SetBold_20(int id0);
  public void SetBold(int id0)
    { SetBold_20(id0); }

  private native int GetBold_21();
  public int GetBold()
    { return GetBold_21(); }

  private native void BoldOn_22();
  public void BoldOn()
    { BoldOn_22(); }

  private native void BoldOff_23();
  public void BoldOff()
    { BoldOff_23(); }

  private native void SetItalic_24(int id0);
  public void SetItalic(int id0)
    { SetItalic_24(id0); }

  private native int GetItalic_25();
  public int GetItalic()
    { return GetItalic_25(); }

  private native void ItalicOn_26();
  public void ItalicOn()
    { ItalicOn_26(); }

  private native void ItalicOff_27();
  public void ItalicOff()
    { ItalicOff_27(); }

  private native void SetShadow_28(int id0);
  public void SetShadow(int id0)
    { SetShadow_28(id0); }

  private native int GetShadow_29();
  public int GetShadow()
    { return GetShadow_29(); }

  private native void ShadowOn_30();
  public void ShadowOn()
    { ShadowOn_30(); }

  private native void ShadowOff_31();
  public void ShadowOff()
    { ShadowOff_31(); }

  private native void SetFontFamily_32(int id0);
  public void SetFontFamily(int id0)
    { SetFontFamily_32(id0); }

  private native int GetFontFamily_33();
  public int GetFontFamily()
    { return GetFontFamily_33(); }

  private native void SetFontFamilyToArial_34();
  public void SetFontFamilyToArial()
    { SetFontFamilyToArial_34(); }

  private native void SetFontFamilyToCourier_35();
  public void SetFontFamilyToCourier()
    { SetFontFamilyToCourier_35(); }

  private native void SetFontFamilyToTimes_36();
  public void SetFontFamilyToTimes()
    { SetFontFamilyToTimes_36(); }

  private native void SetLabelFormat_37(String id0);
  public void SetLabelFormat(String id0)
    { SetLabelFormat_37(id0); }

  private native String GetLabelFormat_38();
  public String GetLabelFormat()
    { return GetLabelFormat_38(); }

  private native void SetLabeledComponent_39(int id0);
  public void SetLabeledComponent(int id0)
    { SetLabeledComponent_39(id0); }

  private native int GetLabeledComponent_40();
  public int GetLabeledComponent()
    { return GetLabeledComponent_40(); }

  private native void SetFieldDataArray_41(int id0);
  public void SetFieldDataArray(int id0)
    { SetFieldDataArray_41(id0); }

  private native int GetFieldDataArrayMinValue_42();
  public int GetFieldDataArrayMinValue()
    { return GetFieldDataArrayMinValue_42(); }

  private native int GetFieldDataArrayMaxValue_43();
  public int GetFieldDataArrayMaxValue()
    { return GetFieldDataArrayMaxValue_43(); }

  private native int GetFieldDataArray_44();
  public int GetFieldDataArray()
    { return GetFieldDataArray_44(); }

  public vtkLabeledDataMapper() { super(); };

  protected vtkLabeledDataMapper(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
