// java wrapper for vtkLookupTable object
//

package vtk;
import vtk.*;

public class vtkLookupTable extends vtkScalarsToColors
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native int Allocate_2(int id0,int id1);
  public int Allocate(int id0,int id1)
    { return Allocate_2(id0,id1); }

  private native void Build_3();
  public void Build()
    { Build_3(); }

  private native void SetRamp_4(int id0);
  public void SetRamp(int id0)
    { SetRamp_4(id0); }

  private native void SetRampToLinear_5();
  public void SetRampToLinear()
    { SetRampToLinear_5(); }

  private native void SetRampToSCurve_6();
  public void SetRampToSCurve()
    { SetRampToSCurve_6(); }

  private native int GetRamp_7();
  public int GetRamp()
    { return GetRamp_7(); }

  private native void SetScale_8(int id0);
  public void SetScale(int id0)
    { SetScale_8(id0); }

  private native void SetScaleToLinear_9();
  public void SetScaleToLinear()
    { SetScaleToLinear_9(); }

  private native void SetScaleToLog10_10();
  public void SetScaleToLog10()
    { SetScaleToLog10_10(); }

  private native int GetScale_11();
  public int GetScale()
    { return GetScale_11(); }

  private native void SetTableRange_12(double id0[]);
  public void SetTableRange(double id0[])
    { SetTableRange_12(id0); }

  private native void SetTableRange_13(double id0,double id1);
  public void SetTableRange(double id0,double id1)
    { SetTableRange_13(id0,id1); }

  private native double[] GetTableRange_14();
  public double[] GetTableRange()
    { return GetTableRange_14(); }

  private native void SetHueRange_15(double id0,double id1);
  public void SetHueRange(double id0,double id1)
    { SetHueRange_15(id0,id1); }

  private native void SetHueRange_16(double id0[]);
  public void SetHueRange(double id0[])
    { SetHueRange_16(id0); }

  private native double[] GetHueRange_17();
  public double[] GetHueRange()
    { return GetHueRange_17(); }

  private native void SetSaturationRange_18(double id0,double id1);
  public void SetSaturationRange(double id0,double id1)
    { SetSaturationRange_18(id0,id1); }

  private native void SetSaturationRange_19(double id0[]);
  public void SetSaturationRange(double id0[])
    { SetSaturationRange_19(id0); }

  private native double[] GetSaturationRange_20();
  public double[] GetSaturationRange()
    { return GetSaturationRange_20(); }

  private native void SetValueRange_21(double id0,double id1);
  public void SetValueRange(double id0,double id1)
    { SetValueRange_21(id0,id1); }

  private native void SetValueRange_22(double id0[]);
  public void SetValueRange(double id0[])
    { SetValueRange_22(id0); }

  private native double[] GetValueRange_23();
  public double[] GetValueRange()
    { return GetValueRange_23(); }

  private native void SetAlphaRange_24(double id0,double id1);
  public void SetAlphaRange(double id0,double id1)
    { SetAlphaRange_24(id0,id1); }

  private native void SetAlphaRange_25(double id0[]);
  public void SetAlphaRange(double id0[])
    { SetAlphaRange_25(id0); }

  private native double[] GetAlphaRange_26();
  public double[] GetAlphaRange()
    { return GetAlphaRange_26(); }

  private native double[] GetColor_27(double id0);
  public double[] GetColor(double id0)
    { return GetColor_27(id0); }

  private native void GetColor_28(double id0,double id1[]);
  public void GetColor(double id0,double id1[])
    { GetColor_28(id0,id1); }

  private native double GetOpacity_29(double id0);
  public double GetOpacity(double id0)
    { return GetOpacity_29(id0); }

  private native void SetNumberOfTableValues_30(int id0);
  public void SetNumberOfTableValues(int id0)
    { SetNumberOfTableValues_30(id0); }

  private native int GetNumberOfTableValues_31();
  public int GetNumberOfTableValues()
    { return GetNumberOfTableValues_31(); }

  private native void SetTableValue_32(int id0,double id1[]);
  public void SetTableValue(int id0,double id1[])
    { SetTableValue_32(id0,id1); }

  private native void SetTableValue_33(int id0,double id1,double id2,double id3,double id4);
  public void SetTableValue(int id0,double id1,double id2,double id3,double id4)
    { SetTableValue_33(id0,id1,id2,id3,id4); }

  private native double[] GetTableValue_34(int id0);
  public double[] GetTableValue(int id0)
    { return GetTableValue_34(id0); }

  private native void GetTableValue_35(int id0,double id1[]);
  public void GetTableValue(int id0,double id1[])
    { GetTableValue_35(id0,id1); }

  private native void SetRange_36(double id0,double id1);
  public void SetRange(double id0,double id1)
    { SetRange_36(id0,id1); }

  private native void SetRange_37(double id0[]);
  public void SetRange(double id0[])
    { SetRange_37(id0); }

  private native void SetNumberOfColors_38(int id0);
  public void SetNumberOfColors(int id0)
    { SetNumberOfColors_38(id0); }

  private native int GetNumberOfColorsMinValue_39();
  public int GetNumberOfColorsMinValue()
    { return GetNumberOfColorsMinValue_39(); }

  private native int GetNumberOfColorsMaxValue_40();
  public int GetNumberOfColorsMaxValue()
    { return GetNumberOfColorsMaxValue_40(); }

  private native int GetNumberOfColors_41();
  public int GetNumberOfColors()
    { return GetNumberOfColors_41(); }

  public vtkLookupTable() { super(); };

  protected vtkLookupTable(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
