// java wrapper for vtkMapper object
//

package vtk;
import vtk.*;

public class vtkMapper extends vtkAbstractMapper3D
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void ShallowCopy_2(vtkAbstractMapper id0);
  public void ShallowCopy(vtkAbstractMapper id0)
    { ShallowCopy_2(id0); }

  private native int GetMTime_3();
  public int GetMTime()
    { return GetMTime_3(); }

  private native void Render_4(vtkRenderer id0,vtkActor id1);
  public void Render(vtkRenderer id0,vtkActor id1)
    { Render_4(id0,id1); }

  private native void ReleaseGraphicsResources_5(vtkWindow id0);
  public void ReleaseGraphicsResources(vtkWindow id0)
    { ReleaseGraphicsResources_5(id0); }

  private native void SetLookupTable_6(vtkScalarsToColors id0);
  public void SetLookupTable(vtkScalarsToColors id0)
    { SetLookupTable_6(id0); }

  private native vtkScalarsToColors GetLookupTable_7();
  public vtkScalarsToColors GetLookupTable()
    { return GetLookupTable_7(); }

  private native void CreateDefaultLookupTable_8();
  public void CreateDefaultLookupTable()
    { CreateDefaultLookupTable_8(); }

  private native void SetScalarVisibility_9(int id0);
  public void SetScalarVisibility(int id0)
    { SetScalarVisibility_9(id0); }

  private native int GetScalarVisibility_10();
  public int GetScalarVisibility()
    { return GetScalarVisibility_10(); }

  private native void ScalarVisibilityOn_11();
  public void ScalarVisibilityOn()
    { ScalarVisibilityOn_11(); }

  private native void ScalarVisibilityOff_12();
  public void ScalarVisibilityOff()
    { ScalarVisibilityOff_12(); }

  private native void SetColorMode_13(int id0);
  public void SetColorMode(int id0)
    { SetColorMode_13(id0); }

  private native int GetColorMode_14();
  public int GetColorMode()
    { return GetColorMode_14(); }

  private native void SetColorModeToDefault_15();
  public void SetColorModeToDefault()
    { SetColorModeToDefault_15(); }

  private native void SetColorModeToMapScalars_16();
  public void SetColorModeToMapScalars()
    { SetColorModeToMapScalars_16(); }

  private native String GetColorModeAsString_17();
  public String GetColorModeAsString()
    { return GetColorModeAsString_17(); }

  private native void SetUseLookupTableScalarRange_18(int id0);
  public void SetUseLookupTableScalarRange(int id0)
    { SetUseLookupTableScalarRange_18(id0); }

  private native int GetUseLookupTableScalarRange_19();
  public int GetUseLookupTableScalarRange()
    { return GetUseLookupTableScalarRange_19(); }

  private native void UseLookupTableScalarRangeOn_20();
  public void UseLookupTableScalarRangeOn()
    { UseLookupTableScalarRangeOn_20(); }

  private native void UseLookupTableScalarRangeOff_21();
  public void UseLookupTableScalarRangeOff()
    { UseLookupTableScalarRangeOff_21(); }

  private native void SetScalarRange_22(double id0,double id1);
  public void SetScalarRange(double id0,double id1)
    { SetScalarRange_22(id0,id1); }

  private native void SetScalarRange_23(double id0[]);
  public void SetScalarRange(double id0[])
    { SetScalarRange_23(id0); }

  private native double[] GetScalarRange_24();
  public double[] GetScalarRange()
    { return GetScalarRange_24(); }

  private native void SetImmediateModeRendering_25(int id0);
  public void SetImmediateModeRendering(int id0)
    { SetImmediateModeRendering_25(id0); }

  private native int GetImmediateModeRendering_26();
  public int GetImmediateModeRendering()
    { return GetImmediateModeRendering_26(); }

  private native void ImmediateModeRenderingOn_27();
  public void ImmediateModeRenderingOn()
    { ImmediateModeRenderingOn_27(); }

  private native void ImmediateModeRenderingOff_28();
  public void ImmediateModeRenderingOff()
    { ImmediateModeRenderingOff_28(); }

  private native void SetGlobalImmediateModeRendering_29(int id0);
  public void SetGlobalImmediateModeRendering(int id0)
    { SetGlobalImmediateModeRendering_29(id0); }

  private native void GlobalImmediateModeRenderingOn_30();
  public void GlobalImmediateModeRenderingOn()
    { GlobalImmediateModeRenderingOn_30(); }

  private native void GlobalImmediateModeRenderingOff_31();
  public void GlobalImmediateModeRenderingOff()
    { GlobalImmediateModeRenderingOff_31(); }

  private native int GetGlobalImmediateModeRendering_32();
  public int GetGlobalImmediateModeRendering()
    { return GetGlobalImmediateModeRendering_32(); }

  private native void SetScalarMode_33(int id0);
  public void SetScalarMode(int id0)
    { SetScalarMode_33(id0); }

  private native int GetScalarMode_34();
  public int GetScalarMode()
    { return GetScalarMode_34(); }

  private native void SetScalarModeToDefault_35();
  public void SetScalarModeToDefault()
    { SetScalarModeToDefault_35(); }

  private native void SetScalarModeToUsePointData_36();
  public void SetScalarModeToUsePointData()
    { SetScalarModeToUsePointData_36(); }

  private native void SetScalarModeToUseCellData_37();
  public void SetScalarModeToUseCellData()
    { SetScalarModeToUseCellData_37(); }

  private native void SetScalarModeToUsePointFieldData_38();
  public void SetScalarModeToUsePointFieldData()
    { SetScalarModeToUsePointFieldData_38(); }

  private native void SetScalarModeToUseCellFieldData_39();
  public void SetScalarModeToUseCellFieldData()
    { SetScalarModeToUseCellFieldData_39(); }

  private native void ColorByArrayComponent_40(int id0,int id1);
  public void ColorByArrayComponent(int id0,int id1)
    { ColorByArrayComponent_40(id0,id1); }

  private native void ColorByArrayComponent_41(String id0,int id1);
  public void ColorByArrayComponent(String id0,int id1)
    { ColorByArrayComponent_41(id0,id1); }

  private native String GetArrayName_42();
  public String GetArrayName()
    { return GetArrayName_42(); }

  private native int GetArrayId_43();
  public int GetArrayId()
    { return GetArrayId_43(); }

  private native int GetArrayAccessMode_44();
  public int GetArrayAccessMode()
    { return GetArrayAccessMode_44(); }

  private native int GetArrayComponent_45();
  public int GetArrayComponent()
    { return GetArrayComponent_45(); }

  private native String GetScalarModeAsString_46();
  public String GetScalarModeAsString()
    { return GetScalarModeAsString_46(); }

  private native void SetResolveCoincidentTopology_47(int id0);
  public void SetResolveCoincidentTopology(int id0)
    { SetResolveCoincidentTopology_47(id0); }

  private native int GetResolveCoincidentTopology_48();
  public int GetResolveCoincidentTopology()
    { return GetResolveCoincidentTopology_48(); }

  private native void SetResolveCoincidentTopologyToDefault_49();
  public void SetResolveCoincidentTopologyToDefault()
    { SetResolveCoincidentTopologyToDefault_49(); }

  private native void SetResolveCoincidentTopologyToOff_50();
  public void SetResolveCoincidentTopologyToOff()
    { SetResolveCoincidentTopologyToOff_50(); }

  private native void SetResolveCoincidentTopologyToPolygonOffset_51();
  public void SetResolveCoincidentTopologyToPolygonOffset()
    { SetResolveCoincidentTopologyToPolygonOffset_51(); }

  private native void SetResolveCoincidentTopologyToShiftZBuffer_52();
  public void SetResolveCoincidentTopologyToShiftZBuffer()
    { SetResolveCoincidentTopologyToShiftZBuffer_52(); }

  private native void SetResolveCoincidentTopologyPolygonOffsetParameters_53(double id0,double id1);
  public void SetResolveCoincidentTopologyPolygonOffsetParameters(double id0,double id1)
    { SetResolveCoincidentTopologyPolygonOffsetParameters_53(id0,id1); }

  private native void SetResolveCoincidentTopologyZShift_54(double id0);
  public void SetResolveCoincidentTopologyZShift(double id0)
    { SetResolveCoincidentTopologyZShift_54(id0); }

  private native double GetResolveCoincidentTopologyZShift_55();
  public double GetResolveCoincidentTopologyZShift()
    { return GetResolveCoincidentTopologyZShift_55(); }

  private native double[] GetBounds_56();
  public double[] GetBounds()
    { return GetBounds_56(); }

  private native void GetBounds_57(double id0[]);
  public void GetBounds(double id0[])
    { GetBounds_57(id0); }

  private native void SetRenderTime_58(double id0);
  public void SetRenderTime(double id0)
    { SetRenderTime_58(id0); }

  private native double GetRenderTime_59();
  public double GetRenderTime()
    { return GetRenderTime_59(); }

  private native vtkDataSet GetInputAsDataSet_60();
  public vtkDataSet GetInputAsDataSet()
    { return GetInputAsDataSet_60(); }

  private native vtkUnsignedCharArray MapScalars_61(double id0);
  public vtkUnsignedCharArray MapScalars(double id0)
    { return MapScalars_61(id0); }

  private native void Update_62();
  public void Update()
    { Update_62(); }

  public vtkMapper() { super(); };

  protected vtkMapper(int dmy) { super(dmy); };
  protected native void   VTKCastInit();

}
