// java wrapper for vtkPerspectiveTransform object
//

package vtk;
import vtk.*;

public class vtkPerspectiveTransform extends vtkHomogeneousTransform
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void Identity_2();
  public void Identity()
    { Identity_2(); }

  private native void Inverse_3();
  public void Inverse()
    { Inverse_3(); }

  private native void AdjustViewport_4(double id0,double id1,double id2,double id3,double id4,double id5,double id6,double id7);
  public void AdjustViewport(double id0,double id1,double id2,double id3,double id4,double id5,double id6,double id7)
    { AdjustViewport_4(id0,id1,id2,id3,id4,id5,id6,id7); }

  private native void AdjustZBuffer_5(double id0,double id1,double id2,double id3);
  public void AdjustZBuffer(double id0,double id1,double id2,double id3)
    { AdjustZBuffer_5(id0,id1,id2,id3); }

  private native void Ortho_6(double id0,double id1,double id2,double id3,double id4,double id5);
  public void Ortho(double id0,double id1,double id2,double id3,double id4,double id5)
    { Ortho_6(id0,id1,id2,id3,id4,id5); }

  private native void Frustum_7(double id0,double id1,double id2,double id3,double id4,double id5);
  public void Frustum(double id0,double id1,double id2,double id3,double id4,double id5)
    { Frustum_7(id0,id1,id2,id3,id4,id5); }

  private native void Perspective_8(double id0,double id1,double id2,double id3);
  public void Perspective(double id0,double id1,double id2,double id3)
    { Perspective_8(id0,id1,id2,id3); }

  private native void Shear_9(double id0,double id1,double id2);
  public void Shear(double id0,double id1,double id2)
    { Shear_9(id0,id1,id2); }

  private native void Stereo_10(double id0,double id1);
  public void Stereo(double id0,double id1)
    { Stereo_10(id0,id1); }

  private native void SetupCamera_11(double id0[],double id1[],double id2[]);
  public void SetupCamera(double id0[],double id1[],double id2[])
    { SetupCamera_11(id0,id1,id2); }

  private native void Translate_12(double id0,double id1,double id2);
  public void Translate(double id0,double id1,double id2)
    { Translate_12(id0,id1,id2); }

  private native void Translate_13(double id0[]);
  public void Translate(double id0[])
    { Translate_13(id0); }

  private native void RotateWXYZ_14(double id0,double id1,double id2,double id3);
  public void RotateWXYZ(double id0,double id1,double id2,double id3)
    { RotateWXYZ_14(id0,id1,id2,id3); }

  private native void RotateWXYZ_15(double id0,double id1[]);
  public void RotateWXYZ(double id0,double id1[])
    { RotateWXYZ_15(id0,id1); }

  private native void RotateX_16(double id0);
  public void RotateX(double id0)
    { RotateX_16(id0); }

  private native void RotateY_17(double id0);
  public void RotateY(double id0)
    { RotateY_17(id0); }

  private native void RotateZ_18(double id0);
  public void RotateZ(double id0)
    { RotateZ_18(id0); }

  private native void Scale_19(double id0,double id1,double id2);
  public void Scale(double id0,double id1,double id2)
    { Scale_19(id0,id1,id2); }

  private native void Scale_20(double id0[]);
  public void Scale(double id0[])
    { Scale_20(id0); }

  private native void SetMatrix_21(vtkMatrix4x4 id0);
  public void SetMatrix(vtkMatrix4x4 id0)
    { SetMatrix_21(id0); }

  private native void SetMatrix_22(double id0[]);
  public void SetMatrix(double id0[])
    { SetMatrix_22(id0); }

  private native void Concatenate_23(vtkMatrix4x4 id0);
  public void Concatenate(vtkMatrix4x4 id0)
    { Concatenate_23(id0); }

  private native void Concatenate_24(double id0[]);
  public void Concatenate(double id0[])
    { Concatenate_24(id0); }

  private native void Concatenate_25(vtkHomogeneousTransform id0);
  public void Concatenate(vtkHomogeneousTransform id0)
    { Concatenate_25(id0); }

  private native void PreMultiply_26();
  public void PreMultiply()
    { PreMultiply_26(); }

  private native void PostMultiply_27();
  public void PostMultiply()
    { PostMultiply_27(); }

  private native int GetNumberOfConcatenatedTransforms_28();
  public int GetNumberOfConcatenatedTransforms()
    { return GetNumberOfConcatenatedTransforms_28(); }

  private native vtkHomogeneousTransform GetConcatenatedTransform_29(int id0);
  public vtkHomogeneousTransform GetConcatenatedTransform(int id0)
    { return GetConcatenatedTransform_29(id0); }

  private native void SetInput_30(vtkHomogeneousTransform id0);
  public void SetInput(vtkHomogeneousTransform id0)
    { SetInput_30(id0); }

  private native vtkHomogeneousTransform GetInput_31();
  public vtkHomogeneousTransform GetInput()
    { return GetInput_31(); }

  private native int GetInverseFlag_32();
  public int GetInverseFlag()
    { return GetInverseFlag_32(); }

  private native void Push_33();
  public void Push()
    { Push_33(); }

  private native void Pop_34();
  public void Pop()
    { Pop_34(); }

  private native vtkAbstractTransform MakeTransform_35();
  public vtkAbstractTransform MakeTransform()
    { return MakeTransform_35(); }

  private native int CircuitCheck_36(vtkAbstractTransform id0);
  public int CircuitCheck(vtkAbstractTransform id0)
    { return CircuitCheck_36(id0); }

  private native int GetMTime_37();
  public int GetMTime()
    { return GetMTime_37(); }

  public vtkPerspectiveTransform() { super(); };

  protected vtkPerspectiveTransform(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
