// java wrapper for vtkPolyData object
//

package vtk;
import vtk.*;

public class vtkPolyData extends vtkPointSet
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native vtkDataObject MakeObject_2();
  public vtkDataObject MakeObject()
    { return MakeObject_2(); }

  private native int GetDataObjectType_3();
  public int GetDataObjectType()
    { return GetDataObjectType_3(); }

  private native void CopyStructure_4(vtkDataSet id0);
  public void CopyStructure(vtkDataSet id0)
    { CopyStructure_4(id0); }

  private native int GetNumberOfCells_5();
  public int GetNumberOfCells()
    { return GetNumberOfCells_5(); }

  private native vtkCell GetCell_6(int id0);
  public vtkCell GetCell(int id0)
    { return GetCell_6(id0); }

  private native void GetCell_7(int id0,vtkGenericCell id1);
  public void GetCell(int id0,vtkGenericCell id1)
    { GetCell_7(id0,id1); }

  private native int GetCellType_8(int id0);
  public int GetCellType(int id0)
    { return GetCellType_8(id0); }

  private native void GetCellBounds_9(int id0,double id1[]);
  public void GetCellBounds(int id0,double id1[])
    { GetCellBounds_9(id0,id1); }

  private native void GetCellNeighbors_10(int id0,vtkIdList id1,vtkIdList id2);
  public void GetCellNeighbors(int id0,vtkIdList id1,vtkIdList id2)
    { GetCellNeighbors_10(id0,id1,id2); }

  private native void CopyCells_11(vtkPolyData id0,vtkIdList id1,vtkPointLocator id2);
  public void CopyCells(vtkPolyData id0,vtkIdList id1,vtkPointLocator id2)
    { CopyCells_11(id0,id1,id2); }

  private native void GetCellPoints_12(int id0,vtkIdList id1);
  public void GetCellPoints(int id0,vtkIdList id1)
    { GetCellPoints_12(id0,id1); }

  private native void GetPointCells_13(int id0,vtkIdList id1);
  public void GetPointCells(int id0,vtkIdList id1)
    { GetPointCells_13(id0,id1); }

  private native void ComputeBounds_14();
  public void ComputeBounds()
    { ComputeBounds_14(); }

  private native void Squeeze_15();
  public void Squeeze()
    { Squeeze_15(); }

  private native int GetMaxCellSize_16();
  public int GetMaxCellSize()
    { return GetMaxCellSize_16(); }

  private native void SetVerts_17(vtkCellArray id0);
  public void SetVerts(vtkCellArray id0)
    { SetVerts_17(id0); }

  private native vtkCellArray GetVerts_18();
  public vtkCellArray GetVerts()
    { return GetVerts_18(); }

  private native void SetLines_19(vtkCellArray id0);
  public void SetLines(vtkCellArray id0)
    { SetLines_19(id0); }

  private native vtkCellArray GetLines_20();
  public vtkCellArray GetLines()
    { return GetLines_20(); }

  private native void SetPolys_21(vtkCellArray id0);
  public void SetPolys(vtkCellArray id0)
    { SetPolys_21(id0); }

  private native vtkCellArray GetPolys_22();
  public vtkCellArray GetPolys()
    { return GetPolys_22(); }

  private native void SetStrips_23(vtkCellArray id0);
  public void SetStrips(vtkCellArray id0)
    { SetStrips_23(id0); }

  private native vtkCellArray GetStrips_24();
  public vtkCellArray GetStrips()
    { return GetStrips_24(); }

  private native int GetNumberOfVerts_25();
  public int GetNumberOfVerts()
    { return GetNumberOfVerts_25(); }

  private native int GetNumberOfLines_26();
  public int GetNumberOfLines()
    { return GetNumberOfLines_26(); }

  private native int GetNumberOfPolys_27();
  public int GetNumberOfPolys()
    { return GetNumberOfPolys_27(); }

  private native int GetNumberOfStrips_28();
  public int GetNumberOfStrips()
    { return GetNumberOfStrips_28(); }

  private native void Allocate_29(int id0,int id1);
  public void Allocate(int id0,int id1)
    { Allocate_29(id0,id1); }

  private native void Allocate_30(vtkPolyData id0,int id1,int id2);
  public void Allocate(vtkPolyData id0,int id1,int id2)
    { Allocate_30(id0,id1,id2); }

  private native int InsertNextCell_31(int id0,vtkIdList id1);
  public int InsertNextCell(int id0,vtkIdList id1)
    { return InsertNextCell_31(id0,id1); }

  private native void Reset_32();
  public void Reset()
    { Reset_32(); }

  private native void BuildCells_33();
  public void BuildCells()
    { BuildCells_33(); }

  private native void BuildLinks_34();
  public void BuildLinks()
    { BuildLinks_34(); }

  private native void DeleteCells_35();
  public void DeleteCells()
    { DeleteCells_35(); }

  private native void DeleteLinks_36();
  public void DeleteLinks()
    { DeleteLinks_36(); }

  private native void GetCellEdgeNeighbors_37(int id0,int id1,int id2,vtkIdList id3);
  public void GetCellEdgeNeighbors(int id0,int id1,int id2,vtkIdList id3)
    { GetCellEdgeNeighbors_37(id0,id1,id2,id3); }

  private native int IsTriangle_38(int id0,int id1,int id2);
  public int IsTriangle(int id0,int id1,int id2)
    { return IsTriangle_38(id0,id1,id2); }

  private native int IsEdge_39(int id0,int id1);
  public int IsEdge(int id0,int id1)
    { return IsEdge_39(id0,id1); }

  private native int IsPointUsedByCell_40(int id0,int id1);
  public int IsPointUsedByCell(int id0,int id1)
    { return IsPointUsedByCell_40(id0,id1); }

  private native void ReplaceCellPoint_41(int id0,int id1,int id2);
  public void ReplaceCellPoint(int id0,int id1,int id2)
    { ReplaceCellPoint_41(id0,id1,id2); }

  private native void ReverseCell_42(int id0);
  public void ReverseCell(int id0)
    { ReverseCell_42(id0); }

  private native void DeletePoint_43(int id0);
  public void DeletePoint(int id0)
    { DeletePoint_43(id0); }

  private native void DeleteCell_44(int id0);
  public void DeleteCell(int id0)
    { DeleteCell_44(id0); }

  private native int InsertNextLinkedPoint_45(double id0[],int id1);
  public int InsertNextLinkedPoint(double id0[],int id1)
    { return InsertNextLinkedPoint_45(id0,id1); }

  private native void RemoveCellReference_46(int id0);
  public void RemoveCellReference(int id0)
    { RemoveCellReference_46(id0); }

  private native void AddCellReference_47(int id0);
  public void AddCellReference(int id0)
    { AddCellReference_47(id0); }

  private native void RemoveReferenceToCell_48(int id0,int id1);
  public void RemoveReferenceToCell(int id0,int id1)
    { RemoveReferenceToCell_48(id0,id1); }

  private native void AddReferenceToCell_49(int id0,int id1);
  public void AddReferenceToCell(int id0,int id1)
    { AddReferenceToCell_49(id0,id1); }

  private native void ResizeCellList_50(int id0,int id1);
  public void ResizeCellList(int id0,int id1)
    { ResizeCellList_50(id0,id1); }

  private native void Initialize_51();
  public void Initialize()
    { Initialize_51(); }

  private native void SetUpdateExtent_52(int id0,int id1,int id2);
  public void SetUpdateExtent(int id0,int id1,int id2)
    { SetUpdateExtent_52(id0,id1,id2); }

  private native void SetUpdateExtent_53(int id0,int id1);
  public void SetUpdateExtent(int id0,int id1)
    { SetUpdateExtent_53(id0,id1); }

  private native int[]  GetUpdateExtent_54();
  public int[]  GetUpdateExtent()
    { return GetUpdateExtent_54(); }

  private native void SetUpdateExtent_55(int id0,int id1,int id2,int id3,int id4,int id5);
  public void SetUpdateExtent(int id0,int id1,int id2,int id3,int id4,int id5)
    { SetUpdateExtent_55(id0,id1,id2,id3,id4,id5); }

  private native void SetUpdateExtent_56(int id0[]);
  public void SetUpdateExtent(int id0[])
    { SetUpdateExtent_56(id0); }

  private native int GetPiece_57();
  public int GetPiece()
    { return GetPiece_57(); }

  private native int GetNumberOfPieces_58();
  public int GetNumberOfPieces()
    { return GetNumberOfPieces_58(); }

  private native int GetGhostLevel_59();
  public int GetGhostLevel()
    { return GetGhostLevel_59(); }

  private native int GetActualMemorySize_60();
  public int GetActualMemorySize()
    { return GetActualMemorySize_60(); }

  private native void ShallowCopy_61(vtkDataObject id0);
  public void ShallowCopy(vtkDataObject id0)
    { ShallowCopy_61(id0); }

  private native void DeepCopy_62(vtkDataObject id0);
  public void DeepCopy(vtkDataObject id0)
    { DeepCopy_62(id0); }

  private native void RemoveGhostCells_63(int id0);
  public void RemoveGhostCells(int id0)
    { RemoveGhostCells_63(id0); }

  public vtkPolyData() { super(); };

  protected vtkPolyData(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
