// java wrapper for vtkRenderWindowInteractor object
//

package vtk;
import vtk.*;

public class vtkRenderWindowInteractor extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void Initialize_2();
  public void Initialize()
    { Initialize_2(); }

  private native void ReInitialize_3();
  public void ReInitialize()
    { ReInitialize_3(); }

  private native void UnRegister_4(vtkObject id0);
  public void UnRegister(vtkObject id0)
    { UnRegister_4(id0); }

  private native void Start_5();
  public void Start()
    { Start_5(); }

  private native void Enable_6();
  public void Enable()
    { Enable_6(); }

  private native void Disable_7();
  public void Disable()
    { Disable_7(); }

  private native int GetEnabled_8();
  public int GetEnabled()
    { return GetEnabled_8(); }

  private native void SetRenderWindow_9(vtkRenderWindow id0);
  public void SetRenderWindow(vtkRenderWindow id0)
    { SetRenderWindow_9(id0); }

  private native vtkRenderWindow GetRenderWindow_10();
  public vtkRenderWindow GetRenderWindow()
    { return GetRenderWindow_10(); }

  private native void UpdateSize_11(int id0,int id1);
  public void UpdateSize(int id0,int id1)
    { UpdateSize_11(id0,id1); }

  private native void SetSize_12(int id0,int id1);
  public void SetSize(int id0,int id1)
    { SetSize_12(id0,id1); }

  private native void SetSize_13(int id0[]);
  public void SetSize(int id0[])
    { SetSize_13(id0); }

  private native int[]  GetSize_14();
  public int[]  GetSize()
    { return GetSize_14(); }

  private native int CreateTimer_15(int id0);
  public int CreateTimer(int id0)
    { return CreateTimer_15(id0); }

  private native int DestroyTimer_16();
  public int DestroyTimer()
    { return DestroyTimer_16(); }

  private native void TerminateApp_17();
  public void TerminateApp()
    { TerminateApp_17(); }

  private native void SetInteractorStyle_18(vtkInteractorStyle id0);
  public void SetInteractorStyle(vtkInteractorStyle id0)
    { SetInteractorStyle_18(id0); }

  private native vtkInteractorStyle GetInteractorStyle_19();
  public vtkInteractorStyle GetInteractorStyle()
    { return GetInteractorStyle_19(); }

  private native void SetLightFollowCamera_20(int id0);
  public void SetLightFollowCamera(int id0)
    { SetLightFollowCamera_20(id0); }

  private native int GetLightFollowCamera_21();
  public int GetLightFollowCamera()
    { return GetLightFollowCamera_21(); }

  private native void LightFollowCameraOn_22();
  public void LightFollowCameraOn()
    { LightFollowCameraOn_22(); }

  private native void LightFollowCameraOff_23();
  public void LightFollowCameraOff()
    { LightFollowCameraOff_23(); }

  private native void SetEventPosition_24(int id0,int id1);
  public void SetEventPosition(int id0,int id1)
    { SetEventPosition_24(id0,id1); }

  private native void SetEventPosition_25(int id0[]);
  public void SetEventPosition(int id0[])
    { SetEventPosition_25(id0); }

  private native int[]  GetEventPosition_26();
  public int[]  GetEventPosition()
    { return GetEventPosition_26(); }

  private native void SetDesiredUpdateRate_27(double id0);
  public void SetDesiredUpdateRate(double id0)
    { SetDesiredUpdateRate_27(id0); }

  private native double GetDesiredUpdateRateMinValue_28();
  public double GetDesiredUpdateRateMinValue()
    { return GetDesiredUpdateRateMinValue_28(); }

  private native double GetDesiredUpdateRateMaxValue_29();
  public double GetDesiredUpdateRateMaxValue()
    { return GetDesiredUpdateRateMaxValue_29(); }

  private native double GetDesiredUpdateRate_30();
  public double GetDesiredUpdateRate()
    { return GetDesiredUpdateRate_30(); }

  private native void SetStillUpdateRate_31(double id0);
  public void SetStillUpdateRate(double id0)
    { SetStillUpdateRate_31(id0); }

  private native double GetStillUpdateRateMinValue_32();
  public double GetStillUpdateRateMinValue()
    { return GetStillUpdateRateMinValue_32(); }

  private native double GetStillUpdateRateMaxValue_33();
  public double GetStillUpdateRateMaxValue()
    { return GetStillUpdateRateMaxValue_33(); }

  private native double GetStillUpdateRate_34();
  public double GetStillUpdateRate()
    { return GetStillUpdateRate_34(); }

  private native int GetInitialized_35();
  public int GetInitialized()
    { return GetInitialized_35(); }

  private native void SetPicker_36(vtkAbstractPicker id0);
  public void SetPicker(vtkAbstractPicker id0)
    { SetPicker_36(id0); }

  private native vtkAbstractPicker GetPicker_37();
  public vtkAbstractPicker GetPicker()
    { return GetPicker_37(); }

  private native vtkAbstractPropPicker CreateDefaultPicker_38();
  public vtkAbstractPropPicker CreateDefaultPicker()
    { return CreateDefaultPicker_38(); }

  private native void SetStartPickMethod_39(Object id0, String id1);
  public void SetStartPickMethod(Object id0, String id1)
    { SetStartPickMethod_39(id0,id1); }

  private native void SetEndPickMethod_40(Object id0, String id1);
  public void SetEndPickMethod(Object id0, String id1)
    { SetEndPickMethod_40(id0,id1); }

  private native void SetUserMethod_41(Object id0, String id1);
  public void SetUserMethod(Object id0, String id1)
    { SetUserMethod_41(id0,id1); }

  private native void SetExitMethod_42(Object id0, String id1);
  public void SetExitMethod(Object id0, String id1)
    { SetExitMethod_42(id0,id1); }

  private native void ExitCallback_43();
  public void ExitCallback()
    { ExitCallback_43(); }

  private native void UserCallback_44();
  public void UserCallback()
    { UserCallback_44(); }

  private native void StartPickCallback_45();
  public void StartPickCallback()
    { StartPickCallback_45(); }

  private native void EndPickCallback_46();
  public void EndPickCallback()
    { EndPickCallback_46(); }

  private native void HideCursor_47();
  public void HideCursor()
    { HideCursor_47(); }

  private native void ShowCursor_48();
  public void ShowCursor()
    { ShowCursor_48(); }

  private native void Render_49();
  public void Render()
    { Render_49(); }

  private native void FlyTo_50(vtkRenderer id0,double id1,double id2,double id3);
  public void FlyTo(vtkRenderer id0,double id1,double id2,double id3)
    { FlyTo_50(id0,id1,id2,id3); }

  private native void SetNumberOfFlyFrames_51(int id0);
  public void SetNumberOfFlyFrames(int id0)
    { SetNumberOfFlyFrames_51(id0); }

  private native int GetNumberOfFlyFramesMinValue_52();
  public int GetNumberOfFlyFramesMinValue()
    { return GetNumberOfFlyFramesMinValue_52(); }

  private native int GetNumberOfFlyFramesMaxValue_53();
  public int GetNumberOfFlyFramesMaxValue()
    { return GetNumberOfFlyFramesMaxValue_53(); }

  private native int GetNumberOfFlyFrames_54();
  public int GetNumberOfFlyFrames()
    { return GetNumberOfFlyFrames_54(); }

  private native void SetDolly_55(double id0);
  public void SetDolly(double id0)
    { SetDolly_55(id0); }

  private native double GetDolly_56();
  public double GetDolly()
    { return GetDolly_56(); }

  public vtkRenderWindowInteractor() { super(); };

  protected vtkRenderWindowInteractor(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
