// java wrapper for vtkTubeFilter object
//

package vtk;
import vtk.*;

public class vtkTubeFilter extends vtkPolyDataToPolyDataFilter
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetRadius_2(double id0);
  public void SetRadius(double id0)
    { SetRadius_2(id0); }

  private native double GetRadiusMinValue_3();
  public double GetRadiusMinValue()
    { return GetRadiusMinValue_3(); }

  private native double GetRadiusMaxValue_4();
  public double GetRadiusMaxValue()
    { return GetRadiusMaxValue_4(); }

  private native double GetRadius_5();
  public double GetRadius()
    { return GetRadius_5(); }

  private native void SetVaryRadius_6(int id0);
  public void SetVaryRadius(int id0)
    { SetVaryRadius_6(id0); }

  private native int GetVaryRadiusMinValue_7();
  public int GetVaryRadiusMinValue()
    { return GetVaryRadiusMinValue_7(); }

  private native int GetVaryRadiusMaxValue_8();
  public int GetVaryRadiusMaxValue()
    { return GetVaryRadiusMaxValue_8(); }

  private native int GetVaryRadius_9();
  public int GetVaryRadius()
    { return GetVaryRadius_9(); }

  private native void SetVaryRadiusToVaryRadiusOff_10();
  public void SetVaryRadiusToVaryRadiusOff()
    { SetVaryRadiusToVaryRadiusOff_10(); }

  private native void SetVaryRadiusToVaryRadiusByScalar_11();
  public void SetVaryRadiusToVaryRadiusByScalar()
    { SetVaryRadiusToVaryRadiusByScalar_11(); }

  private native void SetVaryRadiusToVaryRadiusByVector_12();
  public void SetVaryRadiusToVaryRadiusByVector()
    { SetVaryRadiusToVaryRadiusByVector_12(); }

  private native String GetVaryRadiusAsString_13();
  public String GetVaryRadiusAsString()
    { return GetVaryRadiusAsString_13(); }

  private native void SetNumberOfSides_14(int id0);
  public void SetNumberOfSides(int id0)
    { SetNumberOfSides_14(id0); }

  private native int GetNumberOfSidesMinValue_15();
  public int GetNumberOfSidesMinValue()
    { return GetNumberOfSidesMinValue_15(); }

  private native int GetNumberOfSidesMaxValue_16();
  public int GetNumberOfSidesMaxValue()
    { return GetNumberOfSidesMaxValue_16(); }

  private native int GetNumberOfSides_17();
  public int GetNumberOfSides()
    { return GetNumberOfSides_17(); }

  private native void SetRadiusFactor_18(double id0);
  public void SetRadiusFactor(double id0)
    { SetRadiusFactor_18(id0); }

  private native double GetRadiusFactor_19();
  public double GetRadiusFactor()
    { return GetRadiusFactor_19(); }

  private native void SetDefaultNormal_20(double id0,double id1,double id2);
  public void SetDefaultNormal(double id0,double id1,double id2)
    { SetDefaultNormal_20(id0,id1,id2); }

  private native void SetDefaultNormal_21(double id0[]);
  public void SetDefaultNormal(double id0[])
    { SetDefaultNormal_21(id0); }

  private native double[] GetDefaultNormal_22();
  public double[] GetDefaultNormal()
    { return GetDefaultNormal_22(); }

  private native void SetUseDefaultNormal_23(int id0);
  public void SetUseDefaultNormal(int id0)
    { SetUseDefaultNormal_23(id0); }

  private native int GetUseDefaultNormal_24();
  public int GetUseDefaultNormal()
    { return GetUseDefaultNormal_24(); }

  private native void UseDefaultNormalOn_25();
  public void UseDefaultNormalOn()
    { UseDefaultNormalOn_25(); }

  private native void UseDefaultNormalOff_26();
  public void UseDefaultNormalOff()
    { UseDefaultNormalOff_26(); }

  private native void SetCapping_27(int id0);
  public void SetCapping(int id0)
    { SetCapping_27(id0); }

  private native int GetCapping_28();
  public int GetCapping()
    { return GetCapping_28(); }

  private native void CappingOn_29();
  public void CappingOn()
    { CappingOn_29(); }

  private native void CappingOff_30();
  public void CappingOff()
    { CappingOff_30(); }

  private native void SetOnRatio_31(int id0);
  public void SetOnRatio(int id0)
    { SetOnRatio_31(id0); }

  private native int GetOnRatioMinValue_32();
  public int GetOnRatioMinValue()
    { return GetOnRatioMinValue_32(); }

  private native int GetOnRatioMaxValue_33();
  public int GetOnRatioMaxValue()
    { return GetOnRatioMaxValue_33(); }

  private native int GetOnRatio_34();
  public int GetOnRatio()
    { return GetOnRatio_34(); }

  private native void SetOffset_35(int id0);
  public void SetOffset(int id0)
    { SetOffset_35(id0); }

  private native int GetOffsetMinValue_36();
  public int GetOffsetMinValue()
    { return GetOffsetMinValue_36(); }

  private native int GetOffsetMaxValue_37();
  public int GetOffsetMaxValue()
    { return GetOffsetMaxValue_37(); }

  private native int GetOffset_38();
  public int GetOffset()
    { return GetOffset_38(); }

  public vtkTubeFilter() { super(); };

  protected vtkTubeFilter(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
