// java wrapper for vtkVolumeProperty object
//

package vtk;
import vtk.*;

public class vtkVolumeProperty extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native int GetMTime_2();
  public int GetMTime()
    { return GetMTime_2(); }

  private native void SetInterpolationType_3(int id0);
  public void SetInterpolationType(int id0)
    { SetInterpolationType_3(id0); }

  private native int GetInterpolationTypeMinValue_4();
  public int GetInterpolationTypeMinValue()
    { return GetInterpolationTypeMinValue_4(); }

  private native int GetInterpolationTypeMaxValue_5();
  public int GetInterpolationTypeMaxValue()
    { return GetInterpolationTypeMaxValue_5(); }

  private native int GetInterpolationType_6();
  public int GetInterpolationType()
    { return GetInterpolationType_6(); }

  private native void SetInterpolationTypeToNearest_7();
  public void SetInterpolationTypeToNearest()
    { SetInterpolationTypeToNearest_7(); }

  private native void SetInterpolationTypeToLinear_8();
  public void SetInterpolationTypeToLinear()
    { SetInterpolationTypeToLinear_8(); }

  private native String GetInterpolationTypeAsString_9();
  public String GetInterpolationTypeAsString()
    { return GetInterpolationTypeAsString_9(); }

  private native void SetColor_10(vtkPiecewiseFunction id0);
  public void SetColor(vtkPiecewiseFunction id0)
    { SetColor_10(id0); }

  private native void SetColor_11(vtkColorTransferFunction id0);
  public void SetColor(vtkColorTransferFunction id0)
    { SetColor_11(id0); }

  private native int GetColorChannels_12();
  public int GetColorChannels()
    { return GetColorChannels_12(); }

  private native vtkPiecewiseFunction GetGrayTransferFunction_13();
  public vtkPiecewiseFunction GetGrayTransferFunction()
    { return GetGrayTransferFunction_13(); }

  private native vtkColorTransferFunction GetRGBTransferFunction_14();
  public vtkColorTransferFunction GetRGBTransferFunction()
    { return GetRGBTransferFunction_14(); }

  private native void SetScalarOpacity_15(vtkPiecewiseFunction id0);
  public void SetScalarOpacity(vtkPiecewiseFunction id0)
    { SetScalarOpacity_15(id0); }

  private native vtkPiecewiseFunction GetScalarOpacity_16();
  public vtkPiecewiseFunction GetScalarOpacity()
    { return GetScalarOpacity_16(); }

  private native void SetGradientOpacity_17(vtkPiecewiseFunction id0);
  public void SetGradientOpacity(vtkPiecewiseFunction id0)
    { SetGradientOpacity_17(id0); }

  private native vtkPiecewiseFunction GetGradientOpacity_18();
  public vtkPiecewiseFunction GetGradientOpacity()
    { return GetGradientOpacity_18(); }

  private native void SetShade_19(int id0);
  public void SetShade(int id0)
    { SetShade_19(id0); }

  private native int GetShade_20();
  public int GetShade()
    { return GetShade_20(); }

  private native void ShadeOn_21();
  public void ShadeOn()
    { ShadeOn_21(); }

  private native void ShadeOff_22();
  public void ShadeOff()
    { ShadeOff_22(); }

  private native void SetAmbient_23(double id0);
  public void SetAmbient(double id0)
    { SetAmbient_23(id0); }

  private native double GetAmbientMinValue_24();
  public double GetAmbientMinValue()
    { return GetAmbientMinValue_24(); }

  private native double GetAmbientMaxValue_25();
  public double GetAmbientMaxValue()
    { return GetAmbientMaxValue_25(); }

  private native double GetAmbient_26();
  public double GetAmbient()
    { return GetAmbient_26(); }

  private native void SetDiffuse_27(double id0);
  public void SetDiffuse(double id0)
    { SetDiffuse_27(id0); }

  private native double GetDiffuseMinValue_28();
  public double GetDiffuseMinValue()
    { return GetDiffuseMinValue_28(); }

  private native double GetDiffuseMaxValue_29();
  public double GetDiffuseMaxValue()
    { return GetDiffuseMaxValue_29(); }

  private native double GetDiffuse_30();
  public double GetDiffuse()
    { return GetDiffuse_30(); }

  private native void SetSpecular_31(double id0);
  public void SetSpecular(double id0)
    { SetSpecular_31(id0); }

  private native double GetSpecularMinValue_32();
  public double GetSpecularMinValue()
    { return GetSpecularMinValue_32(); }

  private native double GetSpecularMaxValue_33();
  public double GetSpecularMaxValue()
    { return GetSpecularMaxValue_33(); }

  private native double GetSpecular_34();
  public double GetSpecular()
    { return GetSpecular_34(); }

  private native void SetSpecularPower_35(double id0);
  public void SetSpecularPower(double id0)
    { SetSpecularPower_35(id0); }

  private native double GetSpecularPowerMinValue_36();
  public double GetSpecularPowerMinValue()
    { return GetSpecularPowerMinValue_36(); }

  private native double GetSpecularPowerMaxValue_37();
  public double GetSpecularPowerMaxValue()
    { return GetSpecularPowerMaxValue_37(); }

  private native double GetSpecularPower_38();
  public double GetSpecularPower()
    { return GetSpecularPower_38(); }

  private native void SetRGBTextureCoefficient_39(double id0);
  public void SetRGBTextureCoefficient(double id0)
    { SetRGBTextureCoefficient_39(id0); }

  private native double GetRGBTextureCoefficientMinValue_40();
  public double GetRGBTextureCoefficientMinValue()
    { return GetRGBTextureCoefficientMinValue_40(); }

  private native double GetRGBTextureCoefficientMaxValue_41();
  public double GetRGBTextureCoefficientMaxValue()
    { return GetRGBTextureCoefficientMaxValue_41(); }

  private native double GetRGBTextureCoefficient_42();
  public double GetRGBTextureCoefficient()
    { return GetRGBTextureCoefficient_42(); }

  public vtkVolumeProperty() { super(); };

  protected vtkVolumeProperty(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
