// java wrapper for vtkXYPlotActor object
//

package vtk;
import vtk.*;

public class vtkXYPlotActor extends vtkActor2D
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void AddInput_2(vtkDataSet id0);
  public void AddInput(vtkDataSet id0)
    { AddInput_2(id0); }

  private native void RemoveInput_3(vtkDataSet id0);
  public void RemoveInput(vtkDataSet id0)
    { RemoveInput_3(id0); }

  private native vtkDataSetCollection GetInputList_4();
  public vtkDataSetCollection GetInputList()
    { return GetInputList_4(); }

  private native void SetPointComponent_5(int id0,int id1);
  public void SetPointComponent(int id0,int id1)
    { SetPointComponent_5(id0,id1); }

  private native int GetPointComponent_6(int id0);
  public int GetPointComponent(int id0)
    { return GetPointComponent_6(id0); }

  private native void SetXValues_7(int id0);
  public void SetXValues(int id0)
    { SetXValues_7(id0); }

  private native int GetXValuesMinValue_8();
  public int GetXValuesMinValue()
    { return GetXValuesMinValue_8(); }

  private native int GetXValuesMaxValue_9();
  public int GetXValuesMaxValue()
    { return GetXValuesMaxValue_9(); }

  private native int GetXValues_10();
  public int GetXValues()
    { return GetXValues_10(); }

  private native void SetXValuesToIndex_11();
  public void SetXValuesToIndex()
    { SetXValuesToIndex_11(); }

  private native void SetXValuesToArcLength_12();
  public void SetXValuesToArcLength()
    { SetXValuesToArcLength_12(); }

  private native void SetXValuesToNormalizedArcLength_13();
  public void SetXValuesToNormalizedArcLength()
    { SetXValuesToNormalizedArcLength_13(); }

  private native void SetXValuesToValue_14();
  public void SetXValuesToValue()
    { SetXValuesToValue_14(); }

  private native String GetXValuesAsString_15();
  public String GetXValuesAsString()
    { return GetXValuesAsString_15(); }

  private native void AddDataObjectInput_16(vtkDataObject id0);
  public void AddDataObjectInput(vtkDataObject id0)
    { AddDataObjectInput_16(id0); }

  private native void RemoveDataObjectInput_17(vtkDataObject id0);
  public void RemoveDataObjectInput(vtkDataObject id0)
    { RemoveDataObjectInput_17(id0); }

  private native vtkDataObjectCollection GetDataObjectInputList_18();
  public vtkDataObjectCollection GetDataObjectInputList()
    { return GetDataObjectInputList_18(); }

  private native void SetDataObjectPlotMode_19(int id0);
  public void SetDataObjectPlotMode(int id0)
    { SetDataObjectPlotMode_19(id0); }

  private native int GetDataObjectPlotModeMinValue_20();
  public int GetDataObjectPlotModeMinValue()
    { return GetDataObjectPlotModeMinValue_20(); }

  private native int GetDataObjectPlotModeMaxValue_21();
  public int GetDataObjectPlotModeMaxValue()
    { return GetDataObjectPlotModeMaxValue_21(); }

  private native int GetDataObjectPlotMode_22();
  public int GetDataObjectPlotMode()
    { return GetDataObjectPlotMode_22(); }

  private native void SetDataObjectPlotModeToRows_23();
  public void SetDataObjectPlotModeToRows()
    { SetDataObjectPlotModeToRows_23(); }

  private native void SetDataObjectPlotModeToColumns_24();
  public void SetDataObjectPlotModeToColumns()
    { SetDataObjectPlotModeToColumns_24(); }

  private native String GetDataObjectPlotModeAsString_25();
  public String GetDataObjectPlotModeAsString()
    { return GetDataObjectPlotModeAsString_25(); }

  private native void SetDataObjectXComponent_26(int id0,int id1);
  public void SetDataObjectXComponent(int id0,int id1)
    { SetDataObjectXComponent_26(id0,id1); }

  private native int GetDataObjectXComponent_27(int id0);
  public int GetDataObjectXComponent(int id0)
    { return GetDataObjectXComponent_27(id0); }

  private native void SetDataObjectYComponent_28(int id0,int id1);
  public void SetDataObjectYComponent(int id0,int id1)
    { SetDataObjectYComponent_28(id0,id1); }

  private native int GetDataObjectYComponent_29(int id0);
  public int GetDataObjectYComponent(int id0)
    { return GetDataObjectYComponent_29(id0); }

  private native void SetPlotColor_30(int id0,double id1,double id2,double id3);
  public void SetPlotColor(int id0,double id1,double id2,double id3)
    { SetPlotColor_30(id0,id1,id2,id3); }

  private native void SetPlotColor_31(int id0,double id1[]);
  public void SetPlotColor(int id0,double id1[])
    { SetPlotColor_31(id0,id1); }

  private native double[] GetPlotColor_32(int id0);
  public double[] GetPlotColor(int id0)
    { return GetPlotColor_32(id0); }

  private native void SetPlotSymbol_33(int id0,vtkPolyData id1);
  public void SetPlotSymbol(int id0,vtkPolyData id1)
    { SetPlotSymbol_33(id0,id1); }

  private native vtkPolyData GetPlotSymbol_34(int id0);
  public vtkPolyData GetPlotSymbol(int id0)
    { return GetPlotSymbol_34(id0); }

  private native void SetPlotLabel_35(int id0,String id1);
  public void SetPlotLabel(int id0,String id1)
    { SetPlotLabel_35(id0,id1); }

  private native String GetPlotLabel_36(int id0);
  public String GetPlotLabel(int id0)
    { return GetPlotLabel_36(id0); }

  private native int GetPlotCurvePoints_37();
  public int GetPlotCurvePoints()
    { return GetPlotCurvePoints_37(); }

  private native void SetPlotCurvePoints_38(int id0);
  public void SetPlotCurvePoints(int id0)
    { SetPlotCurvePoints_38(id0); }

  private native void PlotCurvePointsOn_39();
  public void PlotCurvePointsOn()
    { PlotCurvePointsOn_39(); }

  private native void PlotCurvePointsOff_40();
  public void PlotCurvePointsOff()
    { PlotCurvePointsOff_40(); }

  private native int GetPlotCurveLines_41();
  public int GetPlotCurveLines()
    { return GetPlotCurveLines_41(); }

  private native void SetPlotCurveLines_42(int id0);
  public void SetPlotCurveLines(int id0)
    { SetPlotCurveLines_42(id0); }

  private native void PlotCurveLinesOn_43();
  public void PlotCurveLinesOn()
    { PlotCurveLinesOn_43(); }

  private native void PlotCurveLinesOff_44();
  public void PlotCurveLinesOff()
    { PlotCurveLinesOff_44(); }

  private native void SetPlotLines_45(int id0,int id1);
  public void SetPlotLines(int id0,int id1)
    { SetPlotLines_45(id0,id1); }

  private native int GetPlotLines_46(int id0);
  public int GetPlotLines(int id0)
    { return GetPlotLines_46(id0); }

  private native void SetPlotPoints_47(int id0,int id1);
  public void SetPlotPoints(int id0,int id1)
    { SetPlotPoints_47(id0,id1); }

  private native int GetPlotPoints_48(int id0);
  public int GetPlotPoints(int id0)
    { return GetPlotPoints_48(id0); }

  private native void SetExchangeAxes_49(int id0);
  public void SetExchangeAxes(int id0)
    { SetExchangeAxes_49(id0); }

  private native int GetExchangeAxes_50();
  public int GetExchangeAxes()
    { return GetExchangeAxes_50(); }

  private native void ExchangeAxesOn_51();
  public void ExchangeAxesOn()
    { ExchangeAxesOn_51(); }

  private native void ExchangeAxesOff_52();
  public void ExchangeAxesOff()
    { ExchangeAxesOff_52(); }

  private native void SetReverseXAxis_53(int id0);
  public void SetReverseXAxis(int id0)
    { SetReverseXAxis_53(id0); }

  private native int GetReverseXAxis_54();
  public int GetReverseXAxis()
    { return GetReverseXAxis_54(); }

  private native void ReverseXAxisOn_55();
  public void ReverseXAxisOn()
    { ReverseXAxisOn_55(); }

  private native void ReverseXAxisOff_56();
  public void ReverseXAxisOff()
    { ReverseXAxisOff_56(); }

  private native void SetReverseYAxis_57(int id0);
  public void SetReverseYAxis(int id0)
    { SetReverseYAxis_57(id0); }

  private native int GetReverseYAxis_58();
  public int GetReverseYAxis()
    { return GetReverseYAxis_58(); }

  private native void ReverseYAxisOn_59();
  public void ReverseYAxisOn()
    { ReverseYAxisOn_59(); }

  private native void ReverseYAxisOff_60();
  public void ReverseYAxisOff()
    { ReverseYAxisOff_60(); }

  private native vtkLegendBoxActor GetLegendBoxActor_61();
  public vtkLegendBoxActor GetLegendBoxActor()
    { return GetLegendBoxActor_61(); }

  private native vtkGlyphSource2D GetGlyphSource_62();
  public vtkGlyphSource2D GetGlyphSource()
    { return GetGlyphSource_62(); }

  private native void SetTitle_63(String id0);
  public void SetTitle(String id0)
    { SetTitle_63(id0); }

  private native String GetTitle_64();
  public String GetTitle()
    { return GetTitle_64(); }

  private native void SetXTitle_65(String id0);
  public void SetXTitle(String id0)
    { SetXTitle_65(id0); }

  private native String GetXTitle_66();
  public String GetXTitle()
    { return GetXTitle_66(); }

  private native void SetYTitle_67(String id0);
  public void SetYTitle(String id0)
    { SetYTitle_67(id0); }

  private native String GetYTitle_68();
  public String GetYTitle()
    { return GetYTitle_68(); }

  private native void SetXRange_69(double id0,double id1);
  public void SetXRange(double id0,double id1)
    { SetXRange_69(id0,id1); }

  private native void SetXRange_70(double id0[]);
  public void SetXRange(double id0[])
    { SetXRange_70(id0); }

  private native double[] GetXRange_71();
  public double[] GetXRange()
    { return GetXRange_71(); }

  private native void SetYRange_72(double id0,double id1);
  public void SetYRange(double id0,double id1)
    { SetYRange_72(id0,id1); }

  private native void SetYRange_73(double id0[]);
  public void SetYRange(double id0[])
    { SetYRange_73(id0); }

  private native double[] GetYRange_74();
  public double[] GetYRange()
    { return GetYRange_74(); }

  private native void SetPlotRange_75(double id0,double id1,double id2,double id3);
  public void SetPlotRange(double id0,double id1,double id2,double id3)
    { SetPlotRange_75(id0,id1,id2,id3); }

  private native void SetNumberOfXLabels_76(int id0);
  public void SetNumberOfXLabels(int id0)
    { SetNumberOfXLabels_76(id0); }

  private native int GetNumberOfXLabelsMinValue_77();
  public int GetNumberOfXLabelsMinValue()
    { return GetNumberOfXLabelsMinValue_77(); }

  private native int GetNumberOfXLabelsMaxValue_78();
  public int GetNumberOfXLabelsMaxValue()
    { return GetNumberOfXLabelsMaxValue_78(); }

  private native int GetNumberOfXLabels_79();
  public int GetNumberOfXLabels()
    { return GetNumberOfXLabels_79(); }

  private native void SetNumberOfYLabels_80(int id0);
  public void SetNumberOfYLabels(int id0)
    { SetNumberOfYLabels_80(id0); }

  private native int GetNumberOfYLabelsMinValue_81();
  public int GetNumberOfYLabelsMinValue()
    { return GetNumberOfYLabelsMinValue_81(); }

  private native int GetNumberOfYLabelsMaxValue_82();
  public int GetNumberOfYLabelsMaxValue()
    { return GetNumberOfYLabelsMaxValue_82(); }

  private native int GetNumberOfYLabels_83();
  public int GetNumberOfYLabels()
    { return GetNumberOfYLabels_83(); }

  private native void SetNumberOfLabels_84(int id0);
  public void SetNumberOfLabels(int id0)
    { SetNumberOfLabels_84(id0); }

  private native void SetLegend_85(int id0);
  public void SetLegend(int id0)
    { SetLegend_85(id0); }

  private native int GetLegend_86();
  public int GetLegend()
    { return GetLegend_86(); }

  private native void LegendOn_87();
  public void LegendOn()
    { LegendOn_87(); }

  private native void LegendOff_88();
  public void LegendOff()
    { LegendOff_88(); }

  private native void SetLegendPosition_89(double id0,double id1);
  public void SetLegendPosition(double id0,double id1)
    { SetLegendPosition_89(id0,id1); }

  private native void SetLegendPosition_90(double id0[]);
  public void SetLegendPosition(double id0[])
    { SetLegendPosition_90(id0); }

  private native double[] GetLegendPosition_91();
  public double[] GetLegendPosition()
    { return GetLegendPosition_91(); }

  private native void SetLegendPosition2_92(double id0,double id1);
  public void SetLegendPosition2(double id0,double id1)
    { SetLegendPosition2_92(id0,id1); }

  private native void SetLegendPosition2_93(double id0[]);
  public void SetLegendPosition2(double id0[])
    { SetLegendPosition2_93(id0); }

  private native double[] GetLegendPosition2_94();
  public double[] GetLegendPosition2()
    { return GetLegendPosition2_94(); }

  private native void SetBold_95(int id0);
  public void SetBold(int id0)
    { SetBold_95(id0); }

  private native int GetBold_96();
  public int GetBold()
    { return GetBold_96(); }

  private native void BoldOn_97();
  public void BoldOn()
    { BoldOn_97(); }

  private native void BoldOff_98();
  public void BoldOff()
    { BoldOff_98(); }

  private native void SetItalic_99(int id0);
  public void SetItalic(int id0)
    { SetItalic_99(id0); }

  private native int GetItalic_100();
  public int GetItalic()
    { return GetItalic_100(); }

  private native void ItalicOn_101();
  public void ItalicOn()
    { ItalicOn_101(); }

  private native void ItalicOff_102();
  public void ItalicOff()
    { ItalicOff_102(); }

  private native void SetShadow_103(int id0);
  public void SetShadow(int id0)
    { SetShadow_103(id0); }

  private native int GetShadow_104();
  public int GetShadow()
    { return GetShadow_104(); }

  private native void ShadowOn_105();
  public void ShadowOn()
    { ShadowOn_105(); }

  private native void ShadowOff_106();
  public void ShadowOff()
    { ShadowOff_106(); }

  private native void SetLogx_107(int id0);
  public void SetLogx(int id0)
    { SetLogx_107(id0); }

  private native int GetLogx_108();
  public int GetLogx()
    { return GetLogx_108(); }

  private native void LogxOn_109();
  public void LogxOn()
    { LogxOn_109(); }

  private native void LogxOff_110();
  public void LogxOff()
    { LogxOff_110(); }

  private native void SetFontFamily_111(int id0);
  public void SetFontFamily(int id0)
    { SetFontFamily_111(id0); }

  private native int GetFontFamily_112();
  public int GetFontFamily()
    { return GetFontFamily_112(); }

  private native void SetFontFamilyToArial_113();
  public void SetFontFamilyToArial()
    { SetFontFamilyToArial_113(); }

  private native void SetFontFamilyToCourier_114();
  public void SetFontFamilyToCourier()
    { SetFontFamilyToCourier_114(); }

  private native void SetFontFamilyToTimes_115();
  public void SetFontFamilyToTimes()
    { SetFontFamilyToTimes_115(); }

  private native void SetLabelFormat_116(String id0);
  public void SetLabelFormat(String id0)
    { SetLabelFormat_116(id0); }

  private native String GetLabelFormat_117();
  public String GetLabelFormat()
    { return GetLabelFormat_117(); }

  private native void SetBorder_118(int id0);
  public void SetBorder(int id0)
    { SetBorder_118(id0); }

  private native int GetBorderMinValue_119();
  public int GetBorderMinValue()
    { return GetBorderMinValue_119(); }

  private native int GetBorderMaxValue_120();
  public int GetBorderMaxValue()
    { return GetBorderMaxValue_120(); }

  private native int GetBorder_121();
  public int GetBorder()
    { return GetBorder_121(); }

  private native int GetPlotPoints_122();
  public int GetPlotPoints()
    { return GetPlotPoints_122(); }

  private native void SetPlotPoints_123(int id0);
  public void SetPlotPoints(int id0)
    { SetPlotPoints_123(id0); }

  private native void PlotPointsOn_124();
  public void PlotPointsOn()
    { PlotPointsOn_124(); }

  private native void PlotPointsOff_125();
  public void PlotPointsOff()
    { PlotPointsOff_125(); }

  private native int GetPlotLines_126();
  public int GetPlotLines()
    { return GetPlotLines_126(); }

  private native void SetPlotLines_127(int id0);
  public void SetPlotLines(int id0)
    { SetPlotLines_127(id0); }

  private native void PlotLinesOn_128();
  public void PlotLinesOn()
    { PlotLinesOn_128(); }

  private native void PlotLinesOff_129();
  public void PlotLinesOff()
    { PlotLinesOff_129(); }

  private native void SetGlyphSize_130(double id0);
  public void SetGlyphSize(double id0)
    { SetGlyphSize_130(id0); }

  private native double GetGlyphSizeMinValue_131();
  public double GetGlyphSizeMinValue()
    { return GetGlyphSizeMinValue_131(); }

  private native double GetGlyphSizeMaxValue_132();
  public double GetGlyphSizeMaxValue()
    { return GetGlyphSizeMaxValue_132(); }

  private native double GetGlyphSize_133();
  public double GetGlyphSize()
    { return GetGlyphSize_133(); }

  private native void ViewportToPlotCoordinate_134(vtkViewport id0);
  public void ViewportToPlotCoordinate(vtkViewport id0)
    { ViewportToPlotCoordinate_134(id0); }

  private native void SetPlotCoordinate_135(double id0,double id1);
  public void SetPlotCoordinate(double id0,double id1)
    { SetPlotCoordinate_135(id0,id1); }

  private native void SetPlotCoordinate_136(double id0[]);
  public void SetPlotCoordinate(double id0[])
    { SetPlotCoordinate_136(id0); }

  private native double[] GetPlotCoordinate_137();
  public double[] GetPlotCoordinate()
    { return GetPlotCoordinate_137(); }

  private native void PlotToViewportCoordinate_138(vtkViewport id0);
  public void PlotToViewportCoordinate(vtkViewport id0)
    { PlotToViewportCoordinate_138(id0); }

  private native void SetViewportCoordinate_139(double id0,double id1);
  public void SetViewportCoordinate(double id0,double id1)
    { SetViewportCoordinate_139(id0,id1); }

  private native void SetViewportCoordinate_140(double id0[]);
  public void SetViewportCoordinate(double id0[])
    { SetViewportCoordinate_140(id0); }

  private native double[] GetViewportCoordinate_141();
  public double[] GetViewportCoordinate()
    { return GetViewportCoordinate_141(); }

  private native int IsInPlot_142(vtkViewport id0,double id1,double id2);
  public int IsInPlot(vtkViewport id0,double id1,double id2)
    { return IsInPlot_142(id0,id1,id2); }

  private native int GetMTime_143();
  public int GetMTime()
    { return GetMTime_143(); }

  public vtkXYPlotActor() { super(); };

  protected vtkXYPlotActor(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
